mui.init({
	preloadPages:[
    {
      url:'new.html',
	  id:'new'
    }
    ],
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});

	
function pageInit(usermodel) {
	var model = {
		pageSize: 10,
		dspPage: {//待审批
			page: 1
		},
		yspPage: {//已审批
			page: 1
		},
		mybgPage: {//我的报告
			page: 1
		}
	};
	
	$("#linear").height($(window).height());
	//系统默认年份
	var today = new Date();
	self._year = today.getFullYear();
	self._type = 1;
	$("#years").html("aa"+"&nbsp;&nbsp;"+self._year+"年");
	model.initEvent = function() {
		//页面初始化
		window.addEventListener('bx-pageshow', function(event) {
			model.clearData(1);
			var years=self._year;
			initData(1,years);
		});
		/*选项卡切换监听显示和隐藏浮动按钮*/
		document.getElementById('slider').addEventListener('slide', function(e) {
			var data = {
				yhid: usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				limit: model.pageSize
			};
			if (e.detail.slideNumber === 0) {//待审批
				$(".float-bottom").show();
				$("#linear").show();
				data.type = '01';
				data.page = model.dspPage.page;
				model.initPage(1, data);
				model.clearData(2);
				model.clearData(3);
			} else if(e.detail.slideNumber === 1) { //已审批
				$(".float-bottom").hide();
				$("#linear").show();
				data.type = '02';
				data.page = model.yspPage.page;
				model.initPage(2, data);
				model.clearData(1);
				model.clearData(3);
			}else if(e.detail.slideNumber === 2) {//我的报告
				$(".float-bottom").hide();
				$("#linear").hide();
				data.type = '03';
				data.page = model.mybgPage.page;
				data.year=today.getFullYear();
				document.getElementById('years').innerText = today.getFullYear()+"年";
				model.initPage(3, data);
				model.clearData(1);
				model.clearData(2);
			}
		});
	
	/*添加考勤单*/
	document.getElementById("newM").addEventListener("tap",function(event){
//		var target = $(event.target);
//		var gid = target.attr("ggid");
		//打开新页面
		mui.openWindow({
			url:'new.html',
			id:'new'
		 })
	});
	
	//长按删除
	document.querySelector('.mui-table-view').addEventListener('longtap', function(event) {
		var target = $(event.target);
		var t = target.parents('li.mui-table-view-cell');
		var bxspid = t.children().children('input').val();
		var dsp=t.children().children('input').attr("djzt");
		if (bxspid!=null&&dsp!=null) {
			if(dsp=='00'){
				plus.nativeUI.confirm("确定要删除报销单吗?", function(e) {
				if (e.index == 0) {
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer + '/bxsp/bxspAction_deleteBxsp', {
						data: {
							bxspid: bxspid,
							yhid: usermodel.getYhid(),
							zzjgid:usermodel.getZzjgid()
						  },
						dataType:'json',
						type: 'get', //HTTP请求类型
						success: function(datas) {
							if(datas.result==1) {
								var t = target.parents('.mui-table-view-cell');
								t.remove();
								plus.nativeUI.closeWaiting();
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							mui.toast('网络异常');
						}
					});
				}
			},"",["确定", "取消"]);
			}else{
				mui.toast("你的报销单正在审批...");
			}
		}
	});
	

	//点击查看详情document.querySelector('#tab-view-wk')
	document.querySelector('#tab-view-wk').addEventListener('tap', function(event) {
		var target = $(event.target);
		var t = target.parents('li.mui-table-view-cell');
		var bxspid = t.children().children('input').val();
		if(bxspid!=null){//说明有值 
			var bb=mui.openWindow({
				url:"../common/details.html",
				id:"detail"
			});
			window.plus.storage.setItem("ywid", bxspid);
		  }
	})

	
	
	document.querySelector('#tab-view-wk2').addEventListener('tap', function(event) {
		var target = $(event.target);
		var t = target.parents('li.mui-table-view-cell');
		var bxspid = t.children().children('input').val();
		if(bxspid!=null){//说明有值
			var bb=mui.openWindow({
				url:"../common/details.html",
				id:"detail"
			});
			window.plus.storage.setItem("ywid", bxspid);
		}
	});
	
	document.getElementById('year-up').addEventListener('tap', function(e) {
		upordown(1);
	});
	document.getElementById('year-down').addEventListener('tap', function(e) {
		upordown(2);
	});
	function upordown(gs){
		plus.nativeUI.showWaiting();
		var upyear=document.getElementById('years').innerText;
		var upyears=upyear.substr(0,4);
		var years=V.utils.date._clickYear(gs,upyears);
		if(years){
			document.getElementById('years').innerText = years+'年';
			initData(3,years);
		}
	}
	
	
	//列表滚动设置
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true //是否显示滚动条
	});
	var page=1;
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'),function(index,pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					var type='01';
					var _page=1;
					if(index===0){//待审批
						type='01';
						_page= model.dspPage.page;
					}else if(index===1){//已审批
						type='02';
						_page=model.yspPage.page;
					}else if(index===2){//我的报告
						type='03';
						_page=model.mybgPage.page;
					}
					
					var years=$("#years").html();//获取选择好的年份2015年
					var year=years.substr(0,4);
					setTimeout(function() {
							_page--
							if (_page < 1) {
								_page = 1;
							}
							if(type='03'){
								var data = {
									yhid: usermodel.getYhid(),
									zzjgid: usermodel.getZzjgid(),
									limit: model.pageSize,
									type: type,
									page: _page,
									year:year
								};
							}else{
								var data = {
									yhid: usermodel.getYhid(),
									zzjgid: usermodel.getZzjgid(),
									limit: model.pageSize,
									type: type,
									page: _page,
									year:year
								};
							}
							
							model.initPage(index+1, data, self, false);

					}, 1000);
				}
			},
			up: {
				callback: function() {
					var self = this;
					var type='01';
					var _page=1;
					if(index===0){//待审批
						type='01';
						_page= model.dspPage.page;
					}else if(index===1){//已审批
						type='02';
						_page=model.yspPage.page;
					}else if(index===2){//我的报告
						type='03';
						_page=model.mybgPage.page;
					}
					var years=$("#years").html();//获取选择好的年份
					var year=years.substr(0,4);
					_page++;
					setTimeout(function() {
						if(type='03'){
								var data = {
									yhid: usermodel.getYhid(),
									zzjgid: usermodel.getZzjgid(),
									limit: model.pageSize,
									type: type,
									page: _page,
									year:year
								};
							}else{
								var data = {
									yhid: usermodel.getYhid(),
									zzjgid: usermodel.getZzjgid(),
									limit: model.pageSize,
									type: type,
									page: _page,
									year:year
								};
							}
							
							model.initPage(index+1, data, self, true);
					}, 1000);
				}
			}
		});
	});
	
	};//initEvent结束标记
	
	//通过index来判断是否是待审批？还是已审批
	var sp='';
	model.getIndex = function(index){
		if(index==1){
			sp="/bxsp/bxspAction_selectBxspDsp";//待审批
		}else if(index==2){
			sp="/bxsp/bxspAction_selectBxspYsp";//已审批
		}else if(index==3){
			sp="/bxsp/bxspAction_selectMyBxsp";//我的报告
		}
		return sp;
	}
	//初始化数据
	model.initPage= function(index,data,self,isup){
		sp=model.getIndex(index);
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer+sp,{
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(rs) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(self){
					plus.nativeUI.closeWaiting();
					var ul = self.element.querySelector('.mui-table-view');
					var newul = model.createFragment(index, ul, rs);
					$(ul).empty();
					ul.appendChild(newul);
					
					var _wrapper=$(ul).parent().get(0);
					_wrapper.style.webkitTransform = 'translate3d(0,0px,0)';
					
					//请求成功后设置页码
					if (isup) { //true是上拉刷新，false是下拉刷新
						var _page = 1;
						if (index === 1) {//待审批
							model.dspPage.page++;
							if (rs.maxPage < model.dspPage.page) {
								model.dspPage.page = rs.maxPage;
								_page = model.dspPage.page;
							}else{
								_page = model.dspPage.page;
							}
							
						}else if(index===2){//已审批
							model.yspPage.page++;
							if (rs.maxPage < model.yspPage.page) {
								model.yspPage.page = rs.maxPage;
								_page = model.yspPage.page;
							} else {
								_page = model.yspPage.page;
							}
						}else if(index===3){//我的报告
							model.mybgPage.page++;
							if (rs.maxPage < model.mybgPage.page) {
								model.mybgPage.page = rs.maxPage;
								_page = model.mybgPage.page;
							} else {
								_page = model.mybgPage.page;
							}
						}
						//最后一页显示没有更多数据
						if (rs.maxPage <= _page) {
							self.endPullUpToRefresh(true);
						}else{
							self.endPullUpToRefresh();
						}

					}else{//false是下拉刷新
						self.refresh(true);
						self.endPullDownToRefresh();
						if (index === 1) {
							model.dspPage.page--;
						}else if(index===2){
							model.yspPage.page--;
						}else if(index===3){
							model.mybgPage.page--;
						}
					}
					if (model.dspPage.page < 1) {
						model.dspPage.page = 1;
					}
					if (model.yspPage.page < 1) {
						model.yspPage.page = 1;
					}
					if (model.mybgPage.page < 1) {
						model.mybgPage.page = 1;
					}
				} else {
					plus.nativeUI.closeWaiting();
					var ul=$('#scroll' + index).children('.mui-table-view').get(0);
					var newul = model.createFragment(index, ul, rs);
					$(ul).empty();
					ul.appendChild(newul);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
			}
		});
		
	}
	
	model.createElMsg = function(data) {
		return '<li class="mui-table-view-cell">'+
				'<div class="mui-table" style="color:#626262;">'+
					'<div class="mui-table-cell mui-col-xs-2 mui-list">'+data.D+'</div>'+
					'<div class="mui-table-cell mui-list" style=""></div>'+
					'<div class="mui-table-cell mui-list" style="width:65%;text-align:right;position:right;padding-right: 10px;">'+data.JE+'</div>'+
					'<div class="mui-table-cell mui-col-xs-5 mui-list" style="overflow:hidden; text-overflow:ellipsis; white-space:nowrap;padding-left:28px;">'+data.BXSY+'</div>'+
				'</div>'+
				'</li>'; 
	};
	
	//li 内容格式
	var getTplHtml = function(index,row) {
			var itemhtml='';
			if(index!=3){
				itemhtml+='<div class="mui-table">'+
						    '<input  type="hidden" value="'+row.BXSPID+'" data="'+row.BXRQ+'" price="'+row.BXJE+'" bxsm="'+row.BXSY+'" bxman="'+row.BDR+'" djzt="'+row.DJZT+'" />'+
								'<span class="size-left-top list-date" style="color:#626262;">'+row.BXRQ+'</span>'+
								'<div>'+
									'<span class="size-left-top list-price">'+row.BXJE+'</span>'+
									'<div style="width:30%; display: inline-block;">'+
										'<span class="size-left-top" style="width:80%;display:inline-block;margin-left:10%;overflow:hidden; text-overflow:ellipsis; white-space:nowrap;">'+row.BXSY+'</span></div>';
									if(index==1){
										itemhtml+='<span class="size-right-align2 list-status" style="color:#626262;">'+row.ZTMC+'</span>'+
													'</div>';
									}else{
										itemhtml+='<span class="size-right-align2 list-status2" style="color:#626262;">'+row.ZTMC+'</span>'+
													'</div>';
									}
							itemhtml+='</div>';	
			}else{//我的报告
				var ll=row.sub;
				for(var i=0;i<ll.length;i++){
					var rr=ll[i];
					itemhtml+='<li class="mui-table-view-cell mui-collapse">'+
					'<input  type="hidden" value="'+rr.YM+'" />'+
					'<a class="mui-navigate-right" href="#">'+
					'<div class="mui-table">'+
					'<div class="mui-table-cell mui-col-xs-2 mui-list" style="width: 20%;">'+rr.M+'</div>'+
					'<div class="mui-table-cell mui-list" style="width:8%;left:10px;">'+rr.SL+'</div>'+
					'<div class="mui-table-cell mui-list" style="width:50%;padding-right:2px;text-align: right;overflow:hidden; text-overflow:ellipsis; white-space:nowrap;">'+rr.JE+'</div>'+
					'<div class="mui-table-cell mui-col-xs-4 mui-list">&nbsp;</div>'+
					'<div class="mui-table-cell mui-col-xs-1"></div>'+
					'</div>'+
					'</a>'+
					'<ul class="mui-table-view vsd-clear">'+
					'</ul>'+
					'</li>';
				}
			}
		return itemhtml;
	}
	
	//模拟数据
	model.createFragment = function(index,ul,json) {
		var fragment = document.createDocumentFragment();
		var li;
		var list=[];
		var ff="";
		if(index==1){//待审批
			list=json.dsp;
		}else if(index==2){//已审批
			list=json.ysp;
		}else if(index==3){//我的报告
			list=json.bxtj;
		}
		for (var i = 0; i < list.length; i++) {
			var row=list[i];
			li = document.createElement('li');
			if(index==1){//待审批
				li.className = 'mui-table-view-cell list-item';
				li.innerHTML = getTplHtml(index,row);
			}else if(index==2){//已审批
				li.className = 'mui-table-view-cell list-bx';
				li.innerHTML = getTplHtml(index,row);
			}else if(index==3){//我的报告
				$("#bx-price").html(row.tit.zje+"元");
				li.innerHTML = getTplHtml(index,row);
			}
			fragment.appendChild(li);
		}
		return fragment;
	};
	
	//初始化页面数据，默认初始化第一个page,在页面切换后开始初始化其它page
	model.initEvent();
	initData(1,self._year);
	
	function initData(tab,years){
		var data = {
			yhid: usermodel.getYhid(),
			zzjgid:usermodel.getZzjgid(),
			limit: model.pageSize,
			type: '01',
			page: '1',
			year:years
		}
		model.initPage(tab, data);
	}
	
	//点击某一月份，展开显示该月下的所有的第几天
	window.addEventListener('expand', function(event) {
		var target = $(event.target);
		var content = target.children('.mui-table-view');
		var ny=target.children("input").val();
		//清空所有list 的折叠内容 ，性能优化mui-collapse
		$('.vsd-clear').empty();
		plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer + '/bxsp/bxspAction_selectBxspByYue', {
				data: {
					ym:ny,
					yhid: usermodel.getYhid(),
					zzjgid:usermodel.getZzjgid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(rs) {
					plus.nativeUI.closeWaiting();
					//服务器返回响应，根据响应结果，分析是否登录成功；
					var list = rs.ybxsp;
					if (list && mui.isArray(list)) {
						for (var k in list) {
							var data = list[k];
							content.append(model.createElMsg(data));
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
	});
	
	//清除数据
	model.clearData = function(index) {
		var ul = $('#scroll' + index).children('.mui-table-view').get(0);
		$(ul).empty();
	};
}