//mui初始化配置项
mui.init({
	beforeback: function() {
		document.getElementById('gg-form').reset();
	},
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	},
	swipeBack:true //启用右滑关闭功能
});

//判断是否发送短信的显示问题
function getDX(){
	mui.ajax(V.urls.baseServer + '/hy/hyAction_selectPZXZ', {
		data: {
			zzjgid:userModel.getZzjgid(),
			pzxlx:'09'
		},
		dataType:'json',
		type: 'get', //HTTP请求类型
		success: function(datas) {
			if(datas.isTz==1){
				$("#mui-input-row").show();
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
		}
	});
}
var model = {
	/**
	 * 清空表单数据
	 */
	clearForm: function() {
		model.arrimg = [];
		$('#imgform').hide();
		$('#mui-slider-group').empty();
		$('#mui-slider-indicator').empty();
	}
};

function pageInit(usermodel) {
	model.clearForm();
	getDX();//判断是否发送短信的显示问题
	var type = '0';//默认不发短信
	//圆角列表开关处理
	document.getElementById("M_Toggle").addEventListener('toggle',function (e) {
		var isActive = e.detail.isActive;
		if (isActive) {//显示NO，表示不发
			type=1+"";
		} else {//显示OFF，表示发送
			type=0+"";
		}
	});

	
	//接收详情页传过来的参数
	var ggid='';
	var gyhid='';
	window.addEventListener('openUpdateGG',function(event){
	  	//获得事件参数
	 	ggid=event.detail.gonggid;
	 	gyhid=event.detail.gyhid;
		//判断题目的文字
		if(ggid){
			document.getElementById("update_titile").style.display="block";
			document.getElementById("add_titile").style.display="none";
		}
		//修改公告
		updateGgdata(ggid);
	});
	
	
	
	//根据参数来查询详情公告信息(通过ggid来查询那些参数)
	var fjid=[];
	function updateGgdata(ggid){
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer + '/gg/ggAction_selectGgxx', {
			data: {
				yhid:userModel.getYhid(),
				zzjgid:userModel.getZzjgid(),
				ggid:ggid
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型 
			success: function(data) {
				plus.nativeUI.closeWaiting();
				var yhxx = data.gg;
				if(!jQuery.isEmptyObject(yhxx)){   //判断值是否为空
					if(yhxx.hasOwnProperty('GGBT')){//判断是否有这个值
						$("#title").val(yhxx.GGBT);//标题
					}
					if(yhxx.hasOwnProperty('GGFBRQ')){//判断是否有这个值
						var rq=yhxx.GGFBRQ;
						var eggdate=yhxx.GGYXRQ;
						var y=rq.substr(0,4);
						var m=rq.substr(5,2);
						var r=rq.substr(8,2);
						var sggdate=y+"-"+m+"-"+r;
						var tian=V.utils.date.getDays(eggdate,sggdate);
						if(tian>=0){
							$("#data").val(tian);//时间
						}else{
							$("#data").val(0);//时间
						}
					}
					if(yhxx.hasOwnProperty('GGNR')){
						$("#content").val(yhxx.GGNR);//内容
					}
					if(yhxx.hasOwnProperty('SFTZ')){
						type=yhxx.SFTZ;//状态
					}
					if(yhxx.hasOwnProperty('fj')){//照片
						if(yhxx.fj.length>0){
							for(var i=0;i<yhxx.fj.length;i++){
								var files=V.urls.basePicServer+yhxx.fj[i];
								model.arrimg.push(files);
							}
							model.reViewImg();
						}
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
			}
		});
	}
	
	
	
	//为添加公告所需的参数
	function getGgData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = usermodel.getYhid();
		//组织ID
		data.zzjgid = usermodel.getZzjgid();
		//公告标题
		data.ggbt=$("#title").val();
		//公告时间
		data.yxts=$("#data").val();
		//公告内容
		data.ggnr=$("#content").val();
		data.sftz=type;
		
		if ($.trim(data.ggbt) == '') {  
			mui.toast('请填写公告标题');
			data.isok = false;
		}else{
			if(data.ggbt.length>24){
				mui.toast('标题长度不能超出25个汉字');
				data.isok = false;
			}
		}
		
		if ($.trim(data.yxts) == '') {
			mui.toast('请填写公告有效时间');
			data.isok = false;
			return data;
		}else{
			if(data.yxts<=0||data.yxts>365){
				mui.toast('公告有效时间超出范围');
				data.isok = false;
			}
			if(V.utils.valid.isCheck(data.yxts)){
				mui.toast('公告有效时间不允许有小数');
				data.isok = false;
			}
		}
		
		
		
		if ($.trim(data.ggnr) == '') {//没有内容
			mui.toast('请输入内容');
			data.isok = false;
			return data;
		}else{
			if(data.ggnr.length>500){
				mui.toast('内容不能超过500个汉字');
				data.isok = false;
			}
		}
		return data; 
	}
	
	//点击添加，把输入的数据添加给后台
	var addgg=document.getElementById('button-yes');
	addgg.addEventListener("tap",function(event){
		var self=this;
		var data;
		if(ggid){
			data=getupGgData();
		}else{
			data = getGgData();
		}
		if (data.isok === false) {
			return;
		}
		self.disabled=true;
		model.createUpload(data, function(t, status) {
			plus.nativeUI.closeWaiting();
			self.disabled=false;
			// 上传完成
			if (status == 200) {
				var res=JSON.parse(t.responseText);
				if(res.r==1){
					webview=plus.webview.getWebviewById('xqgg');
					mui.fire(webview, 'openggmx', {
						gonggid:ggid,
						yhid:gyhid
					});
				}
				webview=plus.webview.getWebviewById('gg');
				mui.fire(webview, 'pageshow', {
					
				});
				plus.webview.close();
				$("#title").val("");
				$("#content").val("");
				model.arrimg=[];
				$('#imgform').hide();
				mui.back();
			}
			//添加成功后记得删除压缩后的图片
			var imgs = model.arrimg;
            for (var i in imgs) {
                plus.io.resolveLocalFileSystemURL(imgs[i], function(fs) {
                    // 可通过fs进行文件操作 
                    fs.remove();
                }, function(e) {
                    console.log("Request file system failed: " + e.message);
                });
       		}
		});
	});

	//上传图片的路径array
	model.arrimg = [];
	model.createUpload = function(data, callback) {//建立后台的连接
		plus.nativeUI.showWaiting();
		if(ggid){
			urls=V.urls.baseNewServer;
		}else{
			urls=V.urls.baseServer+'/gg/ggAction_insertGg';
		}
		var task = plus.uploader.createUpload(urls, {
			method: "POST",
			blocksize: 204800,
			priority: 100
		}, callback);
		var files = model.arrimg;
		if (files) {
			for (var i = 0; i < files.length; i++) {
				var file = files[i];				
				if(file.lastIndexOf("?f=") == -1){
					if(V.utils.valid.isSfImg(file)){
						task.addFile(file, {
							key: file
						});
					}else{
						mui.toast("上传的图片包含不符合规范格式图片!");
						plus.nativeUI.closeWaiting();
						return;
					}
				}
			}
		}
		if (data) {
			for (var key in data) {
				task.addData(key, data[key]);
			}
		}
		task.start();
	}
	
	//左右滑动用到的JS代码
	//从图片中获取文件
//	var lfs=null;// 保留上次选择图片列表
	document.getElementById("jian").addEventListener('tap', function() {
		plus.gallery.pick(function(e) {
			//压缩一张或多张图片,压缩会将图片旋转回正常的角度
			compressImage(e.files, function(newpaths) {
				for (var i in newpaths) {
//					lfs=e.files;
					model.arrimg.push(newpaths[i]);
				} 
				model.reViewImg();
			});
		}, function(e) {
			mui.toast('没有图片');
		}, {
			filter: "image",
			multiple: true
//			selected:lfs,
//			maximum:3,
//			system:false,
//			onmaxed:function(){mui.toast('最多只能选择3张图片');}
		});
	});
	
	//添加图片及显示
	model.reViewImg = function() {
		//这里动态添加
		var group = $('#mui-group');
		var indicator = $('#mui-slider-indicator');
		group.empty();
		indicator.empty();
		
		var pageSize = 4;//一页显示多少张照片
		var len = model.arrimg.length; 
		if (len > 0) {
			$('#imgform').show();
		} else {
			$('#imgform').hide();
		}
		var page = len % pageSize == 0 ? len / pageSize : Math.floor(len / pageSize) + 1;
	    console.log(page);
		for (var i = 0; i < page; i++) {
			var html = '';
			var length = (i + 1) * pageSize;
			length = length > len ? len : length;
			for (var j = i * pageSize; j < length; j++) {
				var img = model.arrimg[j];
				html += '<li class="mui-table-view-cell mui-col-xs-3 lis"><img src="' + img + '" data-preview-src="" data-preview-group="1" /></li>';
			}
			group.append('<div class="mui-slider-item"><ul class="mui-table-view mui-grid-view">' + html + '</u></div>');
			indicator.append('<div class="mui-indicator"></div>');
		}
		 console.log(group.html());
		//显示第一图片，添加的图片显示到第0个位置
		if (len > 0) {
			model.autoHeightImg();
			var muigallery = mui('.mui-slider');
			muigallery.slider().gotoItem(0);
			model.previewImage.addImages();
		}
	};
	model.autoHeightImg = function() {
		$("[data-preview-group='1']").each(function() {
			console.log($(this).width());
			$(this).height($(this).width());
		});
	}
	model.previewImage = mui.previewImage();
	
	//长按删除图片
	document.getElementById('mui-group').addEventListener("longtap",function(event){
		var target = $(event.target);
		var tt=event.target;
		var t = target.parents('li.mui-table-view-cell');
		plus.nativeUI.confirm("确定要删除该张图片吗?", function(e) {
			if (e.index == 0) {
				var fjs=tt.src.lastIndexOf("?f=");
				if(fjs!=-1){
					fjs=tt.src.split("?f=");
					fjid[fjid.length] = fjs[1];
				}
				myremove(model.arrimg,tt.src);
				t.remove();
				model.reViewImg();
			}
		},"",["确定", "取消"]);
	});
	
	//点击取消的时候，会清除输入框里面的内容
	document.getElementById('button-no').addEventListener('tap',function(event){
		$("#title").val("");
		$("#content").val("");
		model.arrimg=[];
		$('#imgform').hide();
		mui.back();
	});
	
	//点击取消的时候，会清除输入框里面的内容
	document.getElementById('return').addEventListener('tap',function(event){
		$("#title").val("");
		$("#content").val("");
		model.arrimg=[];
		$('#imgform').hide();
		mui.back();
	});
	
	//修改需要的参数
	//提交事件
	function getupGgData() {
		var data = {
			isok: true
		};
		data.a='GGGL.UPDATE_GG';
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.p1 = usermodel.getYhid();
		//组织ID
		data.p2 = usermodel.getZzjgid();
		//公告id
		data.p3=ggid;
		//公告标题
		data.p4=$("#title").val();
		//公告时间
		data.p5=$("#data").val();
		//公告内容
		data.p6=$("#content").val();
		//发送短信
		data.p8=type;
		
//		alert("公告内容的长度："+data.p6.length);
		
		//附件id
		var fjids;
		for(var i=0;i<fjid.length;i++){
			fjids=fjid[i]+",";
		}
		if(fjids){
			fjids = fjids.substring(0,fjids.lastIndexOf(","));
			data.p7=fjids;
		}else{
			data.p7="|@|";
		}
		
		if ($.trim(data.p4) == '') {  
			mui.toast('请填写公告标题');
			data.isok = false;
		}else{
			if(data.p4.length>24){
				mui.toast('标题长度不能超出25个汉字');
				data.isok = false;
			}
		}
		
		if ($.trim(data.p6) == '') {//没有内容
			mui.toast('请输入内容');
			data.isok = false;
			return data;
		}else{
			if(data.p6.length>500||data.p6.length<0){
				mui.toast('公告内容不能超过500个汉字');
				data.isok = false;
			}
		}
		return data; 
	}
	
	
	
	//上下滑动时用的js代码
	// 从相册添加文件
//	document.getElementById("jian").addEventListener('tap', function() {
//		plus.gallery.pick(function(e) {
//			for (var i in e.files) {
//				//把图片一一存到model.arrimg中去，然后在与后台交换数据的时候，取出来
//				model.arrimg.push(e.files[i]);
//				//通过for循环来append到ul里面进行显示   <img src="'+e.files[i]+'" class="mui-action-preview img-prew" />
//		    	$("#tianjia").append('<li class="mui-table-view-cell mui-col-xs-3"><img src="'+e.files[i]+'" data-preview-src="" data-preview-group="1"/></li>');
//				//首进来，会隐藏图片区域，一调用本地图片，就会显示图片区域
//			 	$(".btn-img").show();
//
//				model.previewImage.addImages();
//			}
//		}, function(e) {
//			mui.toast('没有图片');
//		}, {
//			filter: "image",
//			multiple: true
//		});
//	});
//	添加图片时，需要调用mui中自带的
//	model.previewImage = mui.previewImage();


};




