(function() {
	mui.DETAILSModel = mui.Class.extend({
		init: function(options) {
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self.sfny;
			self.sfzt;
			
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self.sfny = window.plus.storage.getItem("sfny");
			self.sfzt = window.plus.storage.getItem("sfzt");
			console.log(self.sfny +'    ' + self.sfzt);
			self._pageData(self.sfny,self.sfzt);
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(sfny,sfzt) {
			var self = this;
			console.log(sfny + "     " + sfzt);
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:'HT.SELECT_HT_SF_TJ_MX',
					p1: userModel.getYhid(),
					p2: userModel.getZzjgid(),
					p3: sfny,
					p4: sfzt
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data.list));
					//封装模板数据
					var rsHtml = template('sfk-template', {
						"record": data.list
					});
					var doc = document.getElementById('sfk_list');
					
					doc.innerHTML = rsHtml;
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		}


		
		
	});
})();

