mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	} 
});

function pageInit(usermodel) {
	initPage();
	//显示列表
	function initPage() {
		mui.ajax(V.urls.baseServer+'/kqjl/kqjlAction_selectOfenKqjl', {
			data: {
				zzjgid:usermodel.getZzjgid(),
				yhid:usermodel.getYhid()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				console.log(JSON.stringify(data));
				var rylist=data.kqjlList;
				if(rylist.length>0){
					$("#nokqlist").hide();
					console.log(JSON.stringify(rylist));
					var ryDiv = $("#user-list");
					var itemhtml='';
					for (var i = 0; i < rylist.length; i++) {
						var row=rylist[i];					
						itemhtml+='<div class="mui-input-row mui-checkbox mui-left" style="line-height: 60px;border-bottom: 1px solid #f4f4f4;" >'+
									'<label class="size-left-top list-item-lastdatetime">'+row.KQWZ+'</label>'+
									'<input name="checkbox" value="Item 1" type="checkbox" jd='+row.KQJD+' wd='+row.KQWD+' wz='+row.KQWZ+' style="margin-top: 13px;" class="check">'+
								'</div>';
					}
					ryDiv.append(itemhtml);
				}else{
					$("#content").hide();
				}
				
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
			}
		});
	}
	
	//添加考勤地点
	function getKqData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		var pzs = [];
		var list = document.getElementById('user-list');
		var checkboxArray = [].slice.call(list.querySelectorAll('input[type="checkbox"]'));
		var zzjgid=userModel.getZzjgid();
		checkboxArray.forEach(function(box) {//循环的显示出考勤的地点和经纬度
			var jwd=box.getAttribute('jd')+","+box.getAttribute('wd');
			if (box.checked) {
				pzs.push({pzxmc:box.getAttribute('wz'),pzxlx:'05',zzjgid:zzjgid,pzxz:jwd,bz2:box.getAttribute('wz')});
			}
		});
		data.pzxxs = JSON.stringify(pzs);
		return data;
	}
	
	//点击勾号，修改已选中的考勤地址
	document.getElementById('btn-gomain').addEventListener("tap",function(){
		var data=getKqData();
		console.log(JSON.stringify(data));
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer+'/zzjg/zzjgAction_insertZzjgPz',{
			data:data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(data.result==1){
					//更新数据
					$("#user-list").empty();
					var webview=plus.webview.getWebviewById('myaddress');
					mui.fire(webview, 'page-kqaddress', {
					
					});
					mui.back();
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
				plus.nativeUI.closeWaiting();
			}
		});
	});
}