mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});


/*
 * 修改完个人资料后，返回个人中心时，所有的需要修改的内容都必须改变（返回的方法）
 */
window.addEventListener('eventBackStaff', function(event) {
	var imgurl = userModel.getYhtx();
	$("#head-img").attr('src',V.urls.basePicServer+imgurl);//个人头像
	var name = userModel.getYhName();
	$("#username").html(name);//个人姓名
	var gsname = userModel.getJgmc();
	$("#zzname").html(gsname);//组织名称
});

window.addEventListener('notifyshow', function(event) {
//	alert(1);
//	console.log("进入个人中心");
//	pageInit(userModel);
});


function pageInit(usermodel) {
	var model={};

	//版本号
	//获得版本号
	var wgtVer;
    plus.runtime.getProperty(plus.runtime.appid,function(inf){
    	wgtVer=inf.version;
    	$("#banbeng").html("V"+wgtVer);
    });
    
    /**
	 * 用户赋值
	 */
	var imgurl = V.urls.basePicServer+userModel.getYhtx();
	$("#head-img").attr('src',imgurl );//头像
	$("#username").html(userModel.getYhName());//用户名
	$("#zzname").html(userModel.getJgmc());//组织名称
	//判断是否是管理员及显示问题
	if(userModel.getYhid()==userModel.getZZCJR()){//创建人
		$("#guanli").html("管理员");
	}else{
		$("#guanli").html("");
	}
    
    /*
	 * 判断所有列表条目显示的情况
	 */
	var yhid=userModel.getYhid();//当前人的id
	var cjid=userModel.getZZCJR();//当前组织的创建人
	var ss=plus.storage.getItem("authListzy");//从conf中取到的是否有管理员的权限
	//判断是否当前用户是否是管理员(创建人是否等于用户人)=====>为了是否显示管理员和非管理员需要的列表条目
	if(yhid==cjid||ss.indexOf("sysAdmin")!=-1){//管理员:显示所有条目     [有一种情况是：创建人给成员附了管理员的权限，则也会显示所有条目]
		document.getElementById("users").style.display="block";//显示
	}else{//不是管理员：不显示所有条目，只显示前两个条目
		document.getElementById("users").style.display="none";//隐藏
	}
};


//跳到组织切换
document.getElementById('updateorglist').addEventListener("tap",function(event){
	mui.openWindow({
		url:'updateorglist.html',
		id:'updateorglist'
	});
});

//跳到创建组织
document.getElementById('newcompany').addEventListener("tap",function(event){
	mui.openWindow({
		url:'newcompany.html',
		id:'newcompany'
	})
});

//跳到个人资料
document.getElementById('our').addEventListener("tap",function(event){
	mui.openWindow({
		url:'grzl.html',
		id:'grzl'
	})
});

//跳到组织信息
document.getElementById('mycompany').addEventListener("tap",function(event){
	mui.openWindow({
		url:'mycompany.html',
		id:'company'
	})
});

//跳到考勤时间
document.getElementById('mykq').addEventListener("tap",function(event){
	mui.openWindow({
		url:'mykq.html',
		id:'mykq'
	})
});

//跳到添加考勤地点
document.getElementById('myaddress').addEventListener("tap",function(event){
	mui.openWindow({
		url:'myaddress.html',
		id:'myaddress'
	})
});

//跳到添加组织成员
document.getElementById('addpeople').addEventListener("tap",function(event){
	mui.openWindow({
		url:'addpeople.html',
		id:'addpeople'
	});
});

//跳到权限管理维护
document.getElementById('myqx').addEventListener("tap",function(event){
	mui.openWindow({
		url:'myqx.html',
		id:'myqx'
	});
});

//跳到同事圈背景设置
//	document.getElementById("tsqbackp").addEventListener("tap",function(e){
//		mui.openWindow({
//			url:'tsqbackp.html',
//			id:'tsqbackp'
//		});
//	});

//跳到组织数据
	document.getElementById("clearcompany").addEventListener("tap",function(e){
		mui.openWindow({
			url:'myclearcompany.html',
			id:'myclearcompany'
		});
	});

//用户或游客重创建组织
document.getElementById('newcompany').addEventListener("tap",function(event){
	if(userModel.getLastPhone()){//判断如果有手机号，就跳到创建组织界面
		mui.openWindow({
			url:'newcompany.html',
			id:'newcompany'
		});
	}else{//如果没有手机号（第一次就是游客登录），就跳到注册登录界面
		var webview=mui.openWindow({
			url:'../login/zc.html',
			id:'zc'
		});
		webview.addEventListener('loaded',function(){
			mui.fire(webview,'openzc',{
    			type:1
  			});
		});
	}
}); 

//意见回馈
document.getElementById("myyijian").addEventListener("tap",function(e){
	mui.openWindow({
		url:'myyijian.html',
		id:'yijian'
	});
});

//退出登录querySelector
document.getElementById('returndl').addEventListener("tap",function(event){
	//清除用户信息
	userModel.logout();
	//UserModel.prototype.logout();
//		plus.nativeUI.showWaiting();
//		var webview=plus.webview.create('../login/zc.html','page-login');
////		var webview=mui.preload({
////			url:'../login/zc.html',
////			id:'page-login'
////		});		
//		//console.log('144');
//		webview.addEventListener('loaded',function () {
//			//console.log('loaded');
//		    
//		    	//console.log('148');
//		    	
//		       mui.fire(webview,"pageShow");
//		   
//		});
//		webview.show('none', 1, function() {plus.nativeUI.closeWaiting(); 
//
//		});
	
	
});