mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	} 
});


function pageInit(usermodel) {
	initPage();
	
	//从地址中传过来的参数page-kqaddress
	var address='';
	var jd='';
	var wd='';
	var idss='';
	window.addEventListener('page-yhaddress', function(event) {
		address=event.detail.addresss;
		jd=event.detail.jd;
		wd=event.detail.wd;
		idss=event.detail.idss;
		if(idss){ 
			var jw=jd+","+wd;
			updatelistdd(idss,address,jw);
		}else{
			getGrData(address,jd,wd);
		}
		
	});
	
	//从考勤记录传过来的值
	window.addEventListener('page-kqaddress', function(event) {
		$("#user-list").empty();
		initPage();
	});
	
	//判断经纬度来获取地址
	var j='';
	var w='';
	function getjwd(jwd,ad){
		ad=$("#"+ad);
		var strall = jwd.split(",");
		for(var i=0;i<strall.length;i++){
			j=strall[0];
			w=strall[1];
		}
		var point = new plus.maps.Point(Number(j),Number(w));
		plus.maps.Map.reverseGeocode(point,{},function(event){
			var dz = event.address;  // 转换后的地理位置
			ad.val(dz); //直接给文本框赋值
		},function(e){
			console.log("Failed:"+JSON.stringify(e));
		});
	}
	
	//显示列表
	function initPage() {
		mui.ajax(V.urls.baseServer+'/zzjg/zzjgAction_selectZzjgPzPage', {
			data: {
				yhid: usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				pzxlx:'05'
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				console.log(JSON.stringify(data));
				var rylist=data.pzs;
				if(rylist.length>0){
					var ryDiv = $("#user-list");
					var itemhtml=''; 
					var jwdarr=[];
					for (var i = 0; i < rylist.length; i++) {
						var row=rylist[i];	
						var id="true"+row.PZID;//还没开始加载数据，不能取$(#123)格式的数据，只能定义一个变量(对象还没加载出来，只能定义变量)
						var jwd=row.ZD;
						jwdarr.push({jwd:jwd,id:id});
						itemhtml+='<div class="biaoji">'+
									'<input  type="hidden" value="'+row.PZID+'" mc="'+row.MC+'"/>'+
									'<div class="mui-input-row area1">'+
										'<label>打卡位置&nbsp;'+(i+1)+'</label>'+
										'<input id="true'+row.PZID+'" type="text" class="mui-input-clear mui-input" readonly="readonly" placeholder="请输入打卡位置" value="'+row.MC+'">'+
										'<span class="mui-icon mui-icon-location addProject showdd" id="btn-showdd" ids="'+row.PZID+'"></span>'+
									'</div>'+
									'<div class="mui-input-row area2">'+
										'<label>打卡显示位置</label>'+
										'<input id="false'+row.PZID+'" type="text" class="mui-input-clear mui-input " readonly="readonly" placeholder="请输入打卡显示位置" value="'+row.MC+'">'+
										'<span class="mui-icon mui-icon-compose addProject" id="btn-updatedd" upd="'+row.PZID+'" kqname="'+row.MC+'"></span>'+
									'</div></div>'+
									'<div style="width: 100%;height: 10px;background-color: #efeff4;border: 0;"></div>';
					}
					ryDiv.append(itemhtml);	
					
					var jwds='';
					var ids='';
					for(var j = 0;j < jwdarr.length;j++){
						jwds=jwdarr[j].jwd;
						ids=jwdarr[j].id;
						getjwd(jwds,ids);
					}
				}else{
					mui.toast("没数据");
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
			}
		});
	}
	
	//在列表中，获取地图
	var kqids='';
	document.getElementById('user-list').addEventListener("tap",function(event){
		var target = $(event.target);	
		var s=target.parents('div.area1');
		kqids=target.attr('ids');
		if(s.html()){
			getaddress(1,kqids);
		}
	});
	
	//获取地图
	document.getElementById('xzkqaddress').addEventListener("tap",function(event){
		$("#xzkqaddress").css({"background-color":"#039cae","border-color":"#039cae"});
		getaddress(2);
	});
	
	//点击，显示考勤打卡记录addkqaddress
	document.getElementById('addkqaddress').addEventListener('tap',function(){
		mui.openWindow({
			url:'kq_address.html',
			id:'addkq'
		});
	});
	
	//获取本地的经纬度
	var X='';
	var Y='';
	var addresss='';
	function getaddress(type,ids){
		if(mui.os.ios){
			plus.nativeUI.showWaiting();
			//获取本地的经纬度
			plus.geolocation.getCurrentPosition(function(position) {
				X= position.coords.longitude;//经度
				Y= position.coords.latitude;//纬度
				addresss=position.addresses;
				var jws=X+","+Y;
				plus.nativeUI.closeWaiting();
				if(type==1){//列表中获取地图，直接显示在列表中，不用添加
					mui.toast("直接获取当前位置信息");
//					$("#"+"false"+ids).val(addresss);
//					$("#"+"true"+ids).val(addresss);	
					updatelistdd(ids,addresss,jws);
				}else{
					getGrData(addresss,X,Y);
				}
			},function(e){
				plus.nativeUI.closeWaiting();
				mui.toast("打开“定位服务”来允许“微办”确定你的位置，请到设置->隐私->定位服务开启。");
			},{provider:'baidu'});
		}else{
			var webview=mui.openWindow({
				url:'maps_map.html',
				id:'map'
			});
			mui.fire(webview,"page-maps",{
				type:1,//只要是判断从哪个界面跳到maps_map中去
				ids:ids
			});
		}
	}
	
	//添加地图位置
	function getGrData(pzxmc,jd,wd) {
		//考勤地点经纬度
		var pzxz='';
		if(jd!=null&&wd!=null){
			pzxz=jd+","+wd;
		}else{
			alert("经纬度不能为空");
		}
		mui.ajax(V.urls.baseServer+'/zzjg/zzjgAction_insertZzjgPz',{
			data:{
				yhid:usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				pzxmc:pzxmc,
				pzxlx:'05',
				pzxz:pzxz
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(data.result==1){
					$("#user-list").empty();
					initPage();
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
				plus.nativeUI.closeWaiting();
			}
		});
		
	}
	
	//删除
	document.getElementById("user-list").addEventListener("longtap",function(e){
		var target = $(event.target);	
		var t = target.parents('div.biaoji');
		var pzid= t.children('input').val();
		if (pzid) {
			plus.nativeUI.confirm("确定要删除考勤地点吗?", function(e) {
				if (e.index == 0) {
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer+ '/zzjg/zzjgAction_delPzxxById', {
						data: {
							yhid: usermodel.getYhid(),
							zzjgid: usermodel.getZzjgid(),
							pzid:pzid
						},
						dataType:'json',
						type: 'get', //HTTP请求类型
						success: function(datas) {
							plus.nativeUI.closeWaiting();
							if(datas.result==1) {
								t.remove();
								$("#user-list").empty();
								initPage();
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							//异常处理； 
							mui.toast('网络异常');
						}
					});
				}
			},"",["确定", "取消"]);
		}
	});
	
	//修改
	function updatelistdd(kqpzid,areab,jwd){
		console.log(kqpzid,areab,jwd);
		var id1=$("#"+"false"+kqpzid);
		var id2=$("#"+"true"+kqpzid);
		mui.ajax(V.urls.baseServer+ '/zzjg/zzjgAction_updateZzjgPz', {
			data: {
				yhid: userModel.getYhid(),
				zzjgid: userModel.getZzjgid(),
				pzid:kqpzid,
				pzxmc:areab,
				pzxz:jwd
			},
			dataType:'json',
			type: 'get', //HTTP请求类型
			success: function(datas) {
				console.log("111111111111111111"+JSON.stringify(datas));
				plus.nativeUI.closeWaiting();
				if(datas.result==1) {
					var t=$("#user-list");
					t.empty();
					initPage();
					//赋值
					id1.val(areab);
					id2.val(areab);
				}
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
			}
		});
	}
	
	
	
	//编辑列表
	var kqpzid='';
	document.querySelector('#content').addEventListener('tap', function(event) {
		var target = $(event.target);	
		var kqupdate=target.attr('upd');
		var kqname=target.attr('kqname');
		var t = target.parents('div.biaoji');
		kqpzid= t.children('input').val();
		//编辑
		if(kqupdate){
			mui('.mui-popover').popover('toggle'); //刚开始时，编辑框是不显示的，写了它，就显示，在写，就不显示
			$("#areaa").val(kqname);
		}
	});
	
	//编辑框
	document.getElementById('btn-add-address').addEventListener('tap', function(event){
		var areab=$("#areaa").val();
		var kqwzid="false"+kqpzid;//获取到input标签的,成功之后给input复制的
		if(areab!=null&&kqwzid!=null){
			mui.ajax(V.urls.baseServer+ '/zzjg/zzjgAction_updateZzjgPz', {
				data: {
					yhid: usermodel.getYhid(),
					zzjgid: usermodel.getZzjgid(),
					pzid:kqpzid,
					pzxmc:areab
				},
				dataType:'json',
				type: 'get', //HTTP请求类型
				success: function(datas) {
					console.log(JSON.stringify(datas));
					mui('.mui-popover').popover('toggle');
					if(datas.result==1) {
						plus.nativeUI.closeWaiting();
						//赋值
						kqwzid=$("#"+kqwzid);
						kqwzid.val(areab);
						$("#areab").val('');
						$("#user-list").empty();
						initPage();
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		}else{
			return;
		}
	});
	
	
}