mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	} 
});


function pageInit(usermodel) {
	initPage();
	
	//从地址中传过来的参数page-kqaddress(只限制于安卓)
//	var address='';
//	var jd='';
//	var wd='';
//	window.addEventListener('page-yhaddress', function(event) {
//		address=event.detail.addresss;
//		jd=event.detail.jd;
//		wd=event.detail.wd;
//		getGrData(address,jd,wd);//添加当前位置获取
//	});
	
	//从考勤记录传过来的值
	window.addEventListener('page-kqaddress', function(event) {
		$("#user-list").empty();
		initPage();
	});
	
	//显示列表
	var rylist={};
	function initPage() {
		mui.ajax(V.urls.baseServer+'/zzjg/zzjgAction_selectZzjgPzPage', {
			data: {
				yhid: usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				pzxlx:'05'
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				console.log(JSON.stringify(data));
				rylist=data.pzs;
				if(rylist.length>0){
					ryDiv = $("#user-list");
					var itemhtml=''; 
					for (var i = 0; i < rylist.length; i++) {
						var row=rylist[i];	
						itemhtml+='<div class="biaoji">'+
									'<input  type="hidden" value="'+row.PZID+'" mc="'+row.MC+'"/>'+
									'<div class="mui-input-row area1">'+
										'<label>打卡位置&nbsp;'+(i+1)+'</label>'+
										'<span id="true'+row.PZID+'">'+row.BZ2+'</span>'+
//										'<input id="true'+row.PZID+'" type="text" class="mui-input-clear mui-input" readonly="readonly" placeholder="请输入打卡位置" value="'+row.BZ2+'">'+
									'</div>'+
									'<div class="mui-input-row area2">'+
										'<label>打卡显示位置</label>'+
										'<span id="false'+row.PZID+'" style="float: left;width:55%;font-size: 14px;padding-top: 10px;overflow: hidden;text-overflow: ellipsis;-o-text-overflow:ellipsis;white-space: nowrap;">'+row.MC+'</span>'+
//										'<input id="false'+row.PZID+'" type="text" class="mui-input-clear mui-input " readonly="readonly" placeholder="请输入打卡显示位置" value="'+row.MC+'">'+
										'<span class="mui-icon mui-icon-compose addProject" id="btn-updatedd" upd="'+row.PZID+'" kqname="'+row.MC+'"></span>'+
									'</div></div>'+
									'<div style="width: 100%;height: 10px;background-color: #efeff4;border: 0;"></div>';
					}
					itemhtml+='<li class="mui-table-view-cell">'+
								'<div class="mui-media-body">'+
									'<span style="float: left;color:#000;font-size:14px;">温馨提示：</span>'+
									'<ol style="float: left;padding-left: 20px;color:#8f8f94;font-size:12px;">'+
									    '<li>支持多个办公地点打卡；</li>'+
									    '<li>打卡位置用于校验打卡位置是否正常；</li>'+
									    '<li>显示位置用于员工正常打卡后界面显示名称，可设为“XX公司”</li>'+
							 		'</ol>'+
								'</div></li>';
					ryDiv.append(itemhtml);	
				}else{
					mui.toast("没数据");
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
			}
		});
	}
	
	//点击当前位置获取，从地图中获取位置
	document.getElementById('xzkqaddress').addEventListener("tap",function(event){
		var self=this;
		$("#xzkqaddress").css({"background-color":"#039cae","border-color":"#039cae"});
		self.disabled=true;
		getaddress(self);
	});
	
	//点击考勤记录获取，显示考勤打卡记录addkqaddress
	document.getElementById('addkqaddress').addEventListener('tap',function(){
		mui.openWindow({
			url:'kq_address.html',
			id:'addkq'
		});
	});
	
	//获取本地的经纬度
	function getaddress(self){
//		if(mui.os.ios){
			plus.geolocation.getCurrentPosition(function(position) {
				self.disabled=false;
				getaddress2(self);
			},function(e){
				plus.nativeUI.closeWaiting();
				mui.toast("打开“定位服务”来允许“微办”确定你的位置，请到设置->隐私->定位服务开启。");
			},{
				geocode:true,
				provider:'baidu'
			});
//		}else{
//			var webview=mui.openWindow({
//				url:'maps_map.html',
//				id:'map'
//			});
//			mui.fire(webview,"page-maps",{
//				type:1//只要是判断从哪个界面跳到maps_map中去
//			});
//		}
	}
	
	function getaddress2(self){
		var X='';
		var Y='';
		var addresss='';
		//获取本地的经纬度
		plus.geolocation.getCurrentPosition(function(position) {
			self.disabled=false;
			X= position.coords.longitude;//经度
			Y= position.coords.latitude;//纬度
			addresss=position.addresses;
			acur=Math.round(position.coords.accuracy);//精准度
			if(addresss){
				checkacur(addresss,X,Y,acur);
			}else{  
				var point = new plus.maps.Point(X,Y); 
				plus.maps.Map.reverseGeocode(point,{},function(event){
					var addre = event.address;  // 转换后的地理位置
					checkacur(addre,X,Y,acur);
				},function(e){
					mui.toast("获取位置信息超时.");
					plus.nativeUI.closeWaiting();
				});
			}
			
		},function(e){
			plus.nativeUI.closeWaiting();
			mui.toast("打开“定位服务”来允许“微办”确定你的位置，请到设置->隐私->定位服务开启。");
		},{
			geocode:true,
			provider:'baidu'
		});
	} 
	
	//判断当时是4G打卡还是WiFi打卡
	function checkacur(addresss,X,Y,acur){
		if(acur>100){
			plus.nativeUI.confirm("当前位置误差较大。建议打开WiFi和GPS。重新获取位置？", function(e) {
				if (e.index != 0) {
					getGrData(addresss,X,Y);//获取位置
				}
			},"",["是", "否"]);
		}else{//（误差小于100）
			getGrData(addresss,X,Y);//获取位置
		}
	}
	//添加 当前地图获取
	function getGrData(pzxmc,jd,wd) {
		//考勤地点经纬度
		var pzxz='';
		if(jd!=null&&wd!=null){
			if(V.utils.valid.isCheck(jd)&&V.utils.valid.isCheck(wd)){//判断是否为小数（如果为小数，则这个字符串成立）
				pzxz=jd+","+wd;
			}else{
				mui.toast("您经纬度获取有误，请重新选择地址");
				return; 
			}
		}else{
			mui.toast("经纬度不能为空");
			return;
		}
		mui.ajax(V.urls.baseServer+'/zzjg/zzjgAction_insertZzjgPz',{
			data:{
				yhid:usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				pzxmc:pzxmc,
				pzxlx:'05',
				pzxz:pzxz,
				bz2:pzxmc
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(data) {
				console.log(JSON.stringify(data));
				plus.nativeUI.closeWaiting();
				if(data.result==1){
					$("#user-list").empty();
					initPage();
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
				plus.nativeUI.closeWaiting();
			}
		});
		
	}
	
	//删除
	document.getElementById("user-list").addEventListener("longtap",function(e){
		var target = $(event.target);	
		var t = target.parents('div.biaoji');
		var pzid= t.children('input').val();
		if (pzid) {
			if (rylist.length<2) {
				mui.toast("最后一条考勤地点不能删除");
				return;
			}
			plus.nativeUI.confirm("确定要删除考勤地点吗?", function(e) {
				if (e.index == 0) {
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer+ '/zzjg/zzjgAction_delPzxxById', {
						data: {
							yhid: usermodel.getYhid(),
							zzjgid: usermodel.getZzjgid(),
							pzid:pzid
						},
						dataType:'json',
						type: 'get', //HTTP请求类型
						success: function(datas) {
							plus.nativeUI.closeWaiting();
							if(datas.result==1) {
								t.remove();
								$("#user-list").empty();
								initPage();
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							//异常处理； 
							mui.toast('网络异常');
						}
					});
				}
			},"",["确定", "取消"]);
		}
	});
	
	//编辑列表
	var kqpzid='';
	document.querySelector('#content').addEventListener('tap', function(event) {
		var target = $(event.target);	
		var kqupdate=target.attr('upd');
		var kqname=target.attr('kqname');
		var t = target.parents('div.biaoji');
		kqpzid= t.children('input').val();
		//编辑
		if(kqupdate){
			mui('.mui-popover').popover('toggle'); //刚开始时，编辑框是不显示的，写了它，就显示，在写，就不显示
			$("#areaa").val(kqname);
		}
	});
	
	//编辑输入框（打卡显示位置）
	document.getElementById('btn-add-address').addEventListener('tap', function(event){
		var areab=$("#areaa").val();
		var kqwzid="false"+kqpzid;//获取到input标签的,成功之后给input复制的
		if(areab!=null&&kqwzid!=null){
			mui.ajax(V.urls.baseServer+ '/zzjg/zzjgAction_updateZzjgPz', {
				data: {
					yhid: usermodel.getYhid(),
					zzjgid: usermodel.getZzjgid(),
					pzid:kqpzid,
					pzxmc:areab
				} ,
				dataType:'json',
				type: 'get', //HTTP请求类型
				success: function(datas) { 
					console.log(JSON.stringify(datas));
					mui('.mui-popover').popover('toggle');
					if(datas.result==1) {
						plus.nativeUI.closeWaiting();
						//赋值
						kqwzid=$("#"+kqwzid);
						kqwzid.val(areab);
						$("#areab").val('');
						$("#user-list").empty();
						initPage();
					}else{
						mui.toast("显示位置不能为空");
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		}else{
			return;
		}
	});
	
	
}