mui.init({});
 
function pageInit(usermodel) {
	var zyids= ","+window.plus.storage.getItem("qx_zyid");
	var yhids=window.plus.storage.getItem("qx_yhid");
	//调用初始化方法
	initPage();
	//显示列表
	function initPage() {
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer+'/zy/zyAction_selectAllYhZy', {
			data: {
				yhid:yhids,
				zzjgid:usermodel.getZzjgid()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(data) {
				plus.nativeUI.closeWaiting();
				//服务器返回响应，根据响应结果，分析是否登录成功；
				var rylist=data.zys;
				if(rylist.length>0){
					var ryDiv = $("#user-list");
					for (var i = 0; i < rylist.length; i++) {
						var row=rylist[i];	
						var zyid= "," + row.ZYID;
						var itemhtml ='<input  type="hidden" value="'+row.ZYID+'"/>'+
						'<li class="mui-table-view-cell mui-media">'+
						'<div class="mui-input-row mui-checkbox mui-left">'+
							'<label class="size-left-top list-item-lastdatetime">'+row.ZYMC+'</label>';
							if(zyids){
								if(zyids.indexOf(zyid)!=-1){//选中
									itemhtml+='<input name="checkbox" value="Item 1" type="checkbox" zyids="'+row.ZYID+'"checked="checked">';
								}else{
									itemhtml+='<input name="checkbox" value="Item 1" type="checkbox" zyids="'+row.ZYID+'">';
								}
							}else{
								itemhtml+='<input name="checkbox" value="Item 1" type="checkbox" zyids="'+row.ZYID+'">';
							}
						itemhtml+='</div></li>';
						ryDiv.append(itemhtml);
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('网络异常');
			}
		});
	};
	//添加考勤地点
	function getKqData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = yhids;
		data.zzjgid=usermodel.getZzjgid();
		var pzs = "";
		var list = document.getElementById('user-list');
		var checkboxArray = [].slice.call(list.querySelectorAll('input[type="checkbox"]'));
		checkboxArray.forEach(function(box) {
			var zyids=box.getAttribute('zyids');
			if (box.checked) {
				pzs = pzs + zyids+",";
			}
		});
		if(pzs.length > 1){
			pzs = pzs.substring(0,pzs.lastIndexOf(","));
		}
		data.zyids = pzs;
		return data;
	}
	
	//点击勾号，修改已选中的考勤地址
	document.getElementById('btn-qx').addEventListener("tap",function(){
		var datas=getKqData();
		console.log(JSON.stringify(datas));
	    $.ajax({  
	        type 	: "post",  
	        url 	: V.urls.baseServer+'/zy/zyAction_insertYhQx',//解决 post被请求多次
	        data:datas, 
	        async 	: true, 	//默认: true; 同步(false)请求将锁住浏览器，用户其它操作必须等待请求完成才可以执行。
	        dataType: "json",
	        success : function(data, textStatus){
	        	if(data.result==1){
					//更新数据
					$("#user-list").empty();
					var webview=plus.webview.getWebviewById('myqx');
					mui.fire(webview, 'page-qxlist', {
					
					});
					//调用一个管理员的请求
					$.ajax({  
				        type 	: "post",  
				        url 	: V.urls.baseServer+'/zy/zyAction_selectYhZyURL',//解决 post被请求多次
				        data:{
							yhid:userModel.getYhid(),
							zzjgid:userModel.getZzjgid()
						}, 
				        async 	: true, 	//默认: true; 同步(false)请求将锁住浏览器，用户其它操作必须等待请求完成才可以执行。
				        dataType: "json",
				        success : function(data, textStatus){
//				        	console.log(JSON.stringify(data.yhzy));
				        	plus.storage.setItem("authListzy", data.yhzy);
				        }
				    });
					mui.back();
				}else{
					mui.toast("提交失败");
				}
	        }
	    });
	});
}