mui.init();
var model = {};

model.openMain = function(yhid) {
	userModel.setYhid(yhid);
	userModel.login(function(data) {
//		mui.openWindow({
//			url: '../main/index.html',
//			id: 'page-mainindex'
//		});
	}, function() {
		mui.toast(V.msg.noNet);
	});


}

model.bindEvent = function() {
	document.getElementById('btn-ok').addEventListener('tap', function(event) {
		var obj = $('input[name="radio1"]:checked');
		var yhid = obj.val();
		if (yhid) {
			plus.nativeUI.showWaiting();
			if(yhid == ' '){//切换游客
				mui.ajax(V.urls.baseServer + '/yh/yhAction_cusBut', {
					cache: false,
					dataType: 'json', //服务器返回json格式数据
					async: false,
					success: function(rs) {
						plus.nativeUI.closeWaiting();
						console.log(JSON.stringify(rs));
						if (rs.yhid) {
							model.openMain(rs.yhid);
						}else{
							mui.toast(V.msg.noNet);
						}
					},
					error: function(xhr, type, errorThrown) {
						plus.nativeUI.closeWaiting();
						mui.toast(V.msg.noNet);
					}
				});
			}else{//切换用户组织
				model.openMain(yhid);
			}
		} else {
			mui.toast('请选择组织');
			return;
		}
	});
	
	document.getElementById('btn-del').addEventListener('tap', function(event) {
		var obj = $('input[name="radio1"]:checked');//选中的情况
		var zzyhid = obj.val();//不同组织中的不同身份 id（用户id）
		var zzcjrid=obj.attr("zzcjrid");//创建人id
		var xzzzjgid=obj.attr("zzjgid");//选中的组织机构id
		var dqzzjgid=userModel.getZzjgid();//当前组织机构id
		var li=obj.parent();
		if(zzcjrid){
			if(zzcjrid!=zzyhid){
				mui.toast("非自创的组织不能删除");
				return;
			}
			if(xzzzjgid==dqzzjgid){
				mui.toast("不能删除当前所在的组织");
				return;
			}
			plus.nativeUI.confirm("确定要删除该组织吗?", function(e) {
				if (e.index == 0) {
					if (!checkNetStatus()) {
						return;
					}
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer + '/zzjg/zzjgAction_deleteZzjgByid', {
						data: {
							zzjgid:xzzzjgid,
							yhid:userModel.getYhid()
						},
						dataType: 'json', //服务器返回json格式数据
						type: 'get', //HTTP请求类型
						success: function(rs) {
							plus.nativeUI.closeWaiting();
							if(rs.result=='1'){
								li.remove();
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
						}
					});
				}
			},"",["确定", "取消"]);
		}
	});
}
model.loadData = function() {
	plus.nativeUI.showWaiting();
	mui.ajax(V.urls.baseServer + '/yh/yhAction_regButSelectZZ', {
		data: {
			yhid:userModel.getYhid(),
			zzjgid:userModel.getZzjgid(),
			phone: userModel.getLastPhone()
		},
		cache: false,
		dataType: 'json', //服务器返回json格式数据
		async: false,
		//type: 'get', //HTTP请求类型
		success: function(rs) {
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(rs));
			var zzyqarray = rs.zzyq;
			var rlist = $('#div-reality-list');
			rlist.empty();
			for (var i = 0; i < zzyqarray.length; i++) {
				var zzyq = zzyqarray[i];
				if(zzyq.YHID == ' '){//游客
					
					rlist.append('<li class="mui-table-view-cell  mui-radio mui-right"><input name="radio1" type="radio"  value="' + zzyq.YHID + '" zzcjrid="'+zzyq.ZZCJRID+'" zzjgid="'+zzyq.ZZJGID+'" zzlx="'+zzyq.ZZLX+'"><span name="radio1" style="width:72%;float:left;overflow:hidden; text-overflow:ellipsis; white-space:nowrap;">' + zzyq.JGMC+ '</span><span class="vst-text-font12" style="float:left;">(体验组织)</span></li>');
				}else{//注册用户
					
					if(zzyq.ZZCJRID==zzyq.YHID){
						
						rlist.append('<li class="mui-table-view-cell  mui-radio mui-right"><input name="radio1" type="radio"  value="' + zzyq.YHID + '" zzcjrid="'+zzyq.ZZCJRID+'" zzjgid="'+zzyq.ZZJGID+'" zzlx="'+zzyq.ZZLX+'"><span name="radio1" style="width:72%;float:left;overflow:hidden; text-overflow:ellipsis; white-space:nowrap;">' + zzyq.JGMC+ '</span><span class="vst-text-font12" style="float:left;">(自制)</span></li>');
						
					}else{
						
						rlist.append('<li class="mui-table-view-cell  mui-radio mui-right"><input name="radio1" type="radio"  value="' + zzyq.YHID + '" zzcjrid="'+zzyq.ZZCJRID+'" zzjgid="'+zzyq.ZZJGID+'" zzlx="'+zzyq.ZZLX+'"><span name="radio1" style="width:72%;float:left;overflow:hidden; text-overflow:ellipsis; white-space:nowrap;">' + zzyq.JGMC+ '</span></li>');
						
					}
				}
			}
			var cli = rlist.children("li");
			if (rlist.children("li").length == 0) {
				rlist.append('<li class="mui-table-view-cell mui-text-center">没有组织数据</li>');
			}
			//选中组织
			$("input[name='radio1']").each(function() {
				if ($(this).val() == userModel.getYhid()) {
					$(this).attr("checked", true);
					return false;
				}
			});
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
		}
	});
};

model.init = function() {
	this.bindEvent();
}

function pageInit(u) {
	model.init();
	model.loadData();
	console.log('72');
}