(function() {
	var Model = mui.TabModel = mui.Class.extend({
		init: function(options) {
			var self = this;
			mui.init({
				
			});
			self.options = options || {};
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		initEvent: function() {
			var self = this;
			//console.log(this);
			var aniShow = {};
			var mywebview = plus.webview.currentWebview();
			var subpages = self.options.subpages;
			for (var i = 0; i < subpages.length; i++) {
				var subpage = subpages[i];
				var sub = plus.webview.create(subpage.url, subpage.url, subpage.style);
				sub.hide();
				mywebview.append(sub);
			}
			mui("#segmentedControl").on('tap', 'a', function() {
				var index = this.getAttribute("index");
				for (var i = 0; i < subpages.length; i++) {
					var subpage = subpages[i];
					var url = subpage.url;
					if (index != i) {
						plus.webview.hide(url);
					} else {
						if (mui.os.ios || aniShow[url]) {
							plus.webview.show(url);
						} else {
							var temp = {};
							temp[url] = "true";
							mui.extend(aniShow, temp);
							plus.webview.show(url, "fade-in");
						}



						var subwebview = plus.webview.getWebviewById(url);
						subwebview.evalJS('tabInit()');


					}
				}

			});
			setTimeout(function() {
				var first = document.querySelector('#segmentedControl a[index="0"]');
				mui.trigger(first, 'tap');
			}, 1000);

		},
		initListener: function() {
			var self = this;

		}
	});

})();