mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});

function clearNoNum(obj) { 
 obj.value = obj.value.replace(/[^\d.]/g, "");//清除“数字”和“.”以外的字符
 obj.value = obj.value.replace(/^\./g, "");//验证第一个字符是数字而不是.
 obj.value = obj.value.replace(/\.{2,}/g, ".");//只保留第一个. 清除多余的.
 obj.value = obj.value.replace(".", "$#$").replace(/\./g,"").replace("$#$", ".");
}

function pageInit(usermodel) {    
	var model={};

	//取到联系人姓名
	var ids='';
	var names='';

	//刚进添加报销界面，获取当前时间
	var nowDate = new Date();
	var nowYear = nowDate.getFullYear();
	var nowMonth = nowDate.getMonth() + 1;
	var nowDay = nowDate.getDate();
	if (nowMonth<10) {
		nowMonth = '0' + nowMonth;
	}
	if (nowDay<10) {
		nowDay = '0' + nowDay;
	}
	var dates=nowYear+"-"+nowMonth+"-"+nowDay;
	$("#applyDate").val(dates);
	
	var xm=plus.storage.getItem("bx_xm");//报销项目
	$('#projectTxt').val(xm);
	 
	var manid=plus.storage.getItem("bx_manid");//报销审批人id
	var man=plus.storage.getItem("bx_man");//报销审批人
	$('#baoxpeoperId').val(manid);
	$('#baoxpeoper').val(man);
	
	//获取界面传过来的报送人
	window.addEventListener('eventBackYh',function(event){
	  //获得事件参数
	  var returnobj = event.detail.returnObj;
	  ids=event.detail.id;//报送人ID
	  names=event.detail.name;//报送人名
	  
	  checkedValues=ids;  
	  $("#baoxpeoperId").val(ids);
	  $("#baoxpeoper").val(names);
	});
	
	//获取界面传过来的项目
	window.addEventListener('eventBackzzjg',function(event){
	  //获得事件参数
	  pzmc=event.detail.c1;//项目名称
	  $("#projectTxt").val(pzmc);
	});
	
	//软键盘和输入框的覆盖（消失）问题
	var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘

	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
					/*setTimeout(function(){         
					    
					},time);*/
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}

	if(isIPHONE){
		new objBlur("reasons");
		new objBlur("applyDate");
		new objBlur("amount");
		new objBlur("projectTxt");
		new objBlur("baoxpeoper");
	};



	//点击事件
	var showchrybtn = document.getElementById('people');
	var showchryinut = document.getElementById('baoxpeoper');
	var showzzjgpz=document.getElementById('xiangm');
	showchrybtn.addEventListener('tap', showbx, false);
	showchryinut.addEventListener('tap', showbx, false);
	showzzjgpz.addEventListener('tap', showpz, false);
	
	//点击审批人图标，显示列表
	function showbx(event) {
		var id = plus.webview.currentWebview().id;
		plus.storage.setItem("filebrower_parentwebviewId", id);
		page_staff_select = plus.webview.getWebviewById('dan');
		
		//触发详情页面的newsId事件
		var checkedValues = [];
		mui.fire(page_staff_select, 'eventInitStaff', {
			values: checkedValues,
			returnObj: 'chry'
		});
		mui.openWindow({
			url: '../common/dan.html',
			id: 'dan',
			show: {
				autoShow: true, //页面loaded事件发生后自动显示，默认为true
				aniShow: 'slide-in-bottom'
			}
		});
	};
	
	//点击报销项目图标，显示列表
	function showpz(event) {
		var webid = plus.webview.currentWebview().id;
		mui.openWindow({
			url: '../common/zzjg-pzxlx.html',
			id: 'pzxlx',
			extras:{
				p3:'pz',
				p4:'04',
				webid:webid
			}
		});
	};
	
	//判断输入的报销金额
	document.getElementById('amount').addEventListener('blur', function(event) {
		//报销金额bxje
		var number=$("#amount").val();
		if(number){
			var n=Math.round(number * 100)  / 100;//保留千万分位
			if(n<99999999&&n>0){
				if(V.utils.valid.isCheck(n)){//判断一个字符串是否是小数
					var s=n.toFixed(2);//保留小数点后两位数
					var a=V.utils.valid.getFloatStr(s);
					$("#amount").val(a);
				}else{//字符串是整数
					var b=V.utils.valid.getFloatStr(n);
					$("#amount").val(b);
				}
			}else{
				mui.toast("输入的金额不符合规则");
				$("#amount").val('');
			}
		}
	}); 

	//报销时间
	var timepicker = new mui.DtPicker({"type":"date"});
	var timeZrq = document.getElementById('applyDate');
	timeZrq.addEventListener('tap', function(e) { 
		timepicker.show(function(rs) { 
			$("#applyDate").val(rs.text);
			timepicker.setSelectedValue();
		});

	});
		
	//为提交数据提供的数据
	function getBxspData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = usermodel.getYhid();
		//组织ID
		data.zzjgid = usermodel.getZzjgid();
		//报销事由
		data.bxsy=$("#reasons").val();
		//报销时间
		data.bxrq=$("#applyDate").val();
		//报销金额bxje
		data.bxje=$("#amount").val();
		//核算项目
		data.hsxm=$('#projectTxt').val(); 
		//报销审批人id
		data.dqshrid=$("#baoxpeoperId").val();
		//判断
		if ($.trim(data.bxsy) == '') {
			mui.toast('请重新输入报销事由');
			data.isok = false;
			return data;
		}
		if ($.trim(data.bxrq) == '') {
			mui.toast('请重新输入报销时间');
			data.isok = false;
			return data;
		}
		if ($.trim(data.bxje) == '') {
			mui.toast('请重新输入报销金额');
			data.isok = false;
			return data;
		}else{
			if(data.bxje>99999999){
				mui.toast('请重新输入报销金额');
				data.isok = false;
				return data;
			}
		}
		if ($.trim(data.dqshrid) == '') {
			mui.toast('请选择报销审批人');
			data.isok = false;
			return data;
		}
		
		return data;
	}
	
	//提交报销单
	document.getElementById('button-yes').addEventListener("tap",function(){
		var self=this;
		var data = getBxspData();
		if (data.isok === false) {
			return;
		}
		//判断自己是否是审批人
		if(data.dqshrid==data.yhid){
			mui.toast("自己不能给自己做审批");
			return;
		}
		self.disabled=true;
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer+"/bxsp/bxspAction_insertBxsp",{
			data:data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(rs) {
				plus.nativeUI.closeWaiting();
				self.disabled=false;
				if(rs.result==1){//成功
					var webview=plus.webview.getWebviewById('dsp.html');
					mui.fire(webview, 'bx-pageshow', {
		
					});
					$("#reasons").val(""); //报销事由
					$("#amount").val("");//报销金额
					//记录项目和审批人
					plus.storage.setItem("bx_xm", data.hsxm);//报销项目
					var shr=$("#baoxpeoper").val();//报销审批人
					plus.storage.setItem("bx_manid", data.dqshrid);//报销审批人id
					plus.storage.setItem("bx_man", shr);//报销审批人
					mui.back();
				}
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
			}
		});
		
	 });
	 
	 //点击取消的时候，会清除输入框里面的内容
	document.getElementById('new-return').addEventListener('tap',function(){
		$("#reasons").val(""); //报销事由
		$("#amount").val("");//报销金额
	});
	 	
	//点击取消的时候，会清除输入框里面的内容
	document.getElementById('button-no').addEventListener('tap',function(){
		$("#reasons").val(""); //报销事由
		$("#amount").val("");//报销金额
	});

}