(function() {
	mui.RWXQModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self.rwid;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			/** 
			 * 进入详情页面，获取任务id
			 */
			window.addEventListener('showRwxqPage',function(){
				self.rwid = event.detail.rwid;
				self._pageData();
				console.log(self.rwid);
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
		},
		/**
		 * 后台数据交互
		 * @param {Object} page 页码
		 */
		_pageData: function() {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a : 'DP_BA_RWGL.SELECT_RWXQ',
					p1 : userModel.getYhid(),
					p2 : userModel.getZzjgid(),
					p3 : self.rwid
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					//alert(JSON.stringify(data)); 
					plus.nativeUI.closeWaiting();
					//document.getElementById('rwms').innerText=data.data.D2;
					//document.getElementById('rwxq').innerText=data.data.D3;
					//document.getElementById('zxjz').innerText=data.data.D4
					document.getElementById('rwms').innerText=data.data.D2; 
					document.getElementById('rwzt').innerText=data.data.D4;
					document.getElementById('zyjb').innerText=data.data.D6;
					document.getElementById('sfbm').innerText=data.data.D7;
					document.getElementById('rwzq').innerText=data.data.D8;
					document.getElementById('cyry').innerText=data.data.D9;
					document.getElementById('zxjz').innerText=data.data.D10;
					
				}, 
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		}
	});
})();

