mui.init({
	swipeBack: false,
//		preloadPages: [
//	{
//		url: 'tsq.html',
//		id: 'tsq'
//	}],
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	},
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			//auto:true,
			callback: pullupRefresh
		}
	}
});
var model = {
	pageSize: 12,
	listggPage: {
		page: 1,
		isMaxPage : false
	}
};


function pageInit(usermodel) {//页面初始化
	
	if(mui.os.android){
		auto:false;
	}else{
		auto:true;
	}
	queryListGg(1);

    /*初始化页面背景图、用户名、用户图像*/
    lo();
    
//	tabInit();
	//添加完动态之后，跳到同事圈列表界面
	window.addEventListener('pageShow', function(event) {
		//plus.storage.setItem('privatemsgFlag', '1'); //首页定时器失效
		queryListGg(1);
	});

	document.querySelector('#TSQ-bd').addEventListener('tap', function(event) {
		var target = $(event.target);	
		var pl_btn=target.attr('tsqid');/*点击评论*/
		if(pl_btn){
			$('#area').val('');	
      		 obj = target.parent().parent('.click').children().children(".ping");
      		 tsqid = pl_btn;
		};
		var sc_btn=target.attr('c');//点击删除按钮
		if(sc_btn){
			tsqid = sc_btn;	
			var target = $(event.target);
			var t = target.parent().parent(".en");
			//var tsqid = target.attr("tsqid");
			mui.confirm('确认删除该条记录？', function(e) {
				if(e.index==0){
					if (!checkNetStatus()) {
						return;
					}
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer+'/tsq/tsqAction_deleteTsq',{
					data:{
						yhid: usermodel.getYhid(),
						tsqid:tsqid
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						plus.nativeUI.closeWaiting();
						if(data.result == 1){
							t.remove();
						}
					},
					error:function(xhr,type,errorThrown){
						//异常处理；
						plus.nativeUI.closeWaiting();
						mui.toast('删除失败');
						//console.log(type);
					}
				});
			}
			});
		}
	
	var dz_btn=target.attr('b');//点赞	
	//var tsqid = t.children('input').val();
	if(dz_btn){
		//console.log(target.parent().html());
		tsqid=target.attr('dzid');
		if(dz_btn == '2'){
			target.attr('b','1');
            target.html("取消");
			mui.ajax(V.urls.baseServer+'/tsq/tsqAction_updateTsqDz', {
				data: {
					yhid:usermodel.getYhid(),
					tsqid:tsqid,
					dzxm:usermodel.getYhName()
				},
				dataType: 'json', //服务器返回json格式数据 type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					if(data.result==1){//点赞成功
						var e=target.parent().siblings('.content').children('.TSQ-T');
			            dzstr='<span style="float: left;"></span>'+
							  '<p style=" float: left;margin-top:-3px;"><em>'+data.dzxm+'</em></p>'+
							  '<div class="clear"></div>';
						e.html(dzstr);
					}else{
						
					}	
				},
				error: function(xhr, type, errorThrown) {
					console.log(type);
					//plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});	
		}
		
		if(dz_btn == '1'){//点击取消
			target.attr('b','2');
            target.html("点赞");
            mui.ajax(V.urls.baseServer+'/tsq/tsqAction_updateTsqQxDzxm', {
				data: {
					yhid:usermodel.getYhid(),
					tsqid:tsqid,
					dzxm:usermodel.getYhName()
				},
				dataType: 'json', //服务器返回json格式数据 type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					if(data.result==1){
			            var e=target.parent().siblings('.content').children('.TSQ-T');
			            if(data.dzxm!=null){
			            	dzstr='<span style="float: left;"></span>'+
							  '<p style=" float: left;"><em>'+data.dzxm+'</em></p>'+
							  '<div class="clear"></div>';
							e.html(dzstr);
			            }else{
			            	e.html("");
			            }
					}
					else{
						//alert("点赞失败");
					}	
				},
				error: function(xhr, type, errorThrown) {
					//alert("异常");
					//异常处理；
					console.log(type);
					mui.toast('网络异常');
			}
			});
		}
	}	
	});
	
	//评论点击发送
	document.getElementById('btn-add-msg').addEventListener('tap', function(event){
	//$("#btn-add-msg").click(function(){
		var msg = $('#area').val();	
		console.log(msg);
		if (msg.trim() == '') {
			mui.toast('评论不能为空');
			return;
		}
		
		if (msg.trim().length > 100) {
					mui.toast('评论不能超过100个字符');
					return;
				}
		
		if(msg!=null){//发表评论
			if (!checkNetStatus()) {
						return;
					}
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer+'/tsq/tsqAction_insertTsqPl', {
				data: {
					yhid: usermodel.getYhid(),
					tsqid:tsqid,
					plnr:msg
				},
				dataType: 'json', //服务器返回json格式数据
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					plus.nativeUI.closeWaiting();
					mui('.mui-popover').popover('toggle');
					//temp_tsqid='';
					//服务器返回响应，根据响应结果，分析是否登录成功；
					if(data.result==1){
						console.log(data.plid);
//						alert(data.msg);
						obj.append('<p plid="'+data.plid+'"  plrid="'+usermodel.getYhid()+'" class="de"><i plid="'+data.plid+'"  plrid="'+usermodel.getYhid()+'">'+usermodel.getYhName()+':</i><span style="white-space:pre-wrap;" plid="'+data.plid+'"  plrid="'+usermodel.getYhid()+'">'+msg+'</span></p>');
						$('#area').val('');	
					}else{
						
					}						
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					//console.log(xhr);
					//console.log(type);
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});	
		}
		else
		{
			return;
		}
	});	
	

	//长按删除评论
	document.querySelector('#TSQ-bd').addEventListener('longtap',function(event){
		var target=$(event.target);
		var t=target.parents(".de");
		var plid=target.attr("plid");
		var plrid=target.attr("plrid");
		var yhid=userModel.getYhid();
		if(plid){
			if (plrid != yhid) {
				mui.toast('非本人的评论内容不能删除');
				return;
			}
			plus.nativeUI.confirm("确定要删除评论吗?", function(e) {
				if (e.index == 0) {
					if (!checkNetStatus()) {
						return;
					}
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer + '/tsq/tsqAction_deleteTsqPl', {
						data: {
							yhid: plrid,
							plid:plid
						  },
						dataType:'json',
//							type: 'get', //HTTP请求类型
//							timeout: 10000, //超时时间设置为10秒；
						success: function(datas) {
							plus.nativeUI.closeWaiting();
							if(datas.result==1) {
									target.remove();
									t.remove();
							}else{
								
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							//异常处理； 
							mui.toast('网络异常');
						}
					});
				}
			},"",["确定", "取消"]);
		}
	})
	
	
	//图片预览
	
	var curWebview = plus.webview.currentWebview();
	var cur = {curWebview:curWebview};
	mui.previewImage(cur);
	//$(".mui-grid-view.mui-grid-9 .mui-table-view-cell").height($(".mui-grid-view.mui-grid-9 .mui-table-view-cell").width());
	model.autoHeightImg = function() {
		$("[data-preview-group='1']").each(function() {
			$(this).height($(this).width());
			//console.log($(this).height());
		});
	}
}

	/*初始化页面背景图、用户名、用户图像*/
    function lo() {
    	if(!checkNetStatus()){
		   	   return ;
		   }
//  	plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseNewServer, {
			data: {
				a:  'TSQ.SELECT_TSQ_BJT',
				p1: userModel.getYhid(),
				p2: userModel.getZzjgid()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(data) { 
//				plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data));
				var div=$('.TSQ-bd');
				var itdiv='<div class="TSQ-bg" style="">';
						if(data.data.D2 == 1){
							itdiv += '<div class="TSQ-m" style="height:140px; width:100%;"><img id="tp" height="140px" width="100%" src="'+ V.urls.baseNewPicServer+data.data.D1+'?_time='+ new Date().getTime()+'" alt=""></div>'; 
						}else{
							itdiv += '<div class="TSQ-m" style="height:140px; width:100%;"><img id="tp" height="140px" width="100%" src="'+data.data.D1+'" alt=""></div>';
						}
							itdiv += '<p>'+userModel.getYhName()+'</p>'+
							'<div class="TSQ-p"><img class="TSQ-p" src="'+V.urls.basePicServer+userModel.getYhtx()+'"/></div>'+
						'</div>';
				div.before(itdiv);
				//console.log(usermodel.getYhName()+" "+V.urls.basePicServer+usermodel.getYhtx());
			},
			error: function(xhr, type, errorThrown) {
//				plus.nativeUI.closeWaiting();
				mui.toast('网络异常');
			}
		});
	}
    
	//下拉加载第一页
	function pulldownRefresh() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		mui('#pullrefresh').pullRefresh().refresh(true);
		var _page = 1;
		queryListGg(_page);
//		setTimeout(queryListGg(_page,false),1000);
		model.listggPage.page = _page;
	}

	//上拉加载最新
	function pullupRefresh() {	
		var _page = model.listggPage.page + 1;	
		setTimeout(queryListGg(_page,true),1000);
	}
	//初始查询同事圈列表
	function queryListGg(_page,isUp) {
		console.log(userModel.getZzjgid()+'----'+userModel.getYhid()+'----'+model.pageSize+'----'+_page + '----------'+model.pageSize);
//		plus.nativeUI.showWaiting('加载中。。。');
		mui.ajax(V.urls.baseServer + '/tsq/tsqAction_selectTsq', {
			data: {
				zzjgid: userModel.getZzjgid(),
				yhid: userModel.getYhid(),
				limit: model.pageSize,
				page: _page
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			//timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功;
				console.log(JSON.stringify(data));
				plus.nativeUI.closeWaiting();
				maxP = data.maxPage;
				var tsqlist=data.rs;
				var tsqDiv = $("#xm");
				var addItemDiv='';
				for (var i = 0; i < tsqlist.length; i++) {  
					var tsq=tsqlist[i];	
					tsqid=tsq.zt.TSQID;	
					addItemDiv+='<li class="en" id="en">'+
						'<div class="item">'+	
							'<div class="TSQ-left">'+
								'<div><img src="'+V.urls.basePicServer+tsq.zt.YHTX+'"/></div>'+
							'</div>'+
							'<div class="con">'+
								'<span>'+tsq.zt.NAME+'</span>'+
								'<p style="white-space:pre-wrap;">'+tsq.zt.NR+'</p>'+
//								'<textarea id="er" style="overflow-y:visible;border: 0px;" disabled="disabled" cols=40 rows=10>'+tsq.zt.NR+'</textarea>'+
								'<ul id="ulid'+i+'"  class="mui-table-view mui-grid-view mui-grid-9" style="width:94%;">';
								if(tsq.fj)
								{	
									for(var k=0;k< tsq.fj.length; k++)
									{
										var fj=tsq.fj[k];
										var path=V.urls.basePicServer+fj;
										spath=path.substring(0,path.lastIndexOf('.'))+'_s.jpg';
										addItemDiv+='<li id="li-list" class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 mui-table-view-cell1" >'+
										//'<img src="'+V.urls.basePicServer+fj+'" class="mui-action-preview img-prew" />'+
										'<img src="'+spath+'" data-preview-src="'+path+'" data-preview-group="'+i+'"/>'+
										'</li>';
									}
								}
								addItemDiv +='</ul>'+
							'</div>' +	
						'</div>' +
						'<div class="click">'+
							'<em>'+tsq.zt.SC+'</em>';
							if(userModel.getYhid()==tsq.zt.YHID){
								addItemDiv += '<span class="s" id="s" c="'+tsq.zt.TSQID+'">删除</span>';
							};
				addItemDiv +='<div class="comment">';
								var dzzt='';
								if(tsq.zt.DZZT==0){
									dzzt='<div class="zan" b="2" dzid="'+tsq.zt.TSQID+'">点赞</div>';
								}else{
									dzzt='<div class="zan" b="1" dzid="'+tsq.zt.TSQID+'">取消</div>';
								}
								dzzt+='<a id="icon-chatbubble"  href="#middlePopover"  tsqid="'+tsq.zt.TSQID+'" ><span class="mui-icon mui-icon-chatbubble" tsqid="'+tsq.zt.TSQID+'" style="line-height:1.6;"></span>&nbsp评论</a>'+
							'</div>'+
							'<div class="clear"></div>'+
							'<div class="content">'+
								'<div class="TSQ-T">';							
									var dzstr='';
									if(tsq.zt.DZXM!=null){
										dzstr='<span style="float: left;"></span>'+
										'<p style="  float: left; margin-top:-3px;"><em>'+tsq.zt.DZXM+'</em></p>';
									}else{
										dzstr='<span style=" display:none;"></span>'+
										'<p style="float: left;"></p>';
									}
									dzstr+='<div class="clear"></div>'+
								'</div>'+
								'<div class="line"></div>'+
								'<div class="ping" style="background:#f3f3f3;">';
								var addPlDiv ='';
								var plmap = tsq.pl;
								if(plmap !=null){
									for(var j=0;j< plmap.length; j++){
										addPlDiv+='<p plid="'+plmap[j].plid+'"  plrid="'+plmap[j].yhid+'" class="de"><i plid="'+plmap[j].plid+'" plrid="'+plmap[j].yhid+'">'+plmap[j].xm+':</i><span  style="white-space:pre-wrap;" plid="'+plmap[j].plid+'"  plrid="'+plmap[j].yhid+'">'+plmap[j].nr+'</span></p>';
										//addPlDiv+='<p><i>'+plmap[j].xm+':</i><span>'+plmap[j].nr+'</span></p>'+
										//		  '<p><i>'+plmap[j].xm+'</i><i style="font-style:normal; font-size:0.81em;">回复</i><i>'+plmap[j].xm+':</i><span>'+plmap[j].nr+'</span></p>';
										//console.log(plmap[j].xm);
									}
								}
								addItemDiv+=dzzt+dzstr+addPlDiv+'</div>'+'</div>'+'</div>'+'</li>';	
							
				};
				tsqDiv.append(addItemDiv);
				//console.log(addItemDiv);
			
				if(data.maxPage <= _page){
					model.listggPage.isMaxPage = true;
				}else{
					model.listggPage.isMaxPage = false;
				}	
				if(isUp){
					if(maxP == 1){
						$("#xm").empty();
						tsqDiv.append(addItemDiv); 
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(model.listggPage.isMaxPage);
				}else{
					if(_page == 1){
						$("#xm").empty();
						tsqDiv.append(addItemDiv);
					}
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				}
				
				
				
				//封装模板数据
//				var rsHtml = template('tsq-template', {
//					"record": data,
//					"url" : V.urls.basePicServer
//				});
//				if(_page == 1){
//					document.getElementById('xm').innerHTML = rsHtml;
//				}else{
//					if(data.maxPage == 1){
//						$("#xm").empty();
//					}
//					var html = document.getElementById('xm').innerHTML;
//					document.getElementById('xm').innerHTML = html + rsHtml;
////					$("#xm").append(rsHtml);
//				}
//				mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= _page));


//				var rsHtml = template('tsq-template', {
//					"record": data
//				});
//				if (_page == 1) {
//					document.getElementById('xm').innerHTML = rsHtml;
//				} else {
//					$("#xm").append(rsHtml);
//				}
//				mui('#pullrefresh').pullRefresh().endPullupToRefresh(data.maxPage <= _page);
			
			 

			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				//console.log(errorThrown);
				mui.toast('网络异常');
			}
		});
		model.listggPage.page = _page;
	}



var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘
	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
					/*setTimeout(function(){         
					    
					},time);*/
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}
	
	if(isIPHONE){
		new objBlur("area");
	};