(function() {
	mui.DQRCModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._page =1; 
			self.viewid;
			self.cyrid;
			self.cjzid;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			//点击添加，跳到添加界面
			document.getElementById('add_rc').addEventListener("tap",function(e){
				var dq_btn = document.getElementById('rcgl_lsrcs').innerHTML;
				console.log(dq_btn);
//				if(dq_btn == "当前日程"){
//					document.getElementById('rcgl_lsrcs').innerHTML = "历史日程";
//				}
				var webview=mui.openWindow({
					url:'add_rc.html',
					id:'add_rc',
					show:{
				    	aniShow:'slide-in-bottom'//页面显示动画，默认为”slide-in-right“；
				    }
				});
				var backWebviewId = plus.webview.currentWebview().id;
				webview.addEventListener('loaded',function(){
					mui.fire(webview,'showNewPage',{
						backWebviewId:backWebviewId
					});
				});
			});
			
			//点击历史日程
			document.getElementById('rcgl_lsrcs').addEventListener("tap",function(e){
				var dj_btn = document.getElementById('rcgl_lsrcs').innerHTML;
				console.log(dj_btn+"67");
				document.getElementById('dqrc_list').innerHTML = '';
				
				
							
					if(dj_btn == "查看历史日程"){
						self.ds = setTimeout(function(){
							document.getElementById('rcgl_lsrcs').innerHTML = '查看当前日程';
							console.log("查询历史日程");
							self._page = 0;
							mui('#pullrefresh').pullRefresh().refresh(true);
							mui('#pullrefresh').pullRefresh().pullupLoading();
							mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 10);
							
							var parent_web=plus.webview.getWebviewById('rcgl-main');
							console.log(parent_web); 
							var title = "历史日程";
							parent_web.evalJS('sliderTab("' + title + '")');

							
		//					self._pageData_lsrc(self._page);
							
						},100);
					}else{
						self.ds = setTimeout(function(){
							document.getElementById('rcgl_lsrcs').innerHTML = '查看历史日程';
							console.log("查询当前日程");
							self._page = 0;
							mui('#pullrefresh').pullRefresh().refresh(true);
							mui('#pullrefresh').pullRefresh().pullupLoading();
							mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 10);
							
							var parent_web=plus.webview.getWebviewById('rcgl-main');
							console.log(parent_web); 
							var title = "当前日程";
							parent_web.evalJS('sliderTab("' + title + '")');


		//					self._pageData_dqrc(self._page);
							
						},100);	
					}
				
				
				 
				
			});
			
			
			document.getElementById("dqrc_list").addEventListener("tap",function(event){
				var target = $(event.target);
				
				var target_name = target.attr("aa");
				console.log(target_name);
				
				if(target_name == 1){
					self._bj(event);//编辑
				}else if(target_name == 2){
					self._fz(event);//翻转
				}else if(target_name == 3){
					self._fzs(event);//翻转
				}else{
					self._checkHtgl(event);//删除
				}
				
//				var target_html = target.html();
//				console.log(target_html);
//				if(target_html == "编辑"){
//					self._bj(event);//编辑
//				}else if(target_html == "标记完成"){
//					self._fz(event);//翻转
//				}else if(target_html == "取消完成"){
//					self._fzs(event);//翻转
//				}else{
//					self._checkHtgl(event);//删除
//				}
			});	
						
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;		
			//返回的回调函数(修改)
			window.addEventListener('eventBackEditRcgl',function(event){
//				self._pageData_lsrc(self._page);
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			});
			//返回的回调函数(添加)
			window.addEventListener('eventBackAddRcgl',function(event){
//				self._pageData_dqrc(self._page);
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 10);
			});
		},
		/* 
		 * 编辑
		 */
		_bj:function(event){
			var self=this;
			var target = $(event.target);
			console.log(target.html());
			var t = target.parents("li.ss");
			var rcid = t.attr("rcid");
			var rcms = t.attr("rcms");
			console.log(rcms);
			var rczt = t.attr("rczt");
			var kssj = t.attr("kssj");
			var jssj = t.attr("jssj");
			var zyx = t.attr("zyx");
			console.log(rcid+"----"+rcms+rczt+"---"+kssj+"-----"+jssj+"----------"+zyx);
			if(rcid){
				var webview=mui.openWindow({
					url: 'add_rc.html',
					id: 'add_rc'
				});
				var backWebviewId = plus.webview.currentWebview().id;
				console.log(rcid+"----"+rcms+rczt+"---"+kssj+"-----"+jssj+backWebviewId);
				webview.addEventListener('loaded',function(){
					mui.fire(webview,'refresh_uprc',{
						rcid:rcid,
						backWebviewId:backWebviewId,
						rcms:rcms,
						rczt:rczt,
						kssj:kssj,
						jssj:jssj,
						zyx:zyx
					});
				});
			}
		},
		/* 
		 * 标记完成
		 */
		_fz:function(event){
			var self=this;
			var target = $(event.target);
			console.log(target.html());
			var t = target.parents("li.ss");
			
			var ssss = target.parents(".list");
//			ssss.addClass("out")
			ssss.siblings(".list").addClass("out").css("display","block");
			
			var rcid = target.attr("rcid");
//			var rczt = t.attr("rczt");
//			console.log(rcid+"----"+rczt);
			
//			if(rczt == '01'){
//				rczt = '02';
//			}else{
//				rczt = '01';
//			}
			
//			console.log(rczt);

			if(rcid){
			// 在前面显示的元素，隐藏在后面的元素
			var eleBack = null, eleFront = null,
			// 纸牌元素们 
			eleList = target.parents("li.ss").find(".list");
			// 确定前面与后面元素
			var funBackOrFront = function() {
				
				eleList.each(function() {
//					console.log(eleList.html());
					if ($(this).hasClass("out")) {
						console.log(2);
						eleBack = $(this);
					} else {
						eleFront = $(this);
					}
				});
			};		
			funBackOrFront();			
			
				// 切换的顺序如下
				// 1. 当前在前显示的元素翻转90度隐藏, 动画时间225毫秒
				// 2. 结束后，之前显示在后面的元素逆向90度翻转显示在前
				// 3. 完成翻面效果
				eleFront.addClass("out").removeClass("in");
				setTimeout(function() {
					eleBack.addClass("in").removeClass("out");
					
//					console.log(rcid+"----"+rczt);
					mui.ajax(V.urls.baseNewServer, {
						data: {
							a:'DP_BA_RCGL.UPDATE_RCZT',
							p1:userModel.getYhid(),
							p2:userModel.getZzjgid(),
							p3:rcid,
							p4:'02'
						},
						dataType:'json',
						type: 'get', //HTTP请求类型
						success: function(data) {
							console.log(JSON.stringify(data));
							plus.nativeUI.closeWaiting();
							if(data.r==1) { 
//								self._pageData(self._page);
//								mui.toast("状态修改成功");
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							mui.toast('网络异常');
						}
					});
				
				// 重新确定正反元素
					funBackOrFront();
				}, 225);
					return false;
			}
		},
		
		/* 
		 * 取消标记完成
		 */
		_fzs:function(event){
			var self=this;
			var target = $(event.target);
//			console.log(target.html());
			var t = target.parents("li.ss");
			var ssss = target.parents(".list");
//			ssss.addClass("out");
			ssss.siblings(".list").addClass("out").css("display","block");
			
			var rcid = target.attr("rcid");
//			var rczt = t.attr("rczt");
//			console.log(rcid+"----"+rczt);
//			
//			if(rczt == '01'){
//				rczt = '02';
//			}else{
//				rczt = '01';
//			}
//			
//			console.log(rczt);

			if(rcid){
			// 在前面显示的元素，隐藏在后面的元素
			var eleBack = null, eleFront = null,
			// 纸牌元素们 
			eleList = target.parents("li.ss").find(".list");
			// 确定前面与后面元素
			var funBackOrFront = function() {
				
				eleList.each(function() {
//					console.log(eleList.html());
					if ($(this).hasClass("out")) {
						console.log(2);
						eleBack = $(this);
					} else {
						eleFront = $(this);
					}
				});
			};		
			funBackOrFront();			
			
				// 切换的顺序如下
				// 1. 当前在前显示的元素翻转90度隐藏, 动画时间225毫秒
				// 2. 结束后，之前显示在后面的元素逆向90度翻转显示在前
				// 3. 完成翻面效果
				eleFront.addClass("out").removeClass("in");
				setTimeout(function() {
					console.log(182);
					eleBack.addClass("in").removeClass("out");
					
//					console.log(rcid+"----"+rczt);
					mui.ajax(V.urls.baseNewServer, {
						data: {
							a:'DP_BA_RCGL.UPDATE_RCZT',
							p1:userModel.getYhid(),
							p2:userModel.getZzjgid(),
							p3:rcid,
							p4:'01'
						},
						dataType:'json',
						type: 'get', //HTTP请求类型
						success: function(data) {
							console.log(JSON.stringify(data));
							plus.nativeUI.closeWaiting();
							if(data.r==1) {
//								self._pageData(self._page);
//								mui.toast("状态修改成功");
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							mui.toast('网络异常');
						}
					});
				
				// 重新确定正反元素
					funBackOrFront();
				}, 225);
					return false;
				
			}
		},
		
		/**
		 * 后台数据交互  当前日程
		 * @param {Object} page  页码
		 */
		_pageData_dqrc: function(page) {
			var self = this;
			
			mui.ajax(V.urls.baseNewServer, { 
				data: {
					a:'DP_BA_RCGL.SELECT_RC_CURR',
					p1:userModel.getYhid(),
					p2:userModel.getZzjgid(),
					p:page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					console.log(userModel.getYhid());
					plus.nativeUI.closeWaiting();
					console.log("当前日程"+JSON.stringify(data.list));
					//封装模板数据
					var rsHtml = template('dqrc-template', {
						"record": data.list
					});
					var doc = document.getElementById('dqrc_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
						
					}
//					console.log(doc.innerHTML);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.list.t <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/**
		 * 历史日程
		 * @param {Object} page  页码
		 */
		_pageData_lsrc: function(page) {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:'DP_BA_RCGL.SELECT_RC_HIST',
					p1:userModel.getYhid(),
					p2:userModel.getZzjgid(),
					p:page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log("历史日程"+JSON.stringify(data.list));
					//封装模板数据
					var rsHtml = template('dqrc-template', {
						"record": data.list
					});
					var doc = document.getElementById('dqrc_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.list.t <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 点击删除
		 */

		_checkHtgl:function(event){
			var self=this;
			var target = $(event.target);
			var t = target.parents('li.ss');			
			var rcid = target.attr('rcid');
			console.log(rcid+"-------"+"哈哈");
			if(rcid){
					plus.nativeUI.confirm("确定要删除该条信息吗?", function(e) {
					if (e.index == 0) {
						if (!checkNetStatus()) {
							return;
						}
						plus.nativeUI.showWaiting();
						mui.ajax(V.urls.baseNewServer, {
							data: {
								a:'DP_BA_RCGL.DELETE_RC',
								p1:userModel.getYhid(),
								p2:userModel.getZzjgid(),
								p3:rcid
							},
							dataType:'json',
							type: 'get', //HTTP请求类型
							success: function(data) {
								console.log(JSON.stringify(data));
								plus.nativeUI.closeWaiting();
								if(data.r==1) {
									t.remove();
									mui.toast(data.val);
								}
							},
							error: function(xhr, type, errorThrown) {
								plus.nativeUI.closeWaiting();
								mui.toast('网络异常');
							}
						});
					}
					},"",["确定", "取消"]);

			}
		}
	});
})();

