mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});
var slideNumber=0;

function pageInit(usermodel) {
	var model = {
		pageSize: 10,
		dspPage: {//待审批
			page: 1
		},
		yspPage: {//已审批
			page: 1
		}
	};
	$("#linear").height($(window).height());
	
	
	 
	
	//点击审批，会显示审批单据界面
	document.querySelector('#tab-view-wk').addEventListener('tap',function(event) {
		var target = $(event.target);
		var t = target.parents('li.mui-table-view-cell');
		var spid = t.children().children('input').val();
		var splx=t.children().children("input").attr("splx");
		var spywid=t.children().children("input").attr("spywid");
//		var bdrid=t.children().children("input").attr("bdrid");
//		var shrid=t.children().children("input").attr("shrid");
		var viewid=plus.webview.currentWebview().id;
		if(spid!=null){
			var aa=mui.openWindow({ 
				url:'sp-bills.html',
				id:'sp-bills'
			});
			if(mui.os.ios){
				setTimeout(
					function(){
						mui.fire(aa,'opensp',{
						    shenpid:spid,
						    shenplx:splx,
						    shenpywid:spywid,
						    backWebviewId:viewid
			  			})
						window.plus.storage.setItem("ywid", spywid);
					}, 1000
				);
			}else{
				mui.fire(aa,'opensp',{
				    shenpid:spid,
				    shenplx:splx,
				    shenpywid:spywid,
				    backWebviewId:viewid
	  			})
				window.plus.storage.setItem("ywid", spywid);
			}
			
		}
	});
	
	//到详情界面
	document.getElementById('tab-view-wk2').addEventListener('tap',function(){
		var target = $(event.target);
		var t = target.parents('li.mui-table-view-cell');
		var ywid=t.children().children("input").attr("ywid");
		if(ywid!=null){
			var bx=mui.openWindow({
				url:"../common/details.html",
				id:"detail"
			});
			window.plus.storage.setItem("ywid", ywid);
		}
	});
	
	
	
	//切换待审批和已审批的界面
	model.initEvent = function() {
			/*选项卡切换监听显示和隐藏浮动按钮*/
			document.getElementById('slider').addEventListener('slide', function(e) {
				var data = {
					yhid: usermodel.getYhid(),
					zzjgid:usermodel.getZzjgid(),
					limit: model.pageSize
				};
				slideNumber=e.detail.slideNumber;
				if (slideNumber=== 0) {//待审批
					data.type = '01';
					data.page = model.dspPage.page;
					model.initPage(1, data);
					model.clearData(2);
				} else if (slideNumber=== 1) { //已审批
					data.type = '02';
					data.page = model.yspPage.page;
					model.initPage(2, data);
					model.clearData(1);
				}
			});
	}
	

	
	

	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true //是否显示滚动条
	});
	var page=1;
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index,pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					var type='01';
					var _page=1;
					if(index===0){//待审批
						type='01';
						_page= model.dspPage.page;
					}else{//已审批
						type='02';
						_page=model.yspPage.page;
					}
					setTimeout(function() {
							_page--
							if (_page < 1) {
								_page = 1;
							}
							var data = {
								yhid: usermodel.getYhid(),
								zzjgid: usermodel.getZzjgid(),
								limit: model.pageSize,
								type: type,
								page: _page
							};
							model.initPage(index+1, data, self, false);

						}, 1000);
				}
			},
			up: {
				callback: function() {
					var self = this;
					var type='01';
					var _page=1;
					if(index===0){//待审批
						type='01';
						_page= model.dspPage.page;
					}else{//已审批
						type='02';
						_page=model.yspPage.page;
					}
					_page++;
					setTimeout(function() {
							var data = {
								yhid: usermodel.getYhid(),
								zzjgid: usermodel.getZzjgid(),
								limit: model.pageSize,
								type: type,
								page: _page
							};
							model.initPage(index+1, data, self, true);
						}, 1000);
				}
			}
		});
	});
	
	//通过index来判断是否是待审批？还是已审批
	var sp='';
	model.getIndex = function(index){
		if(index==1){
			sp="/sp/spAction_selectDsp";//待审批
		}else{
			sp="/sp/spAction_selectYsp";//已审批
		}
		return sp;
	}
	//初始化数据
	model.initPage= function(index,data,self,isup){
		sp=model.getIndex(index);
		mui.ajax(V.urls.baseServer+sp,{ 
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(rs) {
				console.log(JSON.stringify(rs));
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(self){
					var ul = self.element.querySelector('.mui-table-view');
					var newul = model.createFragment(index, ul, rs);
					$(ul).empty();
					ul.appendChild(newul);
					
					var _wrapper=$(ul).parent().get(0);
					_wrapper.style.webkitTransform = 'translate3d(0,0px,0)';
					
					//请求成功后设置页码
					if (isup) { //true是上拉刷新，false是下拉刷新
						var _page = 1;
						if (index === 1) {//待审批
							model.dspPage.page++;
							if (rs.maxPage < model.dspPage.page) {
								model.dspPage.page = rs.maxPage;
								_page = model.dspPage.page;
							}else{
								_page = model.dspPage.page;
							}
							
						}else{//已审批
							model.yspPage.page++;
							if (rs.maxPage < model.yspPage.page) {
								model.yspPage.page = rs.maxPage;
								_page = model.yspPage.page;
							} else {
								_page = model.yspPage.page;
							}
						}
						//最后一页显示没有更多数据
						if (rs.maxPage <= _page) {
							self.endPullUpToRefresh(true);
						}else{
							self.endPullUpToRefresh();
						}

					}else{//false是下拉刷新
						self.refresh(true);
						self.endPullDownToRefresh();
						if (index === 1) {
							model.dspPage.page--;
						}else{
							model.yspPage.page--;
						}
					}
					if (model.dspPage.page < 1) {
						model.dspPage.page = 1;
					}
					if (model.yspPage.page < 1) {
						model.yspPage.page = 1;
					}
				} else {
					var ul=$('#mui-scroll' + index).children('.mui-table-view').get(0);
					ul.appendChild(model.createFragment(index,ul,rs));
					var vh=$("#mui-slider-group").height();
					$("#linear").height(vh);
				}
			},
			error: function(xhr, type, errorThrown) {
			}
		});
	}
	
	/*
	 * li 内容格式
	 *sptype='+row.SPID+' splx="'+row.SHLX+'" spywid="'+row.SHYWID+'" bdr="'+row.BDRID+'" shrid="'+row.SHRID+'"这些参数是《待审批》跳转到审批界面需要的参数
	 * 
	 * ywid="'+row.YWID+'"这些参数是《已审批》跳转到详情界面需要的参数
	 * 
	 */
	
	var getTplHtml = function(index,row){ 
		var itemhtml ='<div class="mui-table" >'+
						'<input  type="hidden" value="'+row.SPID+'" splx="'+row.SHLX+'" spywid="'+row.SHYWID+'" bdrid="'+row.BDRID+'" shrid="'+row.SHRID+'" ywid="'+row.YWID+'"/>'+
						'<div style="display: inline-block;float: left;">'+
							'<span class="size-left-top" style="color:#626262;">'+row.YR+'</span>'+
							'<span class="size-left-bottom" style="display: block;margin: 0 0 0 15px;line-height: 30px;">'+row.LXM+'</span>'+
						'</div>'+
						'<div style="width:34%; display: inline-block;  text-align: right;float: left;">'+
							'<span class="size-left-top" style="width:90%;display:inline-block;text-align: right;overflow:hidden; text-overflow:ellipsis; white-space:nowrap;">'+row.BDR+'</span>'+
							'<span class="size-left-bottom" style="display: block;">'+row.VAL+'</span>'+
						'</div>'+
						'<div style="width:35%; display: inline-block;">'+
							'<span class="size-left-top" style="width:90%;display:inline-block;margin-left:10%;overflow:hidden;text-overflow:ellipsis; white-space:nowrap;">'+row.SY+'</span>'+
							'</div>';
						if(index==1){
							itemhtml+='<span class="size-right-align" style="float:right;padding-left:2px;padding-bottom:30px;">审批</span>'+
							'</div>';
						}else{
							itemhtml+='<span class="size-right-align2" style="float:right;color:#626262;">'+row.DJZT+'</span>'+
							'</div>';	
						}	
		return itemhtml;
	}
	 
	//模拟数据
	model.createFragment = function(index,ul,json) {
		var fragment = document.createDocumentFragment();
		var li;
		var list=[];
		if(index==1){
			list=json.dsp;//待审批
		}else{
			list=json.ysp;
		}
		for (var i = 0; i < list.length; i++) {
			var row=list[i];
			li = document.createElement('li');
			li.className = 'mui-table-view-cell';
			li.innerHTML = getTplHtml(index,row);
			fragment.appendChild(li);
		}
		return fragment;
	};
	
	//初始化页面数据，默认初始化第一个page,在页面切换后开始初始化其它page
	model.initEvent();
	var data = {
		yhid: usermodel.getYhid(),
		zzjgid:usermodel.getZzjgid(),
		limit: model.pageSize,
		type: '01',
		page: '1'
	}
	model.initPage(1, data);
	
	//清除数据
	model.clearData = function(index) {
		var ul = $('#mui-scroll' + index).children('.mui-table-view').get(0);
		$(ul).empty();
	};
	
	//页面初始化
	window.addEventListener('pageshow_sp', function(event) {
		//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
//		var gallery = mui('.mui-slider');
//		if(slideNumber < 1){
//			gallery.slider('gotoItem',1);
//		}
		var data = {
			yhid: usermodel.getYhid(),
			zzjgid:usermodel.getZzjgid(),
			limit: model.pageSize,
			type: '01',
			page: '1'
		}
		model.clearData(1);
		model.initPage(1,data);
	}); 
	
}