(function() {
	mui.WJModel = mui.Class.extend({
		init: function(options) {
			mui.init({
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			document.getElementById('email').value = userModel.getYhyx();
			self._pageData();
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function() {
			var self = this;
//			console.log(userModel.getYhid() + " " + userModel.getZzjgid());
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:  'WD.SELECT_WD_LIST',
					p1: userModel.getYhid(),
					p2: userModel.getZzjgid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) { 
					plus.nativeUI.closeWaiting();
//					console.log(JSON.stringify(data.list));
					//封装模板数据
					var rsHtml = template('wj-template', {
						"record": data.list
					});
					var doc = document.getElementById('wj_lists');
					doc.innerHTML = rsHtml;
//					console.log(rsHtml);
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		
	});
})();

	function getwjData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.a = 'WD.INSERT_JOB_WD';
		data.p1 = userModel.getYhid();
		data.p2 = userModel.getZzjgid();   
		var email = document.getElementById('email').value;
		console.log(email);
		data.p3 = email;
		
		//获取选中的文件ID			
		var fjids = "";
		var list = document.getElementById('wj_lists');
		var checkboxArray = [].slice.call(list.querySelectorAll('input[type="checkbox"]'));
		checkboxArray.forEach(function(box) {
			var wjids=box.getAttribute('wjids');
			if (box.checked) {
				fjids = fjids + wjids+",";
			}
		});
		if(fjids.length > 1){
			fjids = fjids.substring(0,fjids.lastIndexOf(","));
			console.log(fjids);
		}
	
		data.p4 = fjids ; 
		console.log(data.p1 + ' ' + data.p2 + ' ' + data.p3 + ' ' + data.p4);

		if ($.trim(data.p4) == '') {
			mui.toast('请选择文档');
			data.isok = false;
			return data;
		}				
		return data;
	}

		var issend = false;
		document.getElementById('btn_send').addEventListener('tap', function(e) {
			if (issend) {
				return false;
			}
			email = document.getElementById('email').value;
			console.log(email);
			if (!V.utils.valid.isEmail(email)) {
				mui.toast('请检查邮件格式');  
				//			setTimeout(function() {
				//				email.focus();
				//			}, 2000);

				return;
			}
			//console.log(this);
			
			var datas=getwjData();
			if (datas.isok === false) {
				return;
			}
			issend = true;
			console.log(JSON.stringify(datas));
			plus.nativeUI.showWaiting();
		    $.ajax({  
		        type 	: "post",  
		        url 	: V.urls.baseNewServer,//解决 post被请求多次
		        data:datas, 
		        async 	: true, 	//默认: true; 同步(false)请求将锁住浏览器，用户其它操作必须等待请求完成才可以执行。
		        dataType: "json",
		        success : function(data){
					console.log(JSON.stringify(data));
					issend = false;
					if (!userModel.getYhyx()) {   
						userModel.setYhyx(email);
					}

					mui.toast('邮件发送成功');
					plus.nativeUI.closeWaiting();
					back();
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					issend = false;
					mui.toast(V.msg.noNet);
				}
			});
		}, false);
		
//	if (mui.os.ios) {
//		console.log(122);
//		new objBlur("email");
//	};			
		
var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘
	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
					/*setTimeout(function(){         
					    
					},time);*/
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}
	
	if(isIPHONE){
		new objBlur("email");
	};