mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});

	var _page=1;

	
	function tabInit() {
		_page = 0;
		mui('#pullrefresh').pullRefresh().pullupLoading();
		mui('#pullrefresh').pullRefresh().scrollTo(0,0,100);
	}
	


	/**
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
			_page=1;
			queryZctj(_page);			
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
	}
	/**
	 * 上拉加载具体业务实现
	 */
	function pullupRefresh() {
			_page++;
			queryZctj(_page);
	}
	
	//初始化方法
	function queryZctj(_page){ 
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer + '/zc/zcAction_selectZctj', {
			data: {
				zzjgid: userModel.getZzjgid(),
				yhid: userModel.getYhid(),
				limit: 12,
				page: _page
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			//timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.closeWaiting();
				var rsHtml = template('zctj-template', {"record": data});
				if(_page == 1){
					document.getElementById('zctj_s').innerHTML = rsHtml
				}else{
					$("#zctj_s").append(rsHtml);
				}
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(data.maxPage <= _page);
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				mui.toast('网络异常');
			}
		});
	}
mui.ready(function() {
	mui.plusReady(function() {
		console.log(74);
		tabInit();
	});
});