﻿function UserModel() {
	/**
	 * 获得用户id
	 */
	UserModel.prototype.getYhid = function() {
		return window.plus.storage.getItem("yhid");
	};
	/**
	 * 获得用户id
	 */
	UserModel.prototype.setYhid = function(yhid) {
		window.plus.storage.setItem("yhid", yhid);
	};
	/**
	 * 获得用户姓名
	 */
	UserModel.prototype.getYhName = function() {
		var name = window.plus.storage.getItem("yhName");
		if (name) {
			return name;
		}
		return '游客';
	};
	/**
	 * 获得用户姓名
	 */
	UserModel.prototype.setYhName = function(yhName) {
		window.plus.storage.setItem("yhName", yhName);
	};
	/**
	 * 获得用户手机号
	 */
	UserModel.prototype.getPhone = function() {
		var p = window.plus.storage.getItem("phone");
		if (p) {
			return p;
		}
		return '';
	};
	/**
	 * set用户手机号
	 */
	UserModel.prototype.setPhone = function(phone) {
		return window.plus.storage.setItem("phone", phone);
	};
	/**
	 * 组织机构id
	 */
	UserModel.prototype.getZzjgid = function() {
		return window.plus.storage.getItem("zzjgid");
	};

	/**
	 * 组织机构名称
	 */
	UserModel.prototype.getJgmc = function() {
		return window.plus.storage.getItem("jgmc");
	};

	/**
	 * 组织机构名称
	 */
	UserModel.prototype.setJgmc = function(jgmc) {
		return window.plus.storage.setItem("jgmc", jgmc);
	};

	/**
	 * 获得用户头像  非完整地址
	 */
	UserModel.prototype.getYhtx = function() {
		return window.plus.storage.getItem("yhtx");
	};
	/**
	 * 获得用户头像  非完整地址
	 */
	UserModel.prototype.setYhtx = function(yhtx) {
		return window.plus.storage.setItem("yhtx", yhtx);
	};
	/**
	 * 组织机构类型
	 */
	UserModel.prototype.getZZLX = function() {
		return window.plus.storage.getItem("zzlx");
	};
	/**
	 * 用户类型
	 */
	UserModel.prototype.getYHLX = function() {
		return window.plus.storage.getItem("yhlx");
	};

	/**
	 * 创建人
	 */
	UserModel.prototype.getZZCJR = function() {
		return window.plus.storage.getItem("zzcjr");
	};
	/**
	 * 是否公告短信通知 0 否 ，1 是
	 */
	UserModel.prototype.getGGTZ = function() {
		return window.plus.storage.getItem("ggtz");
	};
	/**
	 * 是否会议短信通知 0 否 ，1 是
	 */
	UserModel.prototype.getHYTZ = function() {
		return window.plus.storage.getItem("hytz");
	};
	/**
	 * 用户邮箱
	 */
	UserModel.prototype.getYhyx = function() {
		return window.plus.storage.getItem("yhyx");
	};
	/**
	 * 首页帮助menu url
	 */
	UserModel.prototype.getHelp = function() {
		return window.plus.storage.getItem("help");
	};
	/**
	 * 最后用户姓名
	 */
	UserModel.prototype.getLastYhName = function() {
		return window.plus.storage.getItem("lastYhName");
	};
	/**
	 * 最后手机号
	 */
	UserModel.prototype.getLastPhone = function() {
		return window.plus.storage.getItem("lastPhone");
	};
	/**
	 * 用户邮箱
	 */
	UserModel.prototype.setYhyx = function(yx) {
		if (yx) {
			window.plus.storage.setItem('yhyx', yx); //用户邮箱);
		} else {
			window.plus.storage.removeItem("yhyx");
		}
	};

	UserModel.prototype.getUUID = function() {
		var uuid = window.plus.storage.getItem('_uuid');
		if (!uuid) {
			uuid = V.uuid();
			window.plus.storage.setItem('_uuid', uuid);

		}
		return uuid
	};
	UserModel.prototype.reg = function(yh) {
		// console.log("reg"+yh);
		window.plus.storage.setItem("yhid", yh.YHID);
		window.plus.storage.setItem("yhName", yh.NAME);
		window.plus.storage.setItem('phone', yh.PHONE);
		window.plus.storage.setItem("zzjgid", yh.ZZJGID);
		window.plus.storage.setItem("jgmc", yh.JGMC); //机构名称
		window.plus.storage.setItem('yhlx', yh.YHLX); //用户类型 01: 游客  ; 02: 注册用户
		window.plus.storage.setItem('yhtx', yh.YHTX); //用户头像
		window.plus.storage.setItem('zzlx', yh.ZZLX); //组织机构类型:01 默认组织 , 02虚拟,03注册（真实）组织
		window.plus.storage.setItem('zzcjr', yh.ZZCJR); //组织机构创建人
		window.plus.storage.setItem('yhyx', yh.YX); //用户邮箱
		window.plus.storage.setItem('ggtz', yh.GGTZ); //是否公告短信通知 1 是  0 否
		window.plus.storage.setItem('hytz', yh.HYTZ); //是否会议短信通知 1 是  0 否
		window.plus.storage.setItem('help', yh.HELP); //帮助url
		if (yh.YHLX == '02') {
			if (yh.NAME != yh.PHONE) {
				window.plus.storage.setItem("lastYhName", yh.NAME);
			}
			window.plus.storage.setItem('lastPhone', yh.PHONE);
		}
	};
	UserModel.prototype._closeWebView = function(f) {
		// 获取所有Webview窗口
		var wvs = plus.webview.all();
		//console.log(wvs);
		//var cwebview = plus.webview.getLaunchWebview();
		//cwebview.clear()
		var appid = plus.runtime.appid;
		//alert(appid);
		for (var i = 0; i < wvs.length; i++) {
			var _webview = wvs[i];
			//console.log("webview"+_webview.id+": "+url);
			var closezc = true;
			if (f && f == true) {
				closezc = false;
			}
			//console.log(closezc);
			if (appid != _webview.id && closezc) {
				//var url = _webview.getURL();
				//console.log('preload:' + _webview.preload);
				if (!_webview.parent()) {
					if (_webview.preload === true) {
						_webview.hide();
						//console.log("hide webview:" + _webview.id + ": " + _webview.getURL());
					} else {
						//console.log("close webview:" + _webview.id + ": " + _webview.getURL());
						_webview.close();
					}

					//_webview.clear();
					//
				} else {
					//console.log("子页面 webview:" + _webview.id + ": " + _webview.getURL());
				}

			}

		}
	};
	UserModel.prototype.logout = function() {
		userModel._clearLogin();
		var loginwebview = mui.openWindow({
			url: '../login/zc.html',
			id: 'page-login'
		});
		//		var appid = plus.runtime.appid;
		//		var mainwebview = plus.webview.getWebviewById(appid);		
		//		console.log(mainwebview);
		setTimeout(function() {
			userModel._closeWebView(true);
			//console.log(217);
		}, 1000);

	};
	UserModel.prototype._clearLogin = function() {
		var uuid = window.plus.storage.getItem('_uuid');
		var uuidreg = window.plus.storage.getItem('_uuidreg');
		var showedNo = window.plus.storage.getItem('showedNo');
		var lastYhName = window.plus.storage.getItem('lastYhName');
		var lastPhone = window.plus.storage.getItem('lastPhone');
		var phon = userModel.getPhone();
		window.plus.storage.clear();
		window.plus.storage.setItem('_uuid', uuid);
		window.plus.storage.setItem('showedNo', showedNo);
		window.plus.storage.setItem('_uuidreg', uuidreg);
		window.plus.storage.setItem('lastYhName', lastYhName);
		window.plus.storage.setItem('lastPhone', lastPhone);
		userModel.setPhone(phon);
	};
	UserModel.prototype.indexlogin = function(callback, errback) {
		if (!checkNetStatus({
				msg: '当前网络不可用,请检查网络连接'
			})) {
			plus.runtime.quit();
			return;
		}
		//var wgtVer=plus.runtime.version;
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			var wgtVer = inf.version;
			var appid=plus.runtime.appid;
			var os=plus.os.name;
			var info = plus.push.getClientInfo();
			//			alert( JSON.stringify( info ) );
			var token = info.token;
			//var token = ""; //TODO push 

			mui.ajax(V.urls.baseServer + '/yh/yhAction_loginYh', {
				data: {
					yhid: userModel.getYhid(),
					udid: userModel.getUUID(),
					ver: wgtVer,
					os:os,
					appid:appid,
					token: token
				},
				dataType: 'json', //服务器返回json格式数据
				//type: 'get', //HTTP请求类型
				cache: false,
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					//plus.nativeUI.closeWaiting();
					try {

						userModel.reg(data.yh);
						regPhone(data.yh);

						//console.log("back");
						if (callback) {
							callback(data);
						}

					} catch (e) {
						//TODO handle the exception
						//console.log(e);
						errback();
						//mui.toast('服务器君放假了，请稍后重试');
					}

				},
				error: function(xhr, type, errorThrown) {
					//console.log(xhr);
					//plus.nativeUI.closeWaiting();
					if (errback) {
						errback();
					}

					//plus.nativeUI.closeWaiting();
					//异常处理； 
					//mui.toast('网络异常');
				}
			});
		});

	};
	UserModel.prototype.login = function(callback, errback) {
		//console.log(215);
		if (!checkNetStatus({
				msg: '当前网络不可用,请检查网络连接'
			})) {
			plus.runtime.quit();
			return;
		}
		// plus.nativeUI.showWaiting("处理中");
		//setTimeout(function() {
		var yhid = userModel.getYhid();
		userModel._clearLogin();
		userModel.setYhid(yhid);

		//console.log(userModel.getYhid());
		//var wgtVer=plus.runtime.version;
		var appid=plus.runtime.appid;
		var os=plus.os.name;
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			var wgtVer = inf.version;

			var info = plus.push.getClientInfo();
			//			alert( JSON.stringify( info ) );
			var token = info.token;
			//var token = ""; //TODO push 

			mui.ajax(V.urls.baseServer + '/yh/yhAction_loginYh', {
				data: {
					yhid: userModel.getYhid(),
					udid: userModel.getUUID(),
					ver: wgtVer,
					os:os,
					appid:appid,
					token: token
				},
				dataType: 'json', //服务器返回json格式数据
				//type: 'get', //HTTP请求类型
				cache: false,
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					try {

						userModel.reg(data.yh);
						regPhone(data.yh);
						//var webview=plus.webview.currentWebview();
						// console.log(webview.id);
						//webview.close();

						var appid = plus.runtime.appid;
						var mainwebview = plus.webview.getWebviewById(appid);
						//console.log(appid);
						mui.fire(mainwebview, 'notifyShow');
						//callback(data);
						userModel._closeWebView();
						//console.log("back");
						if (callback) {
							callback(data);
						}
						// console.log("back");
					} catch (e) {
						//TODO handle the exception
						//console.log(e);
						errback();
						//mui.toast('服务器君放假了，请稍后重试');
					}

				},
				error: function(xhr, type, errorThrown) {
					//console.log(xhr);
					plus.nativeUI.closeWaiting();
					if (errback) {
						errback();
					}

					//plus.nativeUI.closeWaiting();
					//异常处理； 
					//mui.toast('网络异常');
				}
			});
		});
	};
	UserModel.prototype.islogin = function() {
		var islogin = window.plus.storage.getItem("yhid");
		if (islogin) {
			return true;
		}
		return false;
	};
}

function regPhone(yh) {
	var flag = window.plus.storage.getItem('_uuidreg');
	//console.log(flag);
	if (!flag) {
		//console.log(222);
		var uuid = userModel.getUUID();
		var zzjgid = yh.ZZJGID;
		var d = {
			a: 'XT_REG_PHONE_INFO',
			p1: yh.YHID,
			p2: V.conf.appStore,
			p3: uuid,
			p4: zzjgid ? zzjgid : '',
			p5: plus.device.model,
			p6: plus.device.vendor,
			p7: plus.screen.resolutionHeight,
			p8: plus.screen.resolutionWidth,
			p9: plus.networkinfo.getCurrentType(),
			p10: plus.os.language,
			p11: plus.os.version,
			p12: plus.os.name,
			p13: plus.os.vendor
		}

		//console.log(JSON.stringify(d));

		mui.ajax(V.urls.baseNewServer, {
			data: d,
			//type: 'get', //HTTP请求类型
			async: false,
			success: function(data) {
				//			plus.storage.setItem('_regphone',1);
				//console.log(data);
				window.plus.storage.setItem('_uuidreg', 'a');
				//console.log(window.plus.storage.getItem('_uuidreg'));

			},
			error: function(xhr, type, errorThrown) {
				console.log(errorThrown);

			}
		});
	}
}

// 空函数
function shield() {
	return false;
}
document.oncontextmenu = shield;
var userModel = new UserModel();
mui.ready(function() {
	mui.plusReady(function() {
		try {
			pageInit(userModel);
		} catch (e) {
			//TODO handle the exception
		}
	})
});
//列表详情弹出框关闭事件（考勤、报销、审批）

window.back = function(hide) {
	if (window.plus) {
		var ws = null;

		ws || (ws = plus.webview.currentWebview());
		if (hide || ws.preate) {
			ws.hide('auto');
		} else {
			ws.close('auto');
		}
	} else if (history.length > 1) {
		history.back();
	} else {
		window.close();
	}
};
/**
 * 检测网络状态
 */
function checkNetStatus(opt) {
	//	var types = {}; 
	//	types[plus.networkinfo.CONNECTION_UNKNOW] = "Unknown connection"; 
	//	types[plus.networkinfo.CONNECTION_NONE] = "None connection"; 
	//	types[plus.networkinfo.CONNECTION_ETHERNET] = "Ethernet connection"; 
	//	types[plus.networkinfo.CONNECTION_WIFI] = "WiFi connection"; 
	//	types[plus.networkinfo.CONNECTION_CELL2G] = "Cellular 2G connection"; 
	//	types[plus.networkinfo.CONNECTION_CELL3G] = "Cellular 3G connection"; 
	//	types[plus.networkinfo.CONNECTION_CELL4G] = "Cellular 4G connection"; 

	//alert( "Network: " + types[] );
	var status = plus.networkinfo.getCurrentType();
	//console.log(status);
	if (status == plus.networkinfo.CONNECTION_UNKNOW || status == plus.networkinfo.CONNECTION_NONE) {
		if (opt) {
			//mui.toast("请检查网络连接!",opt);
			if (opt.toast) {
				mui.toast(opt.msg);
			} else {
				alert(opt.msg);
			}

		} else {
			mui.toast("请检查网络连接!");
		}
		return false;
	}
	return true;
}

function compressImage(src, callback, size) {
	if (mui.isArray(src)) {
		//console.log(src);
		var _zipimgbackdsc = [];
		var _length = src.length;
		for (var k = 0; k < _length; k++) {
			//console.log('loop:' + k);
			_compressImage(src[k], function(dsc) {
				_zipimgbackdsc.push(dsc);
				//console.log(i);
				//				console.log(i);
				//				//console.log(src.length);
				//				if (i == _length - 1) {
				//					callback(backdsc);
				//				}

			}, size);
			//model.arrimg.push(src[i]);
		}

		var _myIntervalforzipimg = window.setInterval(function() {
			if (_zipimgbackdsc.length == _length) {
				callback(_zipimgbackdsc);
				//console.log('clearInterval');
				window.clearInterval(_myIntervalforzipimg);
			}
			//console.log('_waitArray');
		}, 1000);
		//去掉定时器的方法 

	} else {
		_compressImage(src, callback, size);
	}
}

function GetRandomNum(Min, Max) {
	var Range = Max - Min;
	var Rand = Math.random();
	return (Min + Math.round(Rand * Range));
}

function _compressImage(src, callback, size) {

	//var _filename = src.substr(0, src.lastIndexOf('.'));
	//var _filetype = src.substr(src.lastIndexOf('.'), src.length);
	var dst = '_doc/' + new Date().getTime() + '_' + GetRandomNum(1, 10) + '.jpg';
	//console.log(dst);
	var _img = new Image();
	_img.src = src;
	_img.onload = function() {
		var clip = {};
		if (size) {
			var _w = _img.width;
			var _h = _img.height;
			//console.log(src);				
			//console.log(_w+'='+_h);		
			var _minh = _w > _h ? _h : _w;
			var isHengTu = _w > _h;
			//console.log('_minh='+_minh+',isHengTu='+isHengTu);
			var _size = size * 2;
			var _cw = size * 2; //48px 2point
			var _ch = size * 2; //px
			clip = {
				width: _size + "px",
				height: _size + "px"
			};
			if (isHengTu) {
				var rat = _ch / _h;
				_cw = _w * rat;
				clip.top = "0px";
				clip.left = (_cw - _ch) / 2 + "px";
			} else {
				var rat = _cw / _w;
				_ch = _h * rat;
				clip.top = (_ch - _cw) / 2 + "px";
				clip.left = "0px";
			}
		}
		//console.log(_cw+'-'+_ch);
		EXIF.getData(_img, function() {
			//EXIF.getAllTags(this);
			var orientation = EXIF.getTag(this, 'Orientation');
			//console.log(orientation);
			var rotate = 0;
			if (orientation && orientation != -1) {
				switch (orientation) {
					case 8:
						// 90 rotate left     --需要90度向左旋转。。那么，这个 PixelYDimension就是宽度了，PixelXDimension就是高度了。  
						rotate = 90;
						break;
					case 3:
						//180向左旋转  
						rotate = 180;
						break;
					case 6:
						rotate = -90;
						break;
				}
			}
			//console.log('rotate:' + rotate);
			plus.zip.compressImage({
					src: src,
					dst: dst,
					format: 'jpg',
					quality: 50,
					overwrite: true,
					width: _cw,
					height: _ch,
					rotate: rotate,
					clip: clip
				},
				function() {
					plus.io.resolveLocalFileSystemURL(dst, function(entry) {

						callback(entry.toLocalURL());
						// 可通过entry对象操作test.html文件 
						//						entry.file(function(file) {
						//							var fileReader = new plus.io.FileReader();
						//							alert("getFile:" + JSON.stringify(file));
						////							fileReader.readAsText(file, 'utf-8');
						////							fileReader.onloadend = function(evt) {
						////								alert("11" + evt);
						////								alert("evt.target" + evt.target);
						////								alert(evt.target.result);
						////							}
						////							alert(file.size + '--' + file.name);
						//						});
					}, function(e) {
						console.log("Resolve file URL failed: " + e.message);
					});

				},
				function(error) {
					//alert("Compress error!");
				});
		});
	}
}

function getTodayyyymm() {
	var nowDate = new Date();
	var nowYear = nowDate.getFullYear();
	var nowMonth = nowDate.getMonth() + 1;
	if (nowMonth.toString().length == 1) {
		nowMonth = '0' + nowMonth;
	}
	return {
		value: nowYear + '' + nowMonth,
		lable: nowYear + '年' + nowMonth + '月'
	};
}

function getNow() {
	var nowDate = new Date();
	var nowYear = nowDate.getFullYear();
	var nowMonth = nowDate.getMonth() + 1;
	var nowDay = nowDate.getDate();
	if (nowMonth.toString().length == 1) {
		nowMonth = '0' + nowMonth;
	}
	if (nowDay.toString().length == 1) {
		nowDay = '0' + nowDay;
	}
	return nowYear + '-' + nowMonth + '-' + nowDay;
}
/**
 * 删除记录后，更新首页数据
 */
function updateSyData() {
	var parentwebviewId = plus.storage.getItem('sy_parentwebviewId');
	var webview = plus.webview.getWebviewById(parentwebviewId);
	mui.fire(webview, 'eventResetSy');
}

function objBlur(id) {
	if (typeof id != "string")
		throw new Error("objBlur()参数错误");
	var obj = document.getElementById(id),
		time = 300,
		docTouchend = function(event) {
			if (event.target != obj) {
				obj.blur();
				document.removeEventListener("touchend", docTouchend, false);
				/*setTimeout(function(){         
				    
				},time);*/
			}
		};
	if (obj) {
		obj.addEventListener("focus", function() {
			document.addEventListener("touchend", docTouchend, false);
		}, false);
	} else {
		throw new Error("objBlur()没有找到元素");
	}
}

/**
 * 默认打开软键盘
 * @param options{
 *   input: '#nickname' // 容器节点
 * }
 * @version 1.0.3 build 20151226
 */
function open_soft_keyboard(options) {
	if (plus.os.name == 'iOS') {
		setTimeout(function() {
			var wv_current = plus.webview.currentWebview().nativeInstanceObject();
			wv_current.plusCallMethod({
				"setKeyboardDisplayRequiresUserAction": false
			});
			document.querySelector(options['input']).focus();
		}, 330);
	} else {
		// 因为安卓autofocus只有4.0版本以上才支持，所以这里使用native.js来强制弹出
		setTimeout(function() {
			// 在执行的时候需要让当前webview获取焦点
			var wv_current = plus.android.currentWebview();
			plus.android.importClass(wv_current);
			wv_current.requestFocus();

			var Context = plus.android.importClass("android.content.Context");
			var InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
			var main = plus.android.runtimeMainActivity();
			var imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
			imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
			document.querySelector(options['input']).focus();
		}, 330);
	}
}

function clearNoNum(obj) {
	obj.value = obj.value.replace(/[^\d.]/g, ""); //清除“数字”和“.”以外的字符
	obj.value = obj.value.replace(/^\./g, ""); //验证第一个字符是数字而不是.
	obj.value = obj.value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的.
	obj.value = obj.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
}

/**

 * 去除千分位

 *@param{Object}num

 */

function delcommafy(num) {

	if ((num + "").trim() == "") {

		return "0";

	}

	num = num.replace(/,/gi, '');

	return num;

}
/**
 * 数组删除指定的值
 * @param {Object} arr
 * @param {Object} val
 */
function myremove(arr, val) {
	var index = -1;
	for (var i = 0; i < arr.length; i++) {
		if (arr[i] == val) {
			index = i;
			break;
		}
	}
	if (index > -1) {
		arr.splice(index, 1);
	}
}
function getRadioValue(name){
   var temp = document.getElementsByName(name);
   for(var i=0;i<temp.length;i++){
     if(temp[i].checked)
         return temp[i].value;
   }
}