mui.init({});

function pageInit(usermodel) {
	//与后台交互获取数据
	var data=plus.webview.currentWebview();
	var p1=usermodel.getYhid();
	var p2=usermodel.getZzjgid();
	var p3=data.p3;
	var p4=data.p4;
	var p5=data.p5;
	var webid=data.webid;//必须传
	var lx=data.lx;//只需列表传，在列表最下面会显示所以
	
	initPage(p1,p2,p3,p4,lx);
	
	
	
	//返回的参数
	document.querySelector('#zzjgpz-ul').addEventListener('tap', function(event) {
		var target = $(event.target);	
		var t = target.parents('li.mui-table-view-cell');
		var pzmc=t.find('span').html();
		var pzval=t.children('input').val();
		if (pzmc) {
			var webview = plus.webview.getWebviewById(webid);
			mui.fire(webview, 'eventBackzzjg', {
				c1: pzval,
				c2: pzmc,
				pz:p4,
				p5:p5
			});
			mui.back();					
		}
	})

}

function initPage(p1,p2,p3,p4,lx) {
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseNewServer, {
			data: {
				a:'XZLBX',
				p1:p1,
				p2: p2,
				p3:p3,
				p4:p4
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.closeWaiting();
				console.log(JSON.stringify(data));
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if (data.r=='1') {
					

				var list=data.list.rs;
				var addItemDiv='';
				if(list.length>0){
					$("#nokqlist").hide();
					var ryDiv = $("#zzjgpz-ul");
					for (var i = 0; i < list.length; i++) { 
						var ry=list[i];
						addItemDiv+='<li class="mui-table-view-cell">'+
										'<input type="hidden" value='+ry.C1+'>'+
										'<div class="mui-table">'+
											'<div class="mui-table-cell mui-col-xs-4 mui-text-left">'+
												'<span class="vst-text-font14">'+ry.C2+'</span>'+
											'</div>'+
										'</div>'+
									'</li>';
					}
					if(lx=='11'){//显示所有合同
						addItemDiv+='<li class="mui-table-view-cell">'+
										'<input type="hidden" value='+1+'>'+
										'<div class="mui-table">'+
											'<div class="mui-table-cell mui-col-xs-4 mui-text-left">'+
												'<span class="vst-text-font14">所有合同</span>'+
											'</div>'+
										'</div>'+
									'</li>';
					}
					ryDiv.append(addItemDiv);
				}else{
					$("#content").hide();
					document.getElementById("mark").innerHTML="没有记录，请返回手动添加记录";
				}
				} else{
					$("#content").hide();
					document.getElementById("mark").innerHTML="没有记录，请返回手动添加记录";
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				console.log(type);
				console.log(errorThrown);
				mui.toast('网络异常');
			}
		});
	}


