//mui初始化配置项
mui.init({});

function pageInit(usermodel) {
	var model={};
	
	var ggid='';
	var yhid='';
	window.addEventListener('openggmx',function(event){
	  	//获得事件参数
	 	ggid=event.detail.gonggid;
	  	yhid=event.detail.yhid;
	  	
	  	//判断是否显示编辑
	  	if(yhid == userModel.getYhid()){//说明当条公告是本人添加的
			document.getElementById("btn_update").style.display='block';
		}else{
			document.getElementById("btn_update").style.display='none';
		}
		
		//与后台取数据
	  	model.initPage(ggid);
	});
	
	//修改公告
	document.getElementById("btn_update").addEventListener("tap",function(e){
		if(ggid){
			var qq=mui.openWindow({
				url:"add_gg.html",
      			id:"add_gg"
			});
			
			qq.addEventListener('loaded',function(){
				mui.fire(qq,'openUpdateGG',{
	    			gonggid:ggid,
	    			gyhid:yhid
	  			});
			});
		}
	});
	
	//初始化界面
	model.initPage= function(ggid){ 
		var el={};
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer + '/gg/ggAction_selectGgxx', {
			data: {
				yhid:usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				ggid:ggid
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型 
			success: function(data) {
				console.log(JSON.stringify(data));
				//请求成功
				el=$('#mui-content');	
				el.empty();
				el.append(getTplHtml(data));

				//图片的缩放
				model.previewImage.addImages();
				plus.nativeUI.closeWaiting();
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				mui.toast('网络异常');
			}
			
		});
	};
	
	var getTplHtml = function(row) {
		var itemhtml ='<div id="gg-content-header" class="gg-content-header">'+
			'<div class="gg-conten-wenzi">'+
				'<div class="gg-content-header-titile">'+
					'<span class="size-left-top titile">'+row.gg.GGBT+'</span>'+
				'</div>'+
			'</div>';
			'<div class="gg-content-content"  id="gg-content-content">';
			if(row.gg.GGNR){
				itemhtml+='<pre class="size-left-bottom" style="overflow-y:visible;border: 0px;background-color: #efeff4;width: 100%; white-space: pre-wrap;padding:0 15px;" readonly="readonly">'+row.gg.GGNR+'</pre>';
			}
			itemhtml+='</div>'+
			'<div class="mui-content-padded" id="mui-content-padded">'+
			'<ul>';
			if(row.gg.fj)
			{	
				for(var k=0;k< row.gg.fj.length; k++)
				{ 
					var fj=row.gg.fj[k];
					var path=V.urls.basePicServer+fj;
					var spath=path.substring(0,path.lastIndexOf('.'))+'_s.jpg';
					console.log("图片："+spath);
					itemhtml+='<li class="mui-table-view-cell mui-media">'+
					'<img src="'+spath+'" data-preview-src="'+path+'" data-preview-group="a" class="mui-action-preview img-prew"/>'+
					'</li>';
				}
				itemhtml +='</ul></div>';
			}else{
				itemhtml +='</ul></div>';
			}
			itemhtml +='<div class="mui-content-bumenanddata" id="mui-cotent-bumen">'+
				'<span class="size-left-top data">'+row.gg.GGFBRQ+'</span>'+
			'</div>'+
			'</div>';
			
		return itemhtml;		
	}
	model.previewImage = mui.previewImage();
	
}



		