mui.init({
	statusBarBackground: '#f7f7f7',
	preloadPages: [{
		url: '../common/staff-select.html?webviewid=page-addhy',
		id: 'page-staff-select'
	}],
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	},
	swipeBack: true //启用右滑关闭功能

});

var timepicker = new mui.DtPicker({
	customData: {
		"i": [{
			"text": "00",
			"value": "00"
		}, {
			"text": "15",
			"value": "15"
		}, {
			"text": "30",
			"value": "30"
		}, {
			"text": "45",
			"value": "45"
		}]
	}
});

//会议地点

var hhddpicker = new mui.PopPicker({
	layer: 1
});


var model = {
	/**
	 * 清空表单数据
	 */
	clearForm: function() {
		//console.log(1);
		//$('#hy-form').form.res
		//$('#hy-form').reset();
		document.getElementById('hy-form').reset();
		model.wgryvalues = [];
		model.chryvalues = [];
		model.arrfile = [];
		model.hydddm = '';
		model.arrimg = [];
		$('#ul-file-list').empty();
		$('#fileform').hide();
		$('#imgform').hide();
		$('#mui-slider-group').empty();
		$('#mui-slider-indicator').empty();
		timepicker.setSelectedValue();
	},
	arrfile: []
};

//接收人员选择page返回参数事件
window.addEventListener('eventBackStaff', function(event) {
	//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
	var returnobj = event.detail.returnObj;
	var names = event.detail.names; //会议人名字
	var values = event.detail.values; //会议人ID
	//console.log(event.detail.values.length);
	//console.log(event.detail.returnObj);
	if (returnobj == 'wgry') {
		$('#wgry').val(names);
		model.wgryvalues = values;
	} else {
		$('#chry').val(names);
		model.chryvalues = values;
	}
});

//获取界面传过来的地址
window.addEventListener('eventBackzzjg', function(event) {
	//获得事件参数
	pzmc = event.detail.c1; //项目名称
	$("#hydd").val(pzmc);
});
//接收选择文件
window.addEventListener('eventBackFile', function(event) {
	//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
	var src = event.detail.src;
	var name = event.detail.name;
	model.arrfile.push(src);
	$('#fileform').show();
	$('#ul-file-list').append('<li class="mui-table-view-cell">' + src + '</li>');
});
//页面初始化
window.addEventListener('pageShow', function(event) {
	//console.log('pageShow');
	pageShow();
});

function getDX() {
	mui.ajax(V.urls.baseServer + '/hy/hyAction_selectPZXZ', {
		data: {
			zzjgid: userModel.getZzjgid(),
			pzxlx: '10'
		},
		dataType: 'json',
		type: 'get', //HTTP请求类型
		//		timeout: 10000, //超时时间设置为10秒；
		success: function(datas) {
			if (datas.isTz == 1) {
				$("#mui-input-row").show();
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
		}
	});
}
//var hys = [];
//var tt;

function pageShow() {
	model.clearForm();
	var lasthydd = plus.storage.getItem('page_addhy_hys');

	//	tt=userModel.getHYTZ();
	//	if(tt==1){//短信通知
	//		$("#mui-input-row").show();
	//	}else{//不要短信通知
	//		$("#mui-input-row").hide();
	//	}

	//短信通知
	getDX();


	//刚进添加会议界面，获取当前时间
	var dates = datetime();
	$("#time").val(dates);

	var dd = plus.storage.getItem("hy_dd"); //
	$('#hydd').val(dd);

	$('#hydd').val(lasthydd ? lasthydd : '');
	//console.log($('#hydd').val());
	//查询会议室信息
	//		hhddpicker.setData([{
	//			value: 'ywj',
	//			text: '会议室一1'
	//		}, {
	//			value: 'aaa',
	//			text: '会议室二1'
	//		}, {
	//			value: 'lj',
	//			text: '大会'
	//		}]);
	if (!checkNetStatus()) {
		return;
	}
	/*mui.ajax(V.urls.baseServer + '/zzjg/zzjgAction_selectZzjgPz', {
		data: {
			yhid: userModel.getYhid(),
			zzjgid: userModel.getZzjgid(),
			pzxlx: '01'
		},
		dataType: 'json', //服务器返回json格式数据
		//type: 'post', //HTTP请求类型
		cache: false,
		timeout: 10000, //超时时间设置为10秒；
		success: function(rs) {
			//console.log(rs);
			var pz = rs.pz;
			hys = [];

			for (var key in pz) {
				var p = pz[key];
				//console.log(p);
				hys.push({
					value: p.PZID,
					text: p.MC
				});
			}
			hhddpicker.setData(hys);
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			//console.log(errorThrown);
			//mui.toast('网络异常');
		}
	});*/
}


function datetime() {
	var nowDate = new Date();
	var nowYear = nowDate.getFullYear();
	var nowMonth = nowDate.getMonth() + 1;
	var nowDay = nowDate.getDate();
	var nowhours = nowDate.getHours();
	var nowminutes = nowDate.getMinutes();

	if (nowMonth.toString().length == 1) {
		nowMonth = '0' + nowMonth;
	}
	if (nowDay.toString().length == 1) {
		nowDay = '0' + nowDay;
	}
	if (nowhours.toString().length == 1) {
		nowhours = '0' + nowhours;
	}
	if (nowminutes.toString().length == 1) {
		nowminutes = '0' + nowminutes;
	}
	var dates = nowYear + "-" + nowMonth + "-" + nowDay + " " + nowhours + ":" + nowminutes;

	return dates;
}

//var btns = $('.mui-input-clear');

var timebtn = document.getElementById('time');
timebtn.addEventListener('tap', function(e) {
	//$("#time").val(rs.text);
	timepicker.show(function(rs) {
		$("#time").val(rs.text);
		//btn.innerText = '选择结果: ' + rs.text;
		//timepicker.setSelectedValue();
	});
});



var showhhddbtn = document.getElementById('btn-showhydd');
showhhddbtn.addEventListener('tap', function(event) {
	var webid = plus.webview.currentWebview().id;
	var webview = mui.openWindow({
		url: '../common/zzjg-pzxlx.html',
		id: 'pzxlx',
		extras: {
			p3: 'pz',
			p4: '01',
			webid: webid
		}
	});
});

var showchrybtn = document.getElementById('showchryPicker');
var showchryinut = document.getElementById('chry')
showchrybtn.addEventListener('tap', showcyry, false);
showchryinut.addEventListener('tap', showcyry, false);

function showcyry(event) {
	if (!page_staff_select) {
		page_staff_select = plus.webview.getWebviewById('page-staff-select');
	}
	//触发详情页面的newsId事件
	var chry = $('#chry').val();

	//var checkedValues = model.chryvalues;
	//console.log(model.chryvalues);

	mui.openWindow({
		url: '../common/staff-select.html?webviewid=page-addhy',
		id: 'page-staff-select'
	});

	mui.fire(page_staff_select, 'eventInitStaff', {
		values: model.chryvalues,
		returnObj: 'chry'
	});
}
//围观人员
var showchrybtn = document.getElementById('showwgryPicker');
var page_staff_select;
var showchryinput = document.getElementById('wgry');
showchrybtn.addEventListener('tap', showchry, false);
showchryinput.addEventListener('tap', showchry, false);

function showchry(event) {
	page_staff_select = mui.openWindow({
		url: '../common/staff-select.html?webviewid=page-addhy',
		id: 'page-staff-select'
	});
	mui.fire(page_staff_select, 'eventInitStaff', {
		values: model.wgryvalues,
		returnObj: 'wgry'
	});
}

//会议附件
var camera = document.getElementById("hy-camera");
var photo = document.getElementById("hy-photo");
var wj = document.getElementById("hy-wj");
var qux = document.getElementById("qux");
document.getElementById("btn-fileadd").addEventListener('tap', function() {
	mui('.mui-popover').popover('toggle');

	//	var btnArray = [{
	//		title: "拍照"
	//	}, {
	//		title: "相册"
	//	}];
	//	if (!mui.os.ios) {
	//		btnArray.push({
	//			title: "文件"
	//		});
	//	}
	//	plus.nativeUI.actionSheet({
	//		title: "选择附件",
	//		cancel: "取消",
	//		buttons: btnArray
	//	}, function(e) {
	//		var index = e.index;
	//		//var text = "你刚点击了\"";
	//		switch (index) {
	//			case 0:
	//				//text += "取消";
	//				break;
	//			case 1:
	//				model.addImgByCamera();
	//				break;
	//			case 2:
	//				model.addImgBygallery();
	//				break;
	//			case 3:
	//				model.addLocFile();
	//				break;
	//		}
	//		//mui.toast(text);
	//	});
});
//拍照
camera.addEventListener('tap', function() {
	mui('.mui-popover').popover('toggle');
	model.addImgByCamera();
});
//图片
photo.addEventListener('tap', function() {
	mui('.mui-popover').popover('toggle');
	model.addImgBygallery();
});
//文件
wj.addEventListener('tap', function() {
	mui('.mui-popover').popover('toggle');
	if (mui.os.ios) {
		mui.toast("暂时不支持上传文件");
	} else {
		model.addLocFile();
	}

});

qux.addEventListener('tap', function() {
	mui('.mui-popover').popover('toggle');
});

model.addLocFile = function() {
	plus.storage.setItem("filebrower_parentwebviewId", "page-addhy");
	mui.openWindow({
		url: '../common/file-brower.html',
		id: 'page-file-brower'
	});
};




var type = '0'; //不发短信
//圆角列表开关处理
document.getElementById("M_Toggle").addEventListener('toggle', function(e) {
	var isActive = e.detail.isActive;
	if (isActive) { //显示OFF，表示发送
		type = 1 + "";
	} else { //显示NO，表示不发
		type = 0 + "";
	}
});
//提交事件
function getHyData() {
	var data = {
		isok: true
	};

	//用户id 临时调试 ，带用户登录功能实现后获取用户信息
	data.yhid = userModel.getYhid();
	data.zzjgid = userModel.getZzjgid();
	//参会人员
	if (mui.isArray(model.chryvalues)) {
		data.chry = model.chryvalues.toString();
	}
	//围观人员
	if (mui.isArray(model.wgryvalues)) {
		data.wgry = model.wgryvalues.toString();
	}
	//会议时间
	data.ksrq = $("#time").val();
	//会议主题
	data.hyzt = $('#hyzt').val();
	//会议地点
	data.hydd = $('#hydd').val();
	data.hydddm = model.hydddm;

	data.sftz = type;

	if ($.trim(data.hyzt) == '') {
		mui.toast('请填写会议主题');
		data.isok = false;
		return data;
	}
	if ($.trim(data.hydd) == '') {
		mui.toast('请填写会议地点');
		data.isok = false;
		return data;
	}
	if ($.trim(data.chry) == '') {
		mui.toast('请填写参会人员');
		data.isok = false;
		return data;
	}
	if ($.trim(data.sftz) == '') {
		mui.toast('请选择是否发送短信');
		data.isok = false;
		return data;
	}
	return data;
}
var addButton = document.getElementById('btn-add');
addButton.addEventListener('tap', function(event) {
	var self = this;
	var data = getHyData();
	if (data.isok === false) {
		return;
	}
	self.disabled = true;
	data.hylx = $('input[name="hylx"]:checked').val();
	//console.log(data);
	model.createUpload(data, function(t, status) {
		plus.nativeUI.closeWaiting();
		self.disabled = false;
		// 上传完成
		if (status == 200) {
			//mui.toast("添加会议成功");
			plus.storage.setItem('page_addhy_hys', data.hydd);
			var webview = plus.webview.getWebviewById('page-hy');
			mui.fire(webview, 'pageShow', {

			});
			var imgs = model.arrimg;
			for (var i in imgs) {
				plus.io.resolveLocalFileSystemURL(imgs[i], function(fs) {
					// 可通过fs进行文件操作 
					fs.remove();
				}, function(e) {
					console.log("Request file system failed: " + e.message);
				});
			}

			plus.storage.setItem("hy_dd", data.hydd); //会议地点

			mui.back();
		} else {
			//mui.toast("添加会议失败" + status);
		}
	});
});
//长传图片的路径array
model.arrimg = [];
//第一张图片 
//model.arrimg.push('../../img/60x60.gif');
model.createUpload = function(data, callback) {
	if (!checkNetStatus()) {
		return;
	}
	plus.nativeUI.showWaiting();
	var task = plus.uploader.createUpload(V.urls.baseServer + '/hy/hyAction_insertHy', {
		method: "POST",
		blocksize: 204800,
		priority: 100
	}, callback);
	var imgs = model.arrimg;
	var files = model.arrfile;
	if (imgs) {
		for (var i = 0; i < imgs.length; i++) {
			var file = imgs[i];
			if (V.utils.valid.isSfImg(file)) {
				task.addFile(file, {
					key: file
				});
			} else {
				mui.toast("上传的图片包含不符合规范格式图片!");
				plus.nativeUI.closeWaiting();
				return;
			}
		}
	}
	if (files) {
		for (var i = 0; i < files.length; i++) {
			var file = files[i];
			task.addFile(file, {
				key: file
			});

		}
	}
	if (data) {
		for (var key in data) {
			//console.log(key + '==' + data[key]);
			task.addData(key, data[key]);
		}
	}
	//task.addData('wgry','1212');
	//task.addData('chry','abcd1233,20150721101547f650c52b-6abc-4e,201507231543321337de9f-b1d6-4e');

	task.start();
};




//相机
model.addImgByCamera = function() {
	model.getCamera(function(path) {
		console.log(2);
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			//console.log(entry.fullPath);
			var path = entry.toLocalURL();
			compressImage(path, function(newpath) {
				console.log(newpath);
				model.arrimg.push(newpath);
				model.reViewImg();
			});



		}, function(e) {
			mui.toast("Resolve file URL failed: " + e.message);
		});
	});
};
//调用相机
model.getCamera = function(f) {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(f,
		function(error) {
			//			mui.toast("Capture image failed: " + error.message);
			mui.toast("没有拍照");
		}
	);

};
// 从相册添加文件
model.addImgBygallery = function() {

	plus.gallery.pick(function(e) {
		//		for (var i in e.files) {
		//			model.arrimg.push(e.files[i]);
		//		}
		compressImage(e.files, function(newpaths) {
			//console.log(newpaths.length);
			for (var i in newpaths) {
				//console.log(i + newpaths[i]);
				model.arrimg.push(newpaths[i]);
			}

			model.reViewImg();
		});

		//model.reViewImg();
	}, function(e) {
		mui.toast('没有图片');
	}, {
		filter: "image",
		multiple: true
	});
};



model.reViewImg = function() {
	//这里动态添加
	//var gallery = $('#Gallery');

	var group = $('#mui-slider-group');
	var indicator = $('#mui-slider-indicator');
	group.empty();
	indicator.empty();

	var pageSize = 4; //一页显示多少张
	var len = model.arrimg.length;
	if (len > 0) {
		$('#imgform').show();
	} else {
		$('#imgform').hide();
	}
	var page = len % pageSize == 0 ? len / pageSize : Math.floor(len / pageSize) + 1;


	for (var i = 0; i < page; i++) {
		var html = '';
		//  console.log(i*pageSize);
		var length = (i + 1) * pageSize;
		length = length > len ? len : length;
		for (var j = i * pageSize; j < length; j++) {
			var img = model.arrimg[j];

			html += '<li class="mui-table-view-cell mui-col-xs-3"><img vimg="1" src="' + img + '" data-preview-src="" data-preview-group="1" /></li>';
		}
		//}
		group.append('<div class="mui-slider-item"><ul class="mui-table-view mui-grid-view">' + html + '</u></div>');
		indicator.append('<div class="mui-indicator"></div>');
	}

	//console.log(group.width());
	//console.log(group.children().children('.mui-grid-view').width());
	//console.log(indicator.html());

	//显示第一图片，添加的图片显示到第0个位置
	if (len > 0) {
		model.autoHeightImg();
		var muigallery = mui('.mui-slider');
		muigallery.slider().gotoItem(0);
		model.previewImage.addImages();
	}
};
model.autoHeightImg = function() {
	$("[data-preview-group='1']").each(function() {
		$(this).height($(this).width());
		//console.log($(this).height());
	});
}
model.previewImage = mui.previewImage();
//对于苹果手机，点击输入框是，选择输入的弹出被覆盖
//var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘

document.getElementById("mui-slider-group").addEventListener('longtap', function(e) {
	var t = e.target;
	var vimg = t.getAttribute('vimg');
	if (vimg) {
		plus.nativeUI.confirm("是否删除图片？", function(e) {
			if (e.index == 0) {
				//console.log(t.src);
				myremove(model.arrimg, t.src);
				model.reViewImg();

			}
		}, "", ["是", "否"]);


	}
}, false);


function objBlur(id) {
	if (typeof id != "string")
		throw new Error("objBlur()参数错误");
	var obj = document.getElementById(id),
		time = 300,
		docTouchend = function(event) {
			if (event.target != obj) {
				obj.blur();
				document.removeEventListener("touchend", docTouchend, false);
				/*setTimeout(function(){         
				    
				},time);*/
			}
		};
	if (obj) {
		obj.addEventListener("focus", function() {
			document.addEventListener("touchend", docTouchend, false);
		}, false);
	} else {
		throw new Error("objBlur()没有找到元素");
	}
}

if (mui.os.iphone) {
	new objBlur("time");
	new objBlur("hyzt");
	new objBlur("hydd");
	new objBlur("chry");
	new objBlur("wgry");

};

function pageInit(u) {
	//console.log(526);
	if (mui.os.iphone) {
		pageShow();
	}
}