mui.init({});

function pageInit(usermodel) {
	var model={};
	
	
	$("#company").html(usermodel.getJgmc());//取到公共地方的组织名称
	
	//初始化界面
	model.initPage= function(){ 
		mui.ajax(V.urls.baseServer+ '/zzjg/zzjgAction_selectZzjgById', {
			data: {
				yhid:usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid()
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型 
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				console.log(JSON.stringify(data));
				var zzjg = data.zzjg;
				if(!jQuery.isEmptyObject(zzjg)){   //判断值是否为空
					if(zzjg.hasOwnProperty('JGMC')){//判断是否有这个值
						document.getElementById('name').innerText=zzjg.JGMC;
					}
					if(zzjg.hasOwnProperty('JGJC')){
						$("#jc").val(zzjg.JGJC);
					}
					if(zzjg.hasOwnProperty('LXDZ')){
						$("#addresss").val(zzjg.LXDZ);
					}
					if(zzjg.hasOwnProperty('YB')){
						$("#yb").val(zzjg.YB);
					}
					
					if(zzjg.hasOwnProperty('JGTX')){//组织头像
						var aa=V.urls.basePicServer+zzjg.JGTX;
						console.log("头像："+aa);
						$("#head-img").attr('src',aa);
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
//				mui.toast('网络异常');
			}
		});
	};
	
	//查询接口
	model.initPage();
	
	//提交事件
	function getGrData() {
		var data = {
			isok: true
		};
		
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = usermodel.getYhid();
		
		data.zzjgid=usermodel.getZzjgid();
		//组织名称
		data.jgmc=document.getElementById('name').innerText;
		//简称
		data.jgjc=$("#jc").val();
		//地址
		data.lxdz=$("#addresss").val();
		//邮编
		data.yb=$("#yb").val();
		
		if ($.trim(data.jgmc) == '') {
			mui.toast('请填写公司名称');
			data.isok = false;
		}else{
			if(data.jgmc.length>49){
				mui.toast('名称的长度不能超过50个汉字');
				data.isok = false;
			}
		}
		
		if(data.jgjc.length>24){
			mui.toast('简称的长度不能超过25个汉字');
			data.isok = false;
		}
		
		if(data.lxdz.length>99){
			mui.toast('地址的长度不能超过100个汉字');
			data.isok = false;
		}
		
		if(data.yb){
			if(!V.utils.valid.isPost(data.yb)){
				mui.toast('请输入正确的邮编');
				data.isok = false;
			}
		}
		return data; 
	}
	
	var addgg=document.getElementById('btn-gomain');
	addgg.addEventListener("tap",function(event){
		var data = getGrData();
		
		if (data.isok === false) {
			return;
		}
		
		mui.ajax(V.urls.baseServer + '/zzjg/zzjgAction_updateZzjgById', {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			//type: 'post', //HTTP请求类型
			cache: false,
			timeout: 10000, //超时时间设置为10秒；
			success: function(rs) {
				plus.nativeUI.closeWaiting();
				if(rs.result){
					var jgmc=data.jgmc;
					userModel.setJgmc(jgmc);
					//点击确定之后就更新
					var parentwebviewId=plus.storage.getItem('sy_parentwebviewId');
					var webview = plus.webview.getWebviewById(parentwebviewId);
					mui.fire(webview, 'eventBackStaff', {
						
					});
						
					var webview=plus.webview.getWebviewById('my');
					mui.fire(webview, 'eventBackStaff', {
		
					});
					
					mui.back();
				}
				
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				//console.log(errorThrown);
				//mui.toast('网络异常');
			}
		});


	});
	
	//点击头像更换头像
	document.getElementById("head-img").addEventListener('tap', function() {
		plus.gallery.pick(function(src) {
			plus.nativeUI.showWaiting();
			var task = plus.uploader.createUpload(V.urls.baseServer+'/zzjg/zzjgAction_updateZGtx', {
				method: "POST",
				blocksize: 204800,
				priority: 100
			}, function(t, status) {
				plus.nativeUI.closeWaiting();
				// 上传完成
				if (status == 200) {
					var res=JSON.parse(t.responseText);
//	                console.log(V.urls.basePicServer+res.jgtx);
//	                model.zztx=res.jgtx;
					var aa=document.getElementById("head-img");
					aa.src=V.urls.basePicServer+res.jgtx;
				}
				
			});

			if(V.utils.valid.isSfImg(src)){
				task.addFile(src, {key: src});
			}else{
				mui.toast("上传的图片包含不符合规范格式图片!");
				plus.nativeUI.closeWaiting();
				return;
			}
			
			task.addData('zzjgid', userModel.getZzjgid());
			task.addData('yhid',userModel.getYhid());
			task.start();
			
		}, function(e) {
			mui.toast('没有图片');
		}, {
			filter: "image",
			multiple: false
		});
			
	});

}