(function() {
	mui.TJBxModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				keyEventBind: {
					backbutton: false
				}
			});
			var self = this;
			self.options = options || {
				color: [
					'#ff7f50', '#87cefa', '#da70d6', '#32cd32', '#6495ed',
					'#ff69b4', '#ba55d3', '#cd5c5c', '#ffa500', '#40e0d0',
					'#1e90ff', '#ff6347', '#7b68ee', '#00fa9a', '#ffd700',
					'#6b8e23', '#ff00ff', '#3cb371', '#b8860b', '#30e0e0'
				]
			};
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},

		initEvent: function() {
			var self = this;
//			mui('.mui-scroll-wrapper').scroll({
//				deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
//			});

			mui('#mui-pagination').on('tap', 'span', function() {
				var li = this.parentNode;
				var classList = li.classList;
				if (!classList.contains('mui-active')) {
					var active = li.parentNode.querySelector('.mui-active');
					active.classList.remove('mui-active');
					classList.add('mui-active');

					self._type = li.getAttribute('t');
					self._queryTj(self._year, self._type);
					var tabs = document.querySelectorAll('.pie-table');
					mui.each(tabs, function(index, t) {
						//console.log(index);
						if (index > 0) {
							var tid = t.getAttribute('id');
							//console.log(tid);
							if (tid == 'tj_' + self._type) {
								t.style.display = "block";

							} else {
								t.style.display = "none";
							}
						}
					});

				}
			});
			var today = new Date();
			//console.log(today.getFullYear());
			self._year = today.getFullYear();
			self._type = 1;
			document.getElementById('btn_year').innerText = self._year+'年';
			//console.log(self._year);
			mui('#text_body').on('tap', 'ul', function(e) {
				var li = e.target;
				var n = li.getAttribute('n');
				//console.log(n);
				if (n) {
					if ('_' === n) {
						n = '';
					}
					mui.openWindow({
						url: 'tj_bxdetaill.html',
						id: 'tj_bxdetaill.html',
						extras: {
							year: self._year,
							n: n,
							t: self._type
						}
					});
				}
			});


//			self.timepicker = new mui.PopPicker();
//
//			var years = [];
//			for (var year = self._year; year >= 2014; year--) {
//				years.push({
//					value: year,
//					text: year
//				});
//			}
//			self.timepicker.setData(years);

//			document.getElementById('btn_year').addEventListener('tap', function(e) {
//				self.showDatePop();
//			});
			document.getElementById('year-up').addEventListener('tap', function(e) {
				self._clickyear(1);
			});
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self._clickyear(2);
			});

//			self._setMsg();
//			self.parent_web = plus.webview.getWebviewById('tj');
			//			var barChart = echarts.init(document.getElementById('pieChart'));
			//			///var barChart2 = echarts.init(document.getElementById('pieChart2'));
			//
			//
			//			barChart.setOption(self.getPieOption('本月报销', '0.00元', [1, 1]));
			//			//barChart2.setOption(self.getPieOption(self._year+'年报销', '0.00元', [1]));
			//			self.barChart = barChart;
			//			self.barChart2 = barChart2;

			//			mui.each(document.querySelectorAll('#tj_bm .round'), function(i, t) {
			//				console.log();
			//				t.style.color = self.options.color[i];
			//			});


		},
		initListener: function() {
			var self = this;


		},
		Arrayclone: function(b) {
			var a = [];
			for (var i = 0, l = b.length; i < l; i++) a.push(b[i]);
			return a;
		},
		getPieOption: function(title, text, data) {
			var self = this;
			var _data = [];
			for (var i = 0; i < data.length; i++) {
				var d = data[i];
				_data.push({
					value: d
				});
			}
			return {
				color: self.options.color,
				clickable: false,
				noDataEffect: 'whirling',
				animation:false,
				addDataAnimation:false,
				title: {
					text: text,
					//subtext: text,
					x: 'center',
					y: 'center',
					textStyle: {
						color: 'rgba(0,0,0,0.8)',
						fontSize: 12,
						fontWeight:'normal'
					}
				},
				series: [{
					type: 'pie',
					radius: ['80%', '95%'],
					itemStyle: {
						normal: {
							label: {
								show: false
							},
							labelLine: {
								show: false
							}
						}
					},
					data: _data
				}]
			}

		},
		hideDatePop: function() {
			if (this.timepicker) {
				this.timepicker.hide();
			}

		},
//		showDatePop: function() {
//			var self = this;
//			var timepicker = self.timepicker;
//
//			timepicker.show(function(rs) {
//				console.log(JSON.stringify(rs));
//				var value = rs[0].value;
//				//
//				self.parent_web.evalJS('updateTitle("' + 1 + '","' + value + '")');
//				self._year = value;
//				document.getElementById('btn_year').innerText = value+'年';
//				self._queryTj(value, self._type);
//			});

//		},
		_clickyear:function(gs){
			var self=this;
			self.upyear=document.getElementById('btn_year').innerText;
			self.upyears=self.upyear.substr(0,4);
			self.years=V.utils.date._clickYear(gs,self.upyears);
			self._year=self.years;
			if(self.years){
				document.getElementById('btn_year').innerText = self.years+'年';
				self._queryTj(self.years, self._type);
			}
		},
		_setMsg: function() {
			//msg = msg ? msg : '没有数据，换个月份试一试了';
			//for (var i = 1; i <= 3; i++) {
			//	document.getElementById('slider' + i).style.display = 'none';
			//}

			document.getElementById('main_text_body').style.display = 'none';
			document.getElementById('body_msg').style.display = 'block';
			
			document.getElementById('year-body').style.display = 'none';
			//this._setContent('slider', 'msg-template', msg);
			//document.getElementById('slider').style.display = 'block';
		},
		_setContent: function(t, d) {

			//document.getElementById('main').style.display = 'block';
			//document.getElementById('body_msg').style.display = 'none';			
			document.getElementById('main_text_body').style.display = 'block';
			document.getElementById('body_msg').style.display = 'none';
			document.getElementById('year-body').style.display = 'block';
			document.getElementById('tj_' + t).innerHTML = template('text-body-template', {
				"record": d
			});			
		},
		setMsg: function(msg) {
			//console.log(217+msg);
			document.getElementById('main').style.display = 'none';
			document.getElementById('main_text_body').style.display = 'block';
			document.getElementById('test-msg').innerText=msg;
		},
		query: function(year) {
			//console.log(year);

			var self = this;
			mui.ajax(V.urls.baseServer + "/bxsp/bxspAction_selectBxspSameMonth", {
				data: {
					yhid: userModel.getYhid(),
					zzjgid: userModel.getZzjgid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				//timeout: 10000, //超时时间设置为10秒；
				success: function(rs) {
					console.log(JSON.stringify(rs));
					if (rs.result == 0) {
						if (rs.msg == '0000') {
							self._setMsg('没有权限');
						} else {
							self._setMsg();
						}
					} else {
						var data = rs.rs;
						//通过02 
						document.getElementById('main').style.display = 'block';
						document.getElementById('body_msg').style.display = 'none';
						document.getElementById('main_text_body').style.display = 'block';
						document.getElementById('text_shsl').innerText = data.gs_01 ? data.gs_01 : 0;
						document.getElementById('text_shje').innerText = data.je_01 ? data.je_01 : '0.00';
						document.getElementById('text_tgsl').innerText = data.gs_02 ? data.gs_02 : 0;
						document.getElementById('text_tgje').innerText = data.je_02 ? data.je_02 : '0.00';
						var n1 = data.je_01_n;
						var n2 = data.je_02_n;
						n1 = n1 == 0 ? 1 : n1;
						n2 = n2 == 0 ? 1 : n2;
						var barChart = echarts.init(document.getElementById('pieChart'));
						///var barChart2 = echarts.init(document.getElementById('pieChart2'));


						//barChart.setOption(self.getPieOption('本月报销', '0.00元', [1, 1]));

                        console.log(barChart);


						barChart.setOption(self.getPieOption('本月报销', data.je , [n1, n2]));
						if (!year) {
							year = self._year;
						}
						self._type = 1;
						self._queryTj(year, 1);
					}
				},
				error: function(xhr, type, errorThrown) {
					self._setMsg('网络异常，请稍后重试');

				}
			});

		},
		_showWaiting: function() {
			//document.getElementById('slider').style.display = 'none';
			plus.nativeUI.showWaiting();
		},
		_genColor: function(len) {
			var self = this;
			var colors = self.Arrayclone(self.options.color);
			//console.log(colors);
			var x = Math.ceil(len / self.options.color.length);
			if (x > 1) {
				console.log(x);
				for (var i = 1; i < x; i++) {
					for (var j = 0; j < self.options.color.length; j++) {
						colors.push(self.options.color[j]);
					}

				}
			}
			return colors;
		},
		_queryTj: function(year, t) {
			//console.log(year + ',' + t);
			var self = this;
			self._showWaiting();
			mui.ajax(V.urls.baseServer + "/bxsp/bxspAction_selectBxTjByYear", {
				data: {
					yhid: userModel.getYhid(),
					zzjgid: userModel.getZzjgid(),
					year: year,
					t: t
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(rs) {
					plus.nativeUI.closeWaiting();
					//console.log(JSON.stringify(rs));
					if (!rs.rs || rs.rs.length == 0) {
						self._setMsg();
					} else {
						


						var _data = [];

						var colors = self._genColor(rs.rs.length);
						for (var i = 0; i < rs.rs.length; i++) {
							var je = rs.rs[i];
							je.color = colors[i];
							_data.push(je.JE);
						}
						//console.log(JSON.stringify(_data));
						self._setContent(t, rs.rs);
						var barChart2 = echarts.init(document.getElementById('pieChart2'));
						document.getElementById('pieChart-text').innerText=year + '年报销';
						barChart2.setOption(self.getPieOption(year + '年报销', rs.je , _data));

						//console.log(new Date().getTime());
					}


				},
				error: function(xhr, type, errorThrown) {
					self._setMsg();
					plus.nativeUI.closeWaiting();
				}
			});

		}

	});

})();