(function($) {

	var TJModel = mui.TJModel = mui.Class.extend({
		init: function(options) {
			$.init({
				keyEventBind: {
					backbutton: false
				}
			});
			var self = this;
			self.options = options || {
				scrollTop: 0
			};
			//console.log(options.mon);
			self.mon = options.mon;

			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},

		initEvent: function() {
			var self = this;
			self.timepicker = new mui.DtPicker({
				"type": "month"
			});
			setTimeout(function() {
				self.addSilderEvent();
			}, 1000);
			//self.slider = mui('.mui-slider').slider();
			self.scrolls = mui('.mui-scroll-wrapper').scroll({});
			//			for (var i=0;i<3;i++) {
			//				self.scrolls[i].scrollTo(0,0,100);
			//			}
			//			
			mui('#mui-pagination').on('tap', 'span', function() {
				self.options.scrollTop=0;
				self.pagActive(this, true);
			});
			//			document.querySelector('.mui-slider').addEventListener('slide', function(event) {
			//				console.log(event.detail.slideNumber);
			//				var span = document.querySelector('span[index="' + event.detail.slideNumber + '"]')
			//				self.pagActive(span);
			//
			//			});
		},
		pagActive: function(span, f) {
			var self = this;
			var li = span.parentNode;
			var index = span.getAttribute('index');
			var classList = li.classList;
			var active = li.parentNode.querySelector('.mui-active');
			var lastindex = active.childNodes[1].getAttribute('index');
			var lasty = self.scrolls[lastindex].y;
//			console.log(self.options.scrollTop);
//			if (self.options.scrollTop===1) {
//				lasty=0;
//			}

			if (!classList.contains('mui-active')) {

				active.classList.remove('mui-active');
				classList.add('mui-active');

				if (f) {
					//self.slider.gotoItem(index);
					for (var i = 0; i < 3; i++) {
						if (lastindex != i) {
							//console.log(lasty);
							self.scrolls[i].scrollTo(0, lasty);
						}
						if (index == i) {
							document.getElementById('tab_scroll_' + i).style.display = 'block';
						} else {
							document.getElementById('tab_scroll_' + i).style.display = 'none';
						}
					}
				}

			}
		},
		initListener: function() {
			var self = this;
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self._clickyear(4);
			});
			document.getElementById('year-up').addEventListener('tap', function(e) {
				self._clickyear(3);
			});
		},
		hideDatePop: function(int) {
			if (this.timepicker) {
				this.timepicker.hide();
			}
		},
//		showDatePop: function() {
//			var self = this;
//			var timepicker = self.timepicker;
//			//console.log(timepicker);
//			timepicker.show(function(rs) {
//				var label = rs.y.text + "年" + rs.m.text + "月";
//				var value = rs.y.text + '' + rs.m.text;
//				self.parent_web.evalJS('updateTitle("' + label + '","' + value + '")');
//				timepicker.setSelectedValue();
//				document.getElementById('vst-btn-year').innerText = label;
//				//self.scrolls[0].scrollTo(0, 0);
//				self._queryTj(value);
//			});
//
//		},
		_clickyear:function(gs){
			var self=this;
			var upmonth=document.getElementById('vst-btn-year').innerText;
			var upyears=upmonth.substr(0,4);
			var upmonths=upmonth.substr(5,2);
			var yearandmonth=upyears+""+upmonths;
			var yandm=V.utils.date._clickYear(gs,yearandmonth);
			if(yandm){
				var years=yandm.substr(0,4);
				var months=yandm.substr(4,2);
				if(months<10){
					months='0'+months;
				}
				document.getElementById('vst-btn-year').innerText =years+"年"+months+"月";
				var label=years+"年"+months+"月";
				var sj=years+''+months;
				var parent_web=plus.webview.getWebviewById('tj');
				parent_web.evalJS('updateTitle("' + label + '","' + sj + '")');
				self._queryTj(sj);
			}
		},
		_setMsg: function(msg) {
			var self = this;

			if (msg) {

				//for (var i = 1; i <= 3; i++) {
				//	document.getElementById('slider' + i).style.display = 'none';
				//}

				this._setContent('slider', 'msg-template', msg);
				document.getElementById('slider').style.display = 'block';
				document.getElementById('slider_d').style.display = 'none';
			} else {
				document.getElementById('slider').style.display = 'none';
				document.getElementById('slider_d').style.display = 'block';
				msg = msg ? msg : '没有数据，换个月份试一试了';
				//				document.getElementById('tab_data_2_1').innerHTML = msg;
				//				document.getElementById('tab_data_2_2').innerHTML = msg;
				//				document.getElementById('tab_data_2_3').innerHTML = msg;

				[].forEach.call(document.querySelectorAll('p[name="tip-msg"]'), function(obj) {
					console.log(obj);
					obj.innerText = msg;
				});
			}
		},
		setMsg: function() {
			var self = this;
			self._setMsg('没有权限');
		},
		_setContent: function(domId, tpl, content) {
			//console.log(domId);
			document.getElementById(domId).innerHTML = template(tpl, {
				"record": content
			});
			//			$('#slider')[0].innerHTML = '';
			//			$('#slider')[0].innerHTML = template(tpl, {
			//				"record": content
			//			});

			//console.log($('#slider')[0].innerHTML );
		},
		query: function() {
			var self = this;
			var today = getTodayyyymm();
			var mon = today.value;
			self.mon = mon;
			this._queryTj(self.mon);

		},
		_showWaiting: function() {
			//document.getElementById('slider').style.display = 'block';
			//document.getElementById('slider_d').style.display = 'none';
			plus.nativeUI.showWaiting();
		},
		_queryTj: function(mon) {
			var self = this;
			self.mon = mon;
			self._showWaiting();
			//self._setMsg('加载中,请稍后。。。');
			mui.ajax(V.urls.baseServer + "/kqsp/kqspAction_selectTJ", {
				data: {
					yhid: userModel.getYhid(),
					zzjgid: userModel.getZzjgid(),
					yyyymm: mon
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(rs) {
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(rs));
					if (rs.result == 0) {
						if (rs.msg == '0000') {
							self._setMsg('没有权限');
						} else {
							self._setMsg();
						}
					} else {
						[].forEach.call(document.querySelectorAll('p[name="tip-msg"]'), function(obj) {
							//console.log(obj);
							obj.innerText = '';
						});
						if (!rs.tjMon || rs.tjMon.length == 0) {
							self._setMsg();
						} else {
							document.getElementById('slider').style.display = 'none';
							document.getElementById('slider_d').style.display = 'block';
							self._setContent('tab_data_2_1', 'kq1-template', rs.tjMon);
							self._setContent('tab_data_2_2', 'kq2-template', rs.tjMon);
							self._setContent('tab_data_2_3', 'kq3-template', rs.tjMon);

							//document.getElementById('tab_scroll_2_1').scrollTop = 0;
							
							//mui.trigger(document.querySelector('span[index="0"]'), 'tap');
							self.scrolls[0].scrollTo(0, 0);
							//$('#slider_d').slider().gotoItem(0);
							//console.log(new Date().getTime());
						}
					}





				},
				error: function(xhr, type, errorThrown) {
					self._setMsg();
					plus.nativeUI.closeWaiting();
				}
			});

		},
		addSilderEvent: function() {
			var self = this;

			$('#slider_d').on('tap', 'li', function(e) {
				var target = e.target;

				var clsname = target.className;
				if (clsname.indexOf('mui-table-view-cell') >= 0) {
					//yhid=target.getAttribute('yhid');
				} else if (clsname.indexOf('mui-table-cell') >= 0) {
					target = target.parentNode.parentNode;
				} else {
					target = target.parentNode;
				}

				var yhid = target.getAttribute('yhid');
				var name = target.getAttribute('name');
				//console.log(target.className);
				if (yhid) {
					//alert(yhid);
					mui.openWindow({
						url: 'tj_kqdetaill.html',
						id: 'tj_kqdetaill.html',
						extras: {
							yhid: yhid,
							mon: self.mon,
							name: name
						}
					});



				}
			});

		}

	});

})(mui);