mui.init({
	statusBarBackground: '#f7f7f7',
	preloadPages: [{
		url: '../common/file-brower.html',
		id: 'page-file-brower'
	}],
	beforeback: function() {
//		model.clearForm();
		//通知文件列表 刷新
		var webview = plus.webview.getWebviewById('page-wj');
		mui.fire(webview, 'event_addwj_back', {
		});
	}
});
//清空表单数据
var model = {
	clearForm: function() {
//		document.getElementById('wj-form').reset();
	},
	arrfile: []
};
var filePath;  //filePath
var fileName; //fileName
function pageInit(userModel) {
	//提交事件
	var addButton = document.getElementById('btn-add');
	addButton.addEventListener('tap', function(event) {
		var data = getwdzxData();
		var self = this;
		
		if (data.isok === false) {
			return;
		}
		self.disabled = true;
		model.createUpload(data, function(t, status) {
			plus.nativeUI.closeWaiting();
			self.disabled = false;
			// 上传完成
			if (status == 200) {
				$("#time").val('');
				$("#sm").val('');
				plus.storage.setItem('wj_wdlb',data.flmc);
//				plus.storage.setItem('wj_wdlbs',v);
				
				var webview=plus.webview.getWebviewById('wj');
				mui.fire(webview, 'pageShow', {
	
				});
				$("#wjlb").val('');
				mui.back();
			} else {
				
			}
		});
	});
	
	function getwdzxData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = userModel.getYhid();
		data.zzjgid = userModel.getZzjgid();
		//分类名称
		data.flmc = $("#wjlb").val();
		//说明
		data.sm= $('#sm').val();
		data.src = filePath;
		data.name = fileName;
		if ($.trim(data.flmc) == '') {
			mui.toast('请填写分类文档');
			data.isok = false;
			return data;
		}
		if ($.trim(data.flmc).length > 25) { 
			mui.toast('文档类别不能超过25个字符');
			data.isok = false;
			return data;
		}
		if ($.trim(data.sm).length > 100) { 
			mui.toast('文档说明不能超过100个字符');
			data.isok = false;
			return data;
		}
		return data;
	}

	//建立后台的连接
	model.createUpload = function(data, callback) {
		if (!checkNetStatus()) {
			return;
		}
		plus.nativeUI.showWaiting();
		var task = plus.uploader.createUpload(V.urls.baseServer+'/wdzx/wdzxAction_insertWdzx', {
			method: "POST",
			blocksize: 204800,
			priority: 100
		}, callback);
//		task.addFile();
		console.log(data.src);
		task.addFile( data.src, {key:data.name} );
	    task.addData( "yhid", data.yhid);
	    task.addData( "zzjgid", data.zzjgid);
		task.addData( "flmc",data.flmc);
		task.addData( "sm",data.sm);	    
		task.start();
	}
	
	window.addEventListener('eventBackFile', function(event) {
		//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
		//var returnobj = event.detail.returnObj;
		filePath = event.detail.src;
		fileName = event.detail.name;
//		console.log(filePath);
//		console.log(fileName);
		mui.openWindow({
			url: 'addwj.html',
			id: 'addwj',
		});
		$('#time').val(fileName);
		$("#wjlb").val(plus.storage.getItem("wj_wdlb"));
	});
	//文档类别
	var flmcpicker = new mui.PopPicker({
		layer: 1
	});
	/*文档分类*/
//	var v='';
//	var text='';
	var showflmcBtn = document.getElementById('showProjectPicker');
	showflmcBtn.addEventListener('tap', function(event) {
//		if (!checkNetStatus()) {
//			return;
//		}
//		plus.nativeUI.showWaiting();
//		mui.ajax(V.urls.baseServer + '/zzjg/zzjgAction_selectZzjgPz', {
//			data: {
//				yhid: userModel.getYhid(),
//				zzjgid: userModel.getZzjgid(),
//				pzxlx: '03'
//			},
//			dataType: 'json', //服务器返回json格式数据
//			//type: 'post', //HTTP请求类型
//			timeout: 10000, //超时时间设置为10秒；
//			success: function(data) {
//				plus.nativeUI.closeWaiting();
//				if(data.pz[0]){
////					alert(JSON.stringify(jsonArray));
//					//用的是jQuery的写法
//					var jsonArray = jQuery.parseJSON('[]');   
//					$.each(data.pz, function (n, value) {
//			           jsonArray.push(jQuery.parseJSON('{"value":"' + value.PZID+ '","text":"' + value.MC + '"}')); 
//			       	});
//			       flmcpicker.setData(jsonArray);
//			       flmcpicker.show(function(dataa){
//			       	v = dataa[0].value;//id
//					text = dataa[0].text;//vlue
//					$('#wjlbs').val(v);
//					$('#wjlb').val(text);
//					
//			       });
//				}else{
//					mui.toast("你第一次要先手动添加文档类别");
//				}
//			},
//			error: function(xhr, type, errorThrown) {
//				//异常处理；
//				plus.nativeUI.closeWaiting();
//				//console.log(errorThrown);
//				mui.toast('网络异常');
//			}
//		});

		var webid = plus.webview.currentWebview().id;
		mui.openWindow({
			url: '../common/zzjg-pzxlx.html',
			id: 'pzxlx',
			extras:{
				p3:'pz',
				p4:'03',
				webid:webid
			}
		});
	});
	
	//获取界面传过来的项目
	window.addEventListener('eventBackzzjg',function(event){
	  //获得事件参数
	  pzid=event.detail.c1;//项目id
	  pzmc=event.detail.c2;//项目名称
	  $("#wjlbs").val(pzid);
	  $("#wjlb").val(pzmc);
	});
	var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘
	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
					/*setTimeout(function(){         
					    
					},time);*/
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}
	
	if(isIPHONE){
		new objBlur("sm");
	};
};