//mui初始化配置项
mui.init({
	//预加载页面
	preloadPages: [
		{
			url: 'addwj.html',
			id: 'addwj'
		}
//		{
//			url: '../common/file-brower.html',
//			id: 'file-brower'
//		},
//		{
//			url: 'wj.html',
//			id: 'wj'
//		}
	] ,
  gestureConfig: {
		longtap: true //监听长按事件，默认false
	}	
});

function pageInit(usermodel) {
	var model={};
	window.addEventListener('pageShow', function(event) {
			//plus.storage.setItem('privatemsgFlag', '1'); //首页定时器失效
		var data = {
			yhid: usermodel.getYhid(),
			zzjgid: usermodel.getZzjgid(),	
		}
		$(".wj").empty();
		initPage( data);
	});
		
//点击浮动按钮跳转到手机系统文件
	document.getElementById("addwj").addEventListener('tap', function() {
				if (mui.os.ios) {
					mui.toast("暂时不支持iPhone上传文件");
				}else{
					plus.storage.setItem("filebrower_parentwebviewId", "addwj");
					var webview = mui.openWindow({
						url: '../common/file-brower.html',
						id: 'file-brower'
					});
					mui.fire(webview, 'pageShow', {
						
					});
				}
	});

	initPage();
    //查询文档分类-------分类名称和数量
   // var flmc='';
	function initPage() {
		if (!checkNetStatus()) {
			return;
		}
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer+'/wdzx/wdzxAction_selectWdfl', {
			data: {
				zzjgid: usermodel.getZzjgid(),
				yhid:   usermodel.getYhid()				
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				//console.log(data);
				plus.nativeUI.closeWaiting();
				var wdfllist=data.wdfl;
				//console.log("wdfllist.length:===================="+wdfllist.length);    
				var wdflDiv = $(".mui-table-view");
				for (var i = 0; i < wdfllist.length; i++) {  
					var wdfl=wdfllist[i];
						var addItemDiv='<li class="mui-table-view-cell mui-collapse">'+// id="mxid'+i+'" onclick=on_flmx("mxid'+i+'"
											'<input  type="hidden" value="'+wdfl.FLMC+'" />'+
											'<a class="mui-navigate-right" href="#">'+
												'<div class="mui-table bt">'+
													//'<h3 a="'+wdfl.FLMC+'" class="mc">'+wdfl.FLMC+'</h3>'+
													'<span a="'+wdfl.FLMC+'" class="mc" style="font-size: 0.86em;float:left;">'+wdfl.FLMC+'</span>'+
													'<span class="mui-table-sm">('+wdfl.SL+')</span>'+
												'</div>'+
											'</a>'+
											'<ul class="mui-table-view vsd-clear" id="long">'+
											'</ul>'+
										'</li>';
					wdflDiv.append(addItemDiv);		
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				//console.log(errorThrown);
				plus.nativeUI.closeWaiting();
				mui.toast('网络异常');
			}
		});
	}

	//点击某一名称，展开显示该名称下的所有的内容
	var lis='';
	var flmc='';
	window.addEventListener('expand', function(event) {
		var target = $(event.target);
		flmc = target.children().children().children(".mc").html();	
		var content = target.children('.mui-table-view');	
		//console.log(flmc);
		$('.vsd-clear').empty();//清空所有list 的折叠内容 ，性能优化mui-collapse
		//console.log(flmc+'年月');
		if (!checkNetStatus()) {
						return;
					}
		plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer + '/wdzx/wdzxAction_selectWdflMx', {
				data: {
					zzjgid: usermodel.getZzjgid(),
					yhid:usermodel.getYhid(),
					flmc:flmc
				},
				dataType: 'json', //服务器返回json格式数据
				//type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(rs) {
					plus.nativeUI.closeWaiting();
					//服务器返回响应，根据响应结果，分析是否登录成功；
					//图片
					var list = rs.mx;
					lis=list.length;
					console.log(lis);
					if (list && mui.isArray(list)) {
						for (var k in list) {
							var data = list[k];
							content.append(model.createElMsg(data));
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		
	});
	
		model.createElMsg = function(data) {
		//return '<h6 class="mui-ellipsis-2">' + data + '</h6>';
		return '<li class="mui-table-view-cell open" fjid="'+data.FJWZ+'"  yhid="'+data.YHID+'">'+// wdzxid="'+mx.WDZXID+'"
									'<input  type="hidden" value="'+data.WDZXID+'" />'+
										'<div class="mui-table">'+
											'<div class="left">'+
												'<p class="mui-table-wdmc">'+data.FJMC+'</p>'+
												'<div style="padding-top:4px; margin-left:3px;">'+
													'<span class="xm">'+data.XM+'</span>'+
													'<em class="sj">'+data.RQ+'</em>'+
												'</div>'+
											'</div>'+
											'<span class="mui-navigate-right"></span>'+
										'</div>'+
									  '</li>';		
	};
	
	
	//长按删除
	document.querySelector("#longtap_btn").addEventListener('longtap', function(event) {
		var target = $(event.target);
		var t = target.parents('li.open');
		var dele_flmc=target.parents().parents('li.mui-collapse');
		var wdzxid = t.children('input').val();
		var yhid=t.attr("yhid");
		var flmc = target.parents().parents().siblings().children().children(".mc").html();
		if (wdzxid) {
			if (userModel.getYhid() != yhid) {
				mui.toast('非本人创建的文档不能删除');
				return;
			}
			plus.nativeUI.confirm("确定要删除文件吗?", function(e) {
				if (e.index == 0) {
					if (!checkNetStatus()) {
						return;
					}
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer + '/wdzx/wdzxAction_deleteWdzx', {
						data: {
							wdzxid: wdzxid,
							flmc:flmc,
							yhid: usermodel.getYhid(),
							zzjgid:usermodel.getZzjgid()
						  },
						dataType:'json',
//							type: 'get', //HTTP请求类型
//							timeout: 10000, //超时时间设置为10秒；
						success: function(datas) {
							plus.nativeUI.closeWaiting();
							console.log('删除条目'+datas.result);
							if(datas.result==1) {
								if(lis==1){
									t.remove();
									dele_flmc.remove();
								}
								var webview=plus.webview.getWebviewById('wj');
								mui.fire(webview, 'pageShow', {
								
								});
							}else{
								
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							//异常处理； 
							mui.toast('网络异常');
						}
					});
				}
			},"",["确定", "取消"]);
		}
	});	
	
	//单击文件
	document.getElementById('longtap_btn').addEventListener('tap', function(event) {
		if (!checkNetStatus()) {
						return;
					}
		//plus.nativeUI.showWaiting();
		var target=$(event.target);
		var t=target.parents("li.mui-table-view-cell");
		var filesrc=t.attr("fjid");
//		var filesrc=target.attr('fjid');
		//console.log(target.html());
		if(filesrc){
			//console.log(filesrc);
			plus.runtime.openURL(V.urls.basePicServer+filesrc, {}, function(e) {
				plus.nativeUI.alert("无法打开此文件：" + e.emssage);
			});	
		}
	});	
	//发送邮件
	document.getElementById("btn-right").addEventListener('tap', function(event){
		mui.openWindow({
			url: 'webview_email.html',
			id: 'webview_email.html'

		});
	});
}