function clearNoNum(obj) { 
	 obj.value = obj.value.replace(/[^\d.]/g, "");//清除“数字”和“.”以外的字符
	 obj.value = obj.value.replace(/^\./g, "");//验证第一个字符是数字而不是.
	 obj.value = obj.value.replace(/\.{2,}/g, ".");//只保留第一个. 清除多余的.
	 obj.value = obj.value.replace(".", "$#$").replace(/\./g,"").replace("$#$", ".");
}
function pageInit(usermodel) {//页面初始化
	
	//获取界面传过来的部门
	window.addEventListener('eventBackzzjg',function(event){
	  //获得事件参数
	  pzmc=event.detail.c1;//项目名称
	  pzxlx=event.detail.pz;//配置名称
	  
	  if(pzxlx){//类型
	  	$("#zclx").val(pzmc);
	  }else{//名称
	  	$("#zcmcs").val(pzmc);
	  }
	});
	
	
	
	var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘
	
	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
					/*setTimeout(function(){         
					    
					},time);*/
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}
	
	if(isIPHONE){
		new objBlur("zclx");
		new objBlur("zcmcs");
		new objBlur("sl");
		new objBlur("dj");
		new objBlur("zcgg");
	};
	
	//判断输入的金额的格式
	document.getElementById("dj").onblur=function(){
		//单价bxje
		var number=$("#dj").val();
		if(number){
			var n=Math.round(number * 100)  / 100;//保留千万分位
			if(n<99999999&&n>0){
				if(V.utils.valid.isCheck(n)){//判断一个字符串是否是小数
					var s=n.toFixed(2);//保留小数点后两位数
					var a=V.utils.valid.getFloatStr(s);
					$("#dj").val(a);
				}else{//字符串是整数
					var b=V.utils.valid.getFloatStr(n);
					$("#dj").val(b);
				}
			}else{
				mui.toast("输入的单价不符合规则");
				$("#dj").val('');
			}
		}
		
	}
	
	//判断输入的数量的格式
	document.getElementById("sl").onblur=function(){
		//单价
		var number=$("#sl").val();
		if(number){
			if(number<= 0){
				mui.toast('数量必须大于等于0');
				$("#sl").val('');
			}else if(V.utils.valid.isCheck(number)){
				mui.toast('数量必须是整数');
				$("#sl").val('');
			}else{
				var num=V.utils.valid.FloatStr(number);		    
				$("#sl").val(num);
			}
		}
	}
	
	
	

	//资产编号
	zcbh();
	function zcbh() {
		if (!checkNetStatus()) {
				return;
			}
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer + '/zc/zcAction_selectMaxZcbh', {
			data: {
				zzjgid: userModel.getZzjgid(),
				yhid: userModel.getYhid()
			},
			dataType: 'json', //服务器返回json格式数据
			//type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
					$("#zcbh").val(data.maxZcbh);
//					$("#zcgg").val($("#zcmcx").val());
			       plus.nativeUI.closeWaiting();
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				//console.log(errorThrown);
				mui.toast('网络异常');
			}	
		});
	};

/*返回列表页面   清空添加内容*/
document.getElementById('return').addEventListener('tap', function(event){
		$("#sl").blur();
		$("#sl").val('');
		$("#dj").blur();
		$("#dj").val('');
		$("#zcgg").blur();
		$("#zcgg").val('');
	});
	
	jQuery("#zclx").val(plus.storage.getItem("zc_zclx"));
	jQuery("#zcmcs").val(plus.storage.getItem("zc_zcmcs"));
	
	//点击事件
	var showlx = document.getElementById('showzclxPicker');
	var showmc = document.getElementById('showzcmcPicker');
	showlx.addEventListener('tap', showlxs, false);
	showmc.addEventListener('tap', showmcs, false);
	
	//资产类型
	function showlxs(event) {
		var webid = plus.webview.currentWebview().id;
		var webview=mui.openWindow({
			url: '../common/zzjg-pzxlx.html',
			id: 'pzxlx',
			extras:{
				p3:'pz',
				p4:'08',
				webid:webid
			}
		});
	};
	
	function showmcs(event) {
		var webid = plus.webview.currentWebview().id;
		var webview=mui.openWindow({
			url: '../common/zzjg-pzxlx.html',
			id: 'pzxlx',
			extras:{
				p3:'zc',
				webid:webid
			}
		});
	};
	
	//入库日期获取系统最新日期
	var nowDate = new Date();
	var nowYear = nowDate.getFullYear();
	var nowMonth = nowDate.getMonth() + 1;
	var nowDay = nowDate.getDate();
	if(nowMonth < 10){
		nowMonth = '0' + nowMonth ;
	}
	if(nowDay < 10){
		nowDay = '0' + nowDay;
	}
	var dqrq=nowYear+'-'+nowMonth+'-'+nowDay;
	$("#rkrq").val(dqrq);
	console.log(dqrq);
	
	//入库日期
	var timepicker = new mui.DtPicker({"type":"date"});
	document.querySelector('#rkrq').addEventListener('tap',function(){
		timepicker.show(function(rs) { 
			/*
			 * rs.value 拼合后的 value
			 * rs.text 拼合后的 text
			 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
			 * rs.m 月，用法同年
			 * rs.d 日，用法同年
			 * rs.h 时，用法同年
			 * rs.i 分（minutes 的第二个字母），用法同年
			 */
			jQuery("#rkrq").val(rs.text); 
			timepicker.setSelectedValue();
		});
	});
	
	
	
	
var model={};
	function getZcrkData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = userModel.getYhid();
		data.zzjgid = userModel.getZzjgid();
		//资产类型
		data.zclb = jQuery("#zclx").val();
		//资产名称
		data.zcmc= jQuery('#zcmcs').val();
		//资产数量
		data.sl= jQuery('#sl').val();
		//资产单价
		data.dj=$("#dj").val();
		//入库日期
		data.rkrq= jQuery('#rkrq').val();
		//资产来源
		data.zclx = jQuery('input[name="zcly"]:checked').val();
		console.log(data.zclx);
		//资产编号
		data.zcbh=jQuery("#zcbh").val();
		//资产规格
		data.zcgg=jQuery("#zcgg").val();

		if (jQuery.trim(data.zclb) == '') {
			mui.toast('请选择或输入资产类型');
			data.isok = false;
			return data;
		}	
		if (jQuery.trim(data.zcmc) == '') {
			mui.toast('请选择或输入资产名称');
			data.isok = false;
			return data;
		}
		
		if (jQuery.trim(data.sl) == '') {
			mui.toast('请填写数量');
			data.isok = false;
			return data;
		}
//		if (jQuery.trim(data.dj) == '') {
//			mui.toast('请填写单价');
//			data.isok = false;
//			return data;
//		}
		if (jQuery.trim(data.rkrq) == '') {
			mui.toast('请填写入库日期');
			data.isok = false;
			return data;
		}
		
		console.log(jQuery.trim(data.zclb).length);
		if (jQuery.trim(data.zclb).length > 20) { 
			mui.toast('资产类型不能超过20个字符');
			data.isok = false;
			return data;
		}
		console.log(jQuery.trim(data.zcmc).length);
		if (jQuery.trim(data.zcmc).length > 25) { 
			mui.toast('资产名称不能超过25个字符');
			data.isok = false;
			return data;
		}
		console.log(jQuery.trim(data.zcgg).length);
		if (jQuery.trim(data.zcgg).length > 50) { 
			mui.toast('资产规格不能超过50个字符');
			data.isok = false;
			return data;
		}
		
		if (jQuery.trim(data.zclx) == '01' && jQuery.trim(data.dj) == '') {
			mui.toast('请填写单价');
			data.isok = false;
			return data;
		}
		
		if ($.trim(data.dj) == '') {
			mui.toast('请重新输入单价');
			data.isok = false;
			return data;
		}else{
			if(data.dj>99999999||data.dj<=0){
				mui.toast('请重新输入正确的单价');
				data.isok = false;
				return data;
			}
		
			return data;
		}
return data;
	}
	//入库
	document.getElementById('btn-add').addEventListener('tap', function(event) {
		var self=this;
		var data = getZcrkData();
		if (data.isok === false) {
			return;
		}
		self.disabled=true;
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer+"/zc/zcAction_insertZcxx",{
			data:data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(rs) {
				console.log(JSON.stringify(data));
				plus.nativeUI.closeWaiting();
				self.disabled=false;
				if(rs.result==1){//成功	
					mui.toast("添加资产成功");
					var webview=plus.webview.getWebviewById('sub_zc');
					mui.fire(webview, 'zcgl-pageShow', {
						
					})
					jQuery("#sl").val('');
					jQuery("#dj").val('');
					jQuery("#rkrq").val('');
					plus.storage.setItem('zc_zclx',data.zclb);
					plus.storage.setItem('zc_zcmcs',data.zcmc);
					mui.back();
				}else{//失败
					
				}
			},
			error: function(xhr, type, errorThrown) {
//				mui.toast('网络异常');
				plus.nativeUI.closeWaiting();
			}
		});
	});
}