mui.init({
	//	keyEventBind: {
	//		backbutton: false
	//	},
	swipeBack: false,
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	},
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});


//页面初始化 ————————添加界面跳转
window.addEventListener('zcgl-pageShow', function(event) {
	//plus.storage.setItem('privatemsgFlag', '1'); //首页定时器失效
	$("#zcgl").empty();
	_page = 1;
	tabInit();
});

//添加资产
document.querySelector('#add-zc').addEventListener('tap', function() {
	var webview = mui.openWindow({
		url: 'add-zc.html',
		id: 'add-zc'
	});
	webview.addEventListener('loaded', function() {
		mui.fire(webview, 'pageShow');
	});
});
//	var syr='';
//	var zcmc='';
var curr_p = 0;
//下拉加载最新
function pulldownRefresh() {
	zcgl($("#sryid").val(), $('#zcmc').val(), $('#zcztS').val(), 1);
	mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
	mui('#pullrefresh').pullRefresh().refresh(true);
}
//上拉加载下一页
function pullupRefresh() {
	zcgl($("#sryid").val(), $('#zcmc').val(), $('#zcztS').val(), curr_p + 1);
}

function tabInit() {
	curr_p = 0;
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().pullupLoading();
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
}

function zcgl(sry, zcmc, zczt, _page) {
			console.log(sry + "=============" + zcmc + "===" +zczt +"----" + userModel.getYhid()+"----" +userModel.getZzjgid());
	curr_p = _page;
	//		plus.nativeUI.showWaiting();
	mui.ajax(V.urls.baseServer + '/zc/zcAction_selectZcgl', {
		data: {
			zzjgid: userModel.getZzjgid(),
			yhid: userModel.getYhid(),
			syr: sry,
			zcmc: zcmc,
			zczt: zczt,
			limit: 12,
			page: _page
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		//			timeout: 10000, //超时时间设置为10秒； 
		success: function(data) {
			//					console.log(JSON.stringify(data));
			plus.nativeUI.closeWaiting();
			var rsHtml = template('zcgl-template', {
				"record": data
			});
			if (_page == 1) {
				document.getElementById('zcgl').innerHTML = rsHtml;
			} else {
				$("#zcgl").append(rsHtml);
			}
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(data.maxPage <= _page);
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			plus.nativeUI.closeWaiting();
			//console.log(errorThrown);
			mui.toast('网络异常');
		}
	});
}

//获取领用人
document.getElementById('lyr').addEventListener('tap', function(event) {
	peoples();
})
document.getElementById('showlyrPicker').addEventListener('tap', function(event) {
	peoples();
})

function peoples() {
	var id = plus.webview.currentWebview().id;
	plus.storage.setItem("filebrower_parentwebviewId", id);
	page_staff_select = plus.webview.getWebviewById('dan');
	plus.storage.setItem("allLxr", "1");
	mui.openWindow({
		url: '../common/dan.html',
		id: 'dan'
	});
}

//接收人员选择page返回参数事件
window.addEventListener('eventBackYh', function(event) {
	//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
	var names = event.detail.name;
	var sryid = event.detail.id;
	console.log(names);
	$('#lyr').val(names);
	$("#sryid").val(sryid);
	tabInit();
	//		zcgl($("#sryid").val(),$('#zcmc').val(),$('#zcztS').val(),1);
});

//资产名称
//	hhddpicker = new mui.PopPicker({
//			layer: 1
//		});
//	document.getElementById('showzcmcPicker').addEventListener('tap',function(event){
//		if (!checkNetStatus()) {
//				return;
//			}
//		plus.nativeUI.showWaiting("处理中...");
//		mui.ajax(V.urls.baseServer + '/zc/zcAction_selectZcmc', {
//			data: {
//				zzjgid: userModel.getZzjgid(),
//				yhid: userModel.getYhid()
//			},
//			dataType: 'json', //服务器返回json格式数据
//			//type: 'post', //HTTP请求类型
//			timeout: 10000, //超时时间设置为10秒；
//			success: function(data) {
////				console.log(JSON.stringify(data));
//				//用的是jQuery的写法
//				if(data.zcmcList != null && data.zcmcList != ''){
//					var jsonArray = jQuery.parseJSON('[]');   
//					$.each(data.zcmcList, function (n, value) {
//	//					console.log(value.ZCMC);
//			           jsonArray.push(jQuery.parseJSON('{"value":"' + value.ZCMC+ '","text":"' + value.ZCMC + '"}')); 
//			       	});
//			       hhddpicker.setData(jsonArray);
//			       hhddpicker.show(function(dataa){
//			       	var v = dataa[0].value;
//					var text = dataa[0].text;
//					$('#zcmc').val(text);
//					$('#zcmc').val(v);
//					tabInit();
////					zcgl($("#sryid").val(),$('#zcmc').val(),$('#zcztS').val(),1);
//			       });
//			      }else{
//			      		mui.toast("你第一次要先手动添加资产名称");
//			      }
//			       plus.nativeUI.closeWaiting();
//			},
//			error: function(xhr, type, errorThrown) {
//				//异常处理；
//				plus.nativeUI.closeWaiting();
//				//console.log(errorThrown);
//				mui.toast('网络异常');
//			}	
//		});
//	});
//点击资产名称图标，显示列表
var showhhddbtn = document.getElementById('showzcmcPicker');
showhhddbtn.addEventListener('tap', function(event) {
	var webid = plus.webview.currentWebview().id;
	var webview = mui.openWindow({
		url: '../common/zzjg-pzxlx.html',
		id: 'pzxlx',
		extras: {
			p3: 'zc',
			webid: webid
		}
	});

});
//获取界面传过来的项目
window.addEventListener('eventBackzzjg', function(event) {
	//获得事件参数
	pzid = event.detail.c1; //项目id
	pzmc = event.detail.c2; //项目名称
	$("#zcmc").val(pzid);
	$("#zcmc").val(pzmc);
	tabInit();
	zcgl($("#sryid").val(), $('#zcmc').val(), $('#zcztS').val(), 1);
});

//输入资产名称后失去焦点查询数据
document.getElementById('zcmc').addEventListener('blur', function(event) {
	zcgl($("#sryid").val(), $('#zcmc').val(), $('#zcztS').val(), 1);
});

//资产管理条件查询
//mui('.mui-input-group').on('change', 'input', function() {
//	var zt = '';
//	$('input[name="checkbox"]:checked').each(function () {
////     alert($(this).val());  
//     zt = $(this).val() + "," + zt;
//	});
//	console.log(zt);
//	if (zt.length > 0) {
//		zt = zt.substr(0, zt.length - 1);
//	}
//
//	if (zt == '') {
//		zt = '04aa'; //为空的时候不能查询数据
//	}
//	console.log("最终值："+zt);
//	$('#zcztS').val(zt);
////	tabInit();
//	zcgl($("#sryid").val(),$("#zcmc").val(),$('#zcztS').val(),1);
//
//		});



$('#cxzt').on('change', 'input', function(e) {
	//状态
	var zt = '';
	if ($("input[type='checkbox']").is(':checked')) {
		$('input[type="checkbox"]:checked').each(function() {
			zt = $(this).attr('a') + "," + zt;
		})
	} else {
		zt = '';
	}
//	console.log(zt.length);
	if (zt.length > 0) {
		zt = zt.substr(0, zt.length - 1);
	}

	if (zt == '') {
		zt = '04aa'; //为空的时候不能查询数据
	}
	console.log("最终值："+zt);
	$('#zcztS').val(zt);
	tabInit();
//			zcgl($("#sryid").val(),$("#zcmc").val(),$('#zcztS').val(),1);
});

//清空
document.getElementById('clear').addEventListener('tap', function(event) { 
	var sry = '';
	var zcmc = '';
	$("#lyr").val('');
	$("#sryid").val('');
	$("#zcmc").val('');
	tabInit();
})

//	点击资产管理列表进入详情页面
$('#zcgl').on('tap', 'li', function(e) {
	var target = e.target;
	var clsname = target.className;
	console.log(target);
	if (clsname.indexOf('lis') >= 0) {
		target = target.parentNode.parentNode.parentNode;
	} else if (clsname.indexOf('mui-table-cell') >= 0) {
		target = target.parentNode.parentNode;
	} else {
		target = target.parentNode;
	}
	var zcid = target.getAttribute('zcid');
	var zczt = target.getAttribute('zczt');
	console.log(zcid);
	console.log(target.className);
	console.log(zczt);
	if (zcid) {
		if (zczt !== 03) {
			var webview = mui.openWindow({
				url: 'my-zcgl.html',
				id: 'my-zcgl',
				extras: {
					zcid: zcid
				}
			});
			mui.fire(webview, 'pageShow', {

			});
		} else {

		}
	}
});

//	长按资产管理列表删除
$('#zcgl').on('longtap', 'li', function(e) {
	var target = e.target;
	var clsname = target.className;
	console.log(clsname);
	if (clsname.indexOf('lis') >= 0) {
		target = target.parentNode.parentNode.parentNode;
	} else if (clsname.indexOf('mui-table-cell') >= 0) {
		target = target.parentNode.parentNode;
	} else {
		target = target.parentNode;
	}
	var zcid = target.getAttribute('zcid');
	var zczt = target.getAttribute('zczt');
	var t = target;
	console.log(zcid);
	console.log(zczt);
	if (zcid) {
		if (zczt == '02') {
			mui.toast('使用中的资产不可以删除');
			return;
		}
		if (zczt == '03') {
			mui.toast('报废的资产不可以删除');
			return;
		}
		plus.nativeUI.confirm("确定要删除该条信息吗?", function(e) {
			if (e.index == 0) {
				if (!checkNetStatus()) {
					return;
				}
				plus.nativeUI.showWaiting();
				mui.ajax(V.urls.baseServer + '/zc/zcAction_delZcXx', {
					data: {
						yhid: userModel.getYhid(),
						zzjgid: userModel.getZzjgid(),
						zcid: zcid
					},
					dataType: 'json',
					//							type: 'get', //HTTP请求类型
					//							timeout: 10000, //超时时间设置为10秒；
					success: function(data) {
						//							console.log(JSON.stringify(data));							
						if (data.result == 1) {
							plus.nativeUI.closeWaiting();
							t.parentNode.removeChild(t);
							mui.toast("删除成功");
						} else {
							mui.toast("该资产已使用过");
							plus.nativeUI.closeWaiting();
						}
					},
					error: function(xhr, type, errorThrown) {
						plus.nativeUI.closeWaiting();
						//异常处理； 
						mui.toast('网络异常');
					}
				});
			}
		}, "", ["确定", "取消"]);
	}
});

//页面初始化 ---------资产管理详情页面跳转
window.addEventListener('zc-pageShow', function(event) {
	//plus.storage.setItem('privatemsgFlag', '1'); //首页定时器失效
	$("#zcgl").empty();
	zcgl($("#sryid").val(), $("#zcmc").val(), $('#zcztS').val(), 1);
});
var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE") != -1; // 元素失去焦点隐藏iphone的软键盘

function objBlur(id) {
	if (typeof id != "string")
		throw new Error("objBlur()参数错误");
	var obj = document.getElementById(id),
		time = 300,
		docTouchend = function(event) {
			if (event.target != obj) {
				obj.blur();
				document.removeEventListener("touchend", docTouchend, false);
				/*setTimeout(function(){         
				    
				},time);*/
			}
		};
	if (obj) {
		obj.addEventListener("focus", function() {
			document.addEventListener("touchend", docTouchend, false);
		}, false);
	} else {
		throw new Error("objBlur()没有找到元素");
	}
}

if (isIPHONE) {
	new objBlur("zcmc");
};
mui.ready(function() {
	mui.plusReady(function() {
		//console.log(375);
		tabInit();
	});
});